(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6995,        231]
NotebookOptionsPosition[      5874,        195]
NotebookOutlinePosition[      6273,        212]
CellTagsIndexPosition[      6230,        209]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"a", "=", "1"}]], "Input",
 CellChangeTimes->{
  3.50666766140625*^9, {3.506667934078125*^9, 3.506667939671875*^9}}],

Cell[BoxData[
 RowBox[{"a", "+", "2"}]], "Input",
 CellChangeTimes->{{3.50666794421875*^9, 3.506667945984375*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "a", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Expand", "[", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"a", "+", "1"}], ")"}], "8"], "]"}]}], "Input",
 CellChangeTimes->{{3.5066681729375*^9, 3.50666818315625*^9}, {
  3.506668214203125*^9, 3.50666822240625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"b", "=", 
     SqrtBox["2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     SqrtBox["8"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"b", "+", "c"}]}]}]], "Input",
 CellChangeTimes->{
  3.506668880390625*^9, {3.50666893440625*^9, 3.50666895165625*^9}, 
   3.5066690165625*^9, {3.5066690515*^9, 3.50666906253125*^9}, {
   3.50666915228125*^9, 3.506669162625*^9}}],

Cell[BoxData[{
 RowBox[{"N", "[", 
  RowBox[{"b", "+", "c"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "+", "c"}], "//", "N"}], "\[IndentingNewLine]", 
 RowBox[{"N", "@", 
  RowBox[{"(", 
   RowBox[{"b", "+", "c"}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.506669239546875*^9, 3.50666929928125*^9}, {
  3.506669330171875*^9, 3.5066693725*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"150", "!"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.506669433390625*^9, 3.506669434640625*^9}, {
  3.50666947040625*^9, 3.506669471546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"b", "=", 
   SqrtBox["2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   SqrtBox["8"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"b", "+", "c"}], "\[IndentingNewLine]", 
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"b", "+", "c"}], ",", "100"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.506669562875*^9, {3.506669599984375*^9, 3.50666965740625*^9}}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   FractionBox["x", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["x", "2"], "+", "1"}]]], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.506669855625*^9, 3.506669913140625*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], "+", "x8", "+", "4"}], "==", "0."}], ",", 
   "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.50667019046875*^9, 3.506670191171875*^9}, 
   3.506670356703125*^9, {3.506670441125*^9, 3.50667044171875*^9}}],

Cell[BoxData[{"ab", "\[IndentingNewLine]", 
 RowBox[{"a", " ", "b"}]}], "Input",
 CellChangeTimes->{{3.50667049290625*^9, 3.50667049775*^9}}],

Cell[BoxData[
 RowBox[{"7", " ", "8"}]], "Input",
 CellChangeTimes->{{3.506670539328125*^9, 3.506670540359375*^9}}],

Cell[BoxData[
 RowBox[{"InverseLaplaceTransform", "[", 
  RowBox[{
   FractionBox["p", 
    RowBox[{
     SuperscriptBox["p", "2"], "+", 
     RowBox[{"3", "p"}], "+", "8."}]], ",", "p", ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.506670724109375*^9, 3.5066707659375*^9}, 
   3.506670840234375*^9}],

Cell[BoxData[
 RowBox[{"\[Pi]", "-", "Pi"}]], "Input",
 CellChangeTimes->{{3.506670874*^9, 3.506670877015625*^9}}],

Cell[BoxData[
 RowBox[{"\[ExponentialE]", "-", "E"}]], "Input",
 CellChangeTimes->{{3.5066709135625*^9, 3.506670914796875*^9}}],

Cell[BoxData[
 RowBox[{"\[ImaginaryI]", "-", "I"}]], "Input",
 CellChangeTimes->{{3.506670937421875*^9, 3.506670938109375*^9}}],

Cell[BoxData[
 RowBox[{"\[Infinity]", "-", "Infinity"}]], "Input",
 CellChangeTimes->{{3.506670949984375*^9, 3.5066709538125*^9}}],

Cell[BoxData[
 RowBox[{
  UnderoverscriptBox["\[Sum]", 
   RowBox[{"i", "=", "1"}], "\[Infinity]"], 
  FractionBox["1", 
   SuperscriptBox["i", "2"]]}]], "Input",
 CellChangeTimes->{{3.5066711123125*^9, 3.50667113075*^9}}],

Cell[BoxData[
 RowBox[{"Sum", "[", 
  RowBox[{
   FractionBox["1", 
    SuperscriptBox["i", "2"]], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "Infinity"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5066711810625*^9, 3.50667119165625*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"x", "*", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "2"}], "Pi"}], ",", 
     RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.506671454671875*^9, 3.50667146771875*^9}}],

Cell[BoxData[
 RowBox[{"?", "Plot3D"}]], "Input",
 CellChangeTimes->{{3.50667141934375*^9, 3.50667142365625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"fce", "=", 
     RowBox[{
      RowBox[{"Sin", "[", 
       RowBox[{"x", "*", "y"}], "]"}], "+", 
      SuperscriptBox["y", "3"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"D", "[", 
    RowBox[{"fce", ",", "y"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.50667154540625*^9, 3.506671572328125*^9}}],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Exp", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.506671634578125*^9, 3.50667165409375*^9}, {
  3.50667169865625*^9, 3.50667170621875*^9}}]
},
WindowSize->{1155, 838},
WindowMargins->{{20, Automatic}, {Automatic, 4}},
ShowSelection->True,
Magnification->3.59999942779541,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 3, 146, "Input"],
Cell[687, 25, 114, 2, 146, "Input"],
Cell[804, 29, 307, 7, 217, "Input"],
Cell[1114, 38, 472, 13, 358, "Input"],
Cell[1589, 53, 359, 9, 271, "Input"],
Cell[1951, 64, 184, 4, 146, "Input"],
Cell[2138, 70, 404, 12, 359, "Input"],
Cell[2545, 84, 238, 7, 210, "Input"],
Cell[2786, 93, 307, 8, 155, "Input"],
Cell[3096, 103, 141, 2, 209, "Input"],
Cell[3240, 107, 115, 2, 146, "Input"],
Cell[3358, 111, 305, 8, 295, "Input"],
Cell[3666, 121, 114, 2, 146, "Input"],
Cell[3783, 125, 127, 2, 146, "Input"],
Cell[3913, 129, 127, 2, 146, "Input"],
Cell[4043, 133, 130, 2, 146, "Input"],
Cell[4176, 137, 222, 6, 223, "Input"],
Cell[4401, 145, 256, 7, 201, "Input"],
Cell[4660, 154, 418, 13, 209, "Input"],
Cell[5081, 169, 113, 2, 146, "Input"],
Cell[5197, 173, 386, 11, 273, "Input"],
Cell[5586, 186, 284, 7, 146, "Input"]
}
]
*)

(* End of internal cache information *)
