(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9455,        301]
NotebookOptionsPosition[      8740,        276]
NotebookOutlinePosition[      9118,        292]
CellTagsIndexPosition[      9075,        289]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"1", "+", "2"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.50727768834375*^9, 3.50727770065625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], "-", 
     FractionBox[
      SuperscriptBox["x", "2"], 
      RowBox[{
       RowBox[{"3", "*", "x"}], "+", "4"}]]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1", ",", "2"}], "}"}]}], "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.50727796925*^9, 3.507277996140625*^9}, {
  3.507278040484375*^9, 3.507278086421875*^9}}],

Cell[BoxData[
 RowBox[{"(*", "listy", "*)"}]], "Input",
 CellChangeTimes->{{3.507278131140625*^9, 3.5072781398125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"listik", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"alfa", ",", "romeo"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"{", "2", "}"}]}], "}"}], "}"}], ",", "5"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5072781435*^9, 3.50727818475*^9}, 3.507278285296875*^9}],

Cell[BoxData[{
 RowBox[{"listik", "[", 
  RowBox[{"[", 
   RowBox[{"5", ",", "1", ",", "2", ",", "1"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Head", "[", "listik", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.50727826421875*^9, 3.507278275765625*^9}, {
  3.507278310078125*^9, 3.507278524921875*^9}, {3.507278822734375*^9, 
  3.507278884921875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listik", "[", 
   RowBox[{"[", 
    RowBox[{"5", ",", "1", ",", "2", ",", "1"}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Part", "[", 
   RowBox[{"listik", ",", "5", ",", "1", ",", "2", ",", "1"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"First", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Last", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Length", "[", 
   RowBox[{"listik", "[", 
    RowBox[{"[", "4", "]"}], "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TreeForm", "[", "listik", "]"}]}], "Input",
 CellChangeTimes->{{3.507278774453125*^9, 3.507278792015625*^9}, {
  3.507278896453125*^9, 3.50727891240625*^9}, {3.5072789565625*^9, 
  3.50727903584375*^9}, {3.507279097859375*^9, 3.507279105796875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vyraz", "=", 
   RowBox[{"Ampl", "*", 
    SuperscriptBox["E", 
     FractionBox[
      RowBox[{"-", "t"}], "tau"]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vyraz", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t", "\[Rule]", "1"}], ",", 
    RowBox[{"tau", "\[Rule]", "4"}], ",", 
    RowBox[{"Ampl", "\[Rule]", "2"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.507279198953125*^9, 3.507279233265625*^9}, {
  3.507279386546875*^9, 3.507279448609375*^9}, {3.507279557390625*^9, 
  3.5072795864375*^9}, {3.507279653390625*^9, 3.50727965525*^9}}],

Cell[BoxData[{
 RowBox[{"kyncl", "=", "doc"}], "\[IndentingNewLine]", 
 RowBox[{"kyncl", "+", 
  RowBox[{"0.1", "kyncl"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kyncl", "+", 
   RowBox[{"0.1", "kyncl"}]}], "/.", 
  RowBox[{
  "kyncl", "\[Rule]", "prof"}]}], "\[IndentingNewLine]", "kyncl"}], "Input",
 CellChangeTimes->{{3.507279658203125*^9, 3.50727967678125*^9}, {
  3.50727971215625*^9, 3.5072797489375*^9}, {3.50727978425*^9, 
  3.50727978784375*^9}}],

Cell[BoxData["kyncl"], "Input",
 CellChangeTimes->{{3.50727969421875*^9, 3.5072796970625*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "a", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysledek", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       RowBox[{"6", "x"}], "+", "a"}], "\[Equal]", "0"}], ",", "x"}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x1", "=", 
   RowBox[{
    RowBox[{"x", "/.", 
     RowBox[{"vysledek", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "/.", 
    RowBox[{"a", "\[Rule]", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x2", "=", 
   RowBox[{
    RowBox[{"x", "/.", 
     RowBox[{"vysledek", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "/.", 
    RowBox[{"a", "\[Rule]", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<x1 = \>\"", ",", 
   RowBox[{"x1", "=", 
    RowBox[{
     RowBox[{"x", "/.", 
      RowBox[{"vysledek", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "/.", 
     RowBox[{"a", "\[Rule]", "2"}]}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<x2 = \>\"", ",", 
   RowBox[{"x2", "=", 
    RowBox[{
     RowBox[{"x", "/.", 
      RowBox[{"vysledek", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "/.", 
     RowBox[{"a", "\[Rule]", "2"}]}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.507280075828125*^9, 3.5072801499375*^9}, {
  3.507280337859375*^9, 3.50728056809375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{"x", "+", 
     RowBox[{"a", "*", "y"}]}], "\[Equal]", 
    FractionBox["1", 
     RowBox[{
      SuperscriptBox["a", "2"], "+", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "5"}], ")"}], "*", "x"}], "-", "y"}], 
    "\[Equal]", 
    FractionBox[
     SuperscriptBox["a", "2"], 
     RowBox[{
      SuperscriptBox["a", "2"], "+", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosadXY", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1", ",", "r2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"r3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["a", "2"]}], ")"}], "*", "y"}], "-", 
    RowBox[{"a", "*", "x"}]}], "/.", 
   RowBox[{"dosadXY", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"r3", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50728088053125*^9, 3.507281160828125*^9}, {
  3.50728120040625*^9, 3.507281205421875*^9}, {3.50728185559375*^9, 
  3.507281866078125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rkv", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", "x"}], "+", 
     SuperscriptBox["a", "2"]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"rkv", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rex", "=", 
   RowBox[{"Re", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rey", "=", 
   RowBox[{"Im", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"rex", ",", "rey"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Green", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Dashed"}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Options", "[", "Plot", "]"}]}], "Input",
 CellChangeTimes->{{3.507281974*^9, 3.507282213875*^9}, {3.507282344390625*^9,
    3.507282351109375*^9}, {3.50728238175*^9, 3.507282469859375*^9}, {
   3.5072825075*^9, 3.507282565125*^9}, {3.50728265196875*^9, 
   3.507282685671875*^9}, 3.50728277696875*^9}]
},
WindowSize->{1173, 768},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.299999713897705,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 155, 4, 65, "Input"],
Cell[703, 26, 447, 13, 110, "Input"],
Cell[1153, 41, 119, 2, 65, "Input"],
Cell[1275, 45, 413, 12, 65, "Input"],
Cell[1691, 59, 375, 9, 134, "Input"],
Cell[2069, 70, 862, 21, 290, "Input"],
Cell[2934, 93, 588, 15, 123, "Input"],
Cell[3525, 110, 464, 11, 212, "Input"],
Cell[3992, 123, 94, 1, 94, "Input"],
Cell[4089, 126, 1547, 47, 337, "Input"],
Cell[5639, 175, 1406, 46, 362, "Input"],
Cell[7048, 223, 1688, 51, 308, "Input"]
}
]
*)

(* End of internal cache information *)
