(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8310,        268]
NotebookOptionsPosition[      7590,        243]
NotebookOutlinePosition[      7970,        259]
CellTagsIndexPosition[      7927,        256]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", "listy", " ", "*)"}]], "Input",
 CellChangeTimes->{{3.50735797*^9, 3.507357978375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"listik", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", " ", "2", ",", " ", "k", ",", " ", 
     RowBox[{"{", 
      RowBox[{"alfa", ",", " ", "gama"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"1", ",", " ", 
        RowBox[{"{", "6", "}"}]}], "}"}], "}"}], ",", " ", "6"}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.507357981078125*^9, 3.50735805390625*^9}, {
  3.507358295078125*^9, 3.507358301234375*^9}}],

Cell[BoxData[{
 RowBox[{"listik", "[", 
  RowBox[{"[", 
   RowBox[{"5", ",", "1", ",", "2", ",", "1"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"First", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Last", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"TreeForm", "[", "listik", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5073580613125*^9, 3.507358223859375*^9}, {
  3.50735838740625*^9, 3.507358403359375*^9}, {3.507358805015625*^9, 
  3.507358896078125*^9}}],

Cell[BoxData[
 RowBox[{"vyraz", "=", 
  RowBox[{
   RowBox[{"Amp", "*", 
    SuperscriptBox["E", 
     FractionBox[
      RowBox[{"-", "t"}], "tau"]]}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Amp", "\[Rule]", "4"}], ",", 
     RowBox[{"t", "\[Rule]", "2"}], ",", 
     RowBox[{"tau", "\[Rule]", "3"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.507359017390625*^9, 3.507359037921875*^9}, {
  3.50735915534375*^9, 3.507359198890625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kyncl", "=", "doc"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kyncl", "+", 
   RowBox[{"0.1", "*", "kyncl"}]}], "/.", 
  RowBox[{"kyncl", "\[Rule]", "prof"}]}]}], "Input",
 CellChangeTimes->{{3.5073593200625*^9, 3.50735941553125*^9}}],

Cell[BoxData["kyncl"], "Input",
 CellChangeTimes->{{3.507359358578125*^9, 3.50735935940625*^9}}],

Cell[BoxData[
 RowBox[{"reseni", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"6", "x"}], "+", "a"}], "\[Equal]", "0"}], ",", "x"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5073596854375*^9, 3.50735970309375*^9}, {
  3.507359743203125*^9, 3.50735974503125*^9}}],

Cell[BoxData[{
 RowBox[{"reseni", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "+", "2"}], "/.", 
  RowBox[{"reseni", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.507359976484375*^9, 3.507359994984375*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.507360257390625*^9, 3.507360274859375*^9}, {
   3.50736079815625*^9, 3.507361006296875*^9}, 3.50736104675*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{"y", "+", 
     RowBox[{"a", "*", "x"}]}], "\[Equal]", 
    FractionBox["a", 
     RowBox[{"1", "+", 
      SuperscriptBox["a", "2"]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "*", 
      RowBox[{"(", 
       RowBox[{"a", "+", 
        SuperscriptBox["a", "2"]}], ")"}]}], "-", "y"}], "\[Equal]", 
    FractionBox[
     SuperscriptBox["a", "2"], 
     RowBox[{"a", "+", "1"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vyslXY", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1", ",", "r2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["a", "2"]}], ")"}], "*", "x"}], "-", 
    RowBox[{"a", "*", "y"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"r3", "/.", 
    RowBox[{"vyslXY", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50736105775*^9, 3.5073612045625*^9}, {
   3.507361246921875*^9, 3.50736135225*^9}, {3.507361434421875*^9, 
   3.50736145940625*^9}, 3.50736175275*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", 
      SuperscriptBox["x", "2"]}], "+", 
     SuperscriptBox["a", "2"]}], "\[Equal]", "5"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"rce1", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "/.", 
   RowBox[{"a", "\[Rule]", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReX", "=", 
   RowBox[{"Re", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ImX", "=", 
   RowBox[{"Im", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ReX", "=", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"x", "/.", 
      RowBox[{"res", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "/.", 
    RowBox[{"a", "\[Rule]", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ImX", "=", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"x", "/.", 
      RowBox[{"res", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "/.", 
    RowBox[{"a", "\[Rule]", "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"ReX", ",", "ImX"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Dashed"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507361780796875*^9, 3.50736195990625*^9}, {
  3.507362018046875*^9, 3.5073620539375*^9}, {3.507362367875*^9, 
  3.50736247175*^9}, {3.50736256425*^9, 3.507362605796875*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], ",", 
     RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Dashed"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5073627419375*^9, 3.507362754421875*^9}, {
  3.5073628006875*^9, 3.507362805515625*^9}}]
},
WindowSize->{1076, 712},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.9000002145767212`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 121, 2, 55, "Input"],
Cell[669, 24, 492, 13, 55, "Input"],
Cell[1164, 39, 545, 12, 192, "Input"],
Cell[1712, 53, 450, 13, 70, "Input"],
Cell[2165, 68, 282, 7, 90, "Input"],
Cell[2450, 77, 96, 1, 55, "Input"],
Cell[2549, 80, 343, 10, 59, "Input"],
Cell[2895, 92, 281, 7, 90, "Input"],
Cell[3179, 101, 159, 2, 55, InheritFromParent],
Cell[3341, 105, 1404, 45, 282, "Input"],
Cell[4748, 152, 2177, 68, 355, "Input"],
Cell[6928, 222, 658, 19, 113, "Input"]
}
]
*)

(* End of internal cache information *)
