(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8426,        273]
NotebookOptionsPosition[      7744,        249]
NotebookOutlinePosition[      8126,        265]
CellTagsIndexPosition[      8083,        262]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "listy", " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"listik", "=", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "k", ",", 
      RowBox[{"{", 
       RowBox[{"beta", ",", "zeta"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"{", "2", "}"}]}], "}"}], "}"}], ",", "8"}], "}"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.50736427984375*^9, 3.50736438309375*^9}}],

Cell[BoxData[{
 RowBox[{"listik", "[", 
  RowBox[{"[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"First", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Last", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Head", "[", "beta", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5073643996875*^9, 3.50736450784375*^9}, {
  3.507364705796875*^9, 3.50736486534375*^9}, {3.50736490215625*^9, 
  3.507364948609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TreeForm", "[", "listik", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", 
  RowBox[{"listik", "[", 
   RowBox[{"[", "4", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.507364962453125*^9, 3.507364971421875*^9}, {
  3.507365048109375*^9, 3.50736507359375*^9}}],

Cell[BoxData[
 RowBox[{"vyraz", "=", 
  RowBox[{
   RowBox[{"Ampl", "*", 
    SuperscriptBox["E", 
     FractionBox[
      RowBox[{"-", "t"}], "tau"]]}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Ampl", "\[Rule]", "4"}], ",", 
     RowBox[{"t", "\[Rule]", "2"}], ",", 
     RowBox[{"tau", "\[Rule]", "3"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.507365140578125*^9, 3.507365178609375*^9}, {
  3.5073652248125*^9, 3.5073652560625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kyncl", "=", "doc"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kyncl", "+", 
   RowBox[{"0.1", "kyncl"}]}], "/.", 
  RowBox[{"kyncl", "\[Rule]", "prof"}]}]}], "Input",
 CellChangeTimes->{{3.5073653280625*^9, 3.507365438984375*^9}}],

Cell[BoxData["kyncl"], "Input",
 CellChangeTimes->{{3.507365349*^9, 3.50736535065625*^9}}],

Cell[BoxData[{
 RowBox[{"vysledek", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"6", "x"}], "+", "a"}], "\[Equal]", "0"}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"2", "x"}], "+", "2"}], "/.", 
  RowBox[{"vysledek", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.507365958609375*^9, 3.507366056578125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{"x", "+", 
     RowBox[{
      SuperscriptBox["a", "2"], "*", "y"}]}], "\[Equal]", 
    FractionBox["a", 
     RowBox[{
      SuperscriptBox["a", "2"], "+", "1"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        SuperscriptBox["a", "2"]}], ")"}], "*", "x"}], "-", "y"}], "\[Equal]", 
    FractionBox[
     SuperscriptBox["a", "2"], 
     RowBox[{
      SuperscriptBox["a", "2"], "+", "1"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SuperscriptBox["a", "2"]}], ")"}], "*", "y"}], "-", 
    RowBox[{"2", "a", "*", "x"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resXY", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"r1", ",", "r2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"r3", "/.", 
    RowBox[{"resXY", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.50736609915625*^9, 3.50736639665625*^9}, {
  3.507366447390625*^9, 3.507366459578125*^9}, {3.507366489859375*^9, 
  3.507366542375*^9}, {3.50736660940625*^9, 3.507366719109375*^9}, {
  3.507366823859375*^9, 3.507366940765625*^9}, {3.507367001984375*^9, 
  3.50736700459375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["a", "2"], "+", "1"}], ")"}], "*", "x"}], "+", 
     SuperscriptBox["a", "2"]}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"rce", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reX", "=", 
   RowBox[{"Re", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"imX", "=", 
   RowBox[{"Im", "[", 
    RowBox[{"x", "/.", 
     RowBox[{"res", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"reX", ",", "imX"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"Axes", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"False", ",", "True"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507367150640625*^9, 3.50736731703125*^9}, {
   3.50736736096875*^9, 3.50736737596875*^9}, 3.50736751190625*^9, {
   3.50736757390625*^9, 3.507367612171875*^9}, {3.507367915203125*^9, 
   3.50736792065625*^9}, {3.50736796671875*^9, 3.50736802115625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Options", "[", "Plot", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.507367763*^9, 3.507367768828125*^9}, 3.507368182*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], ",", 
     RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Green", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Black", ",", "Dashed"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<\!\(\*
StyleBox[\"Sin\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"x\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\",\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"Cos\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"x\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.507368188625*^9, 3.507368203296875*^9}, {
  3.507368291296875*^9, 3.507368312328125*^9}, {3.507368851875*^9, 
  3.507368901734375*^9}}]
},
WindowSize->{1284, 875},
WindowMargins->{{54, Automatic}, {Automatic, 11}},
Magnification->2.3999998569488525`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 487, 14, 111, "Input"],
Cell[1035, 36, 485, 11, 195, "Input"],
Cell[1523, 49, 317, 7, 141, "Input"],
Cell[1843, 58, 449, 13, 115, "Input"],
Cell[2295, 73, 278, 7, 141, "Input"],
Cell[2576, 82, 90, 1, 98, "Input"],
Cell[2669, 85, 454, 14, 147, "Input"],
Cell[3126, 101, 1617, 50, 409, "Input"],
Cell[4746, 153, 1512, 45, 273, "Input"],
Cell[6261, 200, 157, 3, 98, "Input"],
Cell[6421, 205, 1319, 42, 183, "Input"]
}
]
*)

(* End of internal cache information *)
