(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9228,        289]
NotebookOptionsPosition[      8191,        256]
NotebookOutlinePosition[      8653,        274]
CellTagsIndexPosition[      8610,        271]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "x", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rov", "=", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"2", "x"}], "-", "4"}]}], 
  ";"}], "\[IndentingNewLine]", "rov", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", "2"}], 
  ";"}], "\[IndentingNewLine]", "rov", "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"rov", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<f[x]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", " ", "Red"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507882721578125*^9, 3.50788277390625*^9}, {
  3.50788302253125*^9, 3.507883102234375*^9}, {3.50788322165625*^9, 
  3.507883233109375*^9}, {3.507883269265625*^9, 3.50788333834375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{
   SuperscriptBox["x", "2"], "-", 
   RowBox[{"4", "x"}], "+", "5"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "1", "]"}]}], "Input",
 CellChangeTimes->{{3.50788339584375*^9, 3.50788347225*^9}, {
  3.507883597609375*^9, 3.50788363196875*^9}, {3.50788370009375*^9, 
  3.507883705265625*^9}, {3.507883738203125*^9, 3.507883744328125*^9}}],

Cell[BoxData[
 RowBox[{"ClearAll", "[", 
  RowBox[{"f", ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.507883761921875*^9, 3.507883781578125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{
   SuperscriptBox["x", "2"], "-", 
   RowBox[{"4", "x"}], "+", "5"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "1", "]"}]}], "Input",
 CellChangeTimes->{{3.507883497515625*^9, 3.507883507953125*^9}, {
  3.50788375246875*^9, 3.507883755359375*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"rnd", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], "=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.50788388165625*^9, 3.50788395409375*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"rnd", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.50788397715625*^9}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"f", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       FractionBox["3", "2"]], "*", 
      RowBox[{"Sin", "[", 
       SuperscriptBox["x", 
        FractionBox["3", "2"]], "]"}]}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4", "]"}]}], "Input",
 CellChangeTimes->{{3.5078842156875*^9, 3.507884306046875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       FractionBox["3", "2"]], "*", 
      RowBox[{"Sin", "[", 
       SuperscriptBox["x", 
        FractionBox["3", "2"]], "]"}]}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4", "]"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "resSin", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"resSin", "[", "a_", "]"}], ":=", 
   RowBox[{"x", "/.", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Sin", "[", "x", "]"}], "+", "x"}], "\[Equal]", "a"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resSin", "[", "5", "]"}], "\[IndentingNewLine]", 
 RowBox[{"resSin", "[", "1", "]"}]}], "Input",
 CellChangeTimes->{{3.50788473621875*^9, 3.507884738703125*^9}, {
  3.507885492625*^9, 3.507885608*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"resSin", "[", "a", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "0", ",", "20"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<a\>\"", ",", "\"\<res[a]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.02", "]"}], ",", " ", 
      RowBox[{"Hue", "[", "0.8568", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50788577846875*^9, 3.50788579596875*^9}, {
  3.507886079890625*^9, 3.507886162546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kruh", "[", "hue_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hue", "[", "hue", "]"}], ",", 
     RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"kruh", "[", "3.5", "]"}]}], "Input",
 CellChangeTimes->{{3.507886318625*^9, 3.507886342390625*^9}, {
  3.50788648753125*^9, 3.507886576015625*^9}, {3.507886759984375*^9, 
  3.5078867885625*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"kruh", "[", "hue", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"hue", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5078869385625*^9, 3.50788695959375*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{"opice", ",", 
   RowBox[{"{", "10", "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5078870009375*^9, 3.50788701*^9}, {3.507887059125*^9, 
  3.50788709503125*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"10", "-", "i"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "2", ",", "10", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50788712115625*^9, 3.50788716025*^9}, {
  3.507887239890625*^9, 3.507887241859375*^9}, {3.5078873256875*^9, 
  3.507887332171875*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"kruh", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "1", ",", "0.1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50788737475*^9, 3.50788740265625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "5"}], ";"}]], "Input",
 CellChangeTimes->{{3.507887452953125*^9, 3.507887456484375*^9}}],

Cell[BoxData[{
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Random", "[", "]"}], ",", 
   RowBox[{"{", "n", "}"}], ",", 
   RowBox[{"{", "n", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.507887462421875*^9, 3.50788752621875*^9}, 
   3.507887597796875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"det", "[", "x_", "]"}], ":=", 
  RowBox[{"Det", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"rnd", "[", "x", "]"}], ",", 
     RowBox[{"{", "n", "}"}], ",", 
     RowBox[{"{", "n", "}"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"det", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507887650890625*^9, 3.507887654015625*^9}, {
  3.50788770053125*^9, 3.5078878074375*^9}}]
},
WindowSize->{1262, 895},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 965, 25, 401, "Input"],
Cell[1513, 47, 416, 9, 142, "Input"],
Cell[1932, 58, 150, 3, 86, "Input"],
Cell[2085, 63, 326, 8, 142, "Input"],
Cell[2414, 73, 524, 15, 243, "Input"],
Cell[2941, 90, 476, 14, 191, "Input"],
Cell[3420, 106, 538, 16, 230, "Input"],
Cell[3961, 124, 390, 13, 175, "Input"],
Cell[4354, 139, 659, 18, 295, "Input"],
Cell[5016, 159, 593, 15, 843, "Input"],
Cell[5612, 176, 452, 11, 531, "Input"],
Cell[6067, 189, 238, 6, 372, "Input"],
Cell[6308, 197, 212, 5, 372, "Input"],
Cell[6523, 204, 333, 8, 372, "Input"],
Cell[6859, 214, 245, 6, 372, "Input"],
Cell[7107, 222, 133, 3, 372, "Input"],
Cell[7243, 227, 321, 8, 531, "Input"],
Cell[7567, 237, 620, 17, 531, "Input"]
}
]
*)

(* End of internal cache information *)
