(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9934,        310]
NotebookOptionsPosition[      8998,        279]
NotebookOutlinePosition[      9399,        296]
CellTagsIndexPosition[      9356,        293]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"rov", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "3"], "+", 
     RowBox[{"4", 
      SuperscriptBox["x", "2"]}], "-", 
     RowBox[{"2", "x"}], "+", "a"}], "\[Equal]", "6"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{"rov", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"x", "/.", 
    RowBox[{"res", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "5"}], ",", "20"}], "}"}], ",", " ", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", " ", "Dashed", ",", " ", "Thick"}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "[", 
   RowBox[{"[", "1", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.50796357025*^9, {3.507963600296875*^9, 3.507963603671875*^9}, {
   3.50796363721875*^9, 3.5079637403125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"x", "=", "4"}]}]], "Input",
 CellChangeTimes->{{3.507963877046875*^9, 3.50796388225*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{
    SuperscriptBox["x", "2"], "-", 
    RowBox[{"4", "x"}], "+", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "10", "]"}]}], "Input",
 CellChangeTimes->{{3.50796378309375*^9, 3.507963818890625*^9}, {
  3.507963850421875*^9, 3.5079638543125*^9}, {3.50796391034375*^9, 
  3.507963917546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{
    SuperscriptBox["x", "2"], "-", 
    RowBox[{"4", "x"}], "+", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "10", "]"}]}], "Input",
 CellChangeTimes->{{3.507963927875*^9, 3.50796393965625*^9}}],

Cell[BoxData[
 RowBox[{"?", ":="}]], "Input",
 CellChangeTimes->{{3.50796396978125*^9, 3.507963978078125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"rnd", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], "=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507964040671875*^9, 3.507964110015625*^9}, {
  3.507964203078125*^9, 3.507964203296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"rnd", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507964190765625*^9, 3.507964211828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"f", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", 
      FractionBox["3", "2"]], "*", 
     RowBox[{"Sin", "[", 
      SuperscriptBox["x", 
       FractionBox["2", "3"]], "]"}]}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4.", "]"}]}], "Input",
 CellChangeTimes->{{3.507964344609375*^9, 3.50796445515625*^9}, {
  3.5079644955*^9, 3.50796459384375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"f", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], ":=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", 
      FractionBox["3", "2"]], "*", 
     RowBox[{"Sin", "[", 
      SuperscriptBox["x", 
       FractionBox["2", "3"]], "]"}]}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4.", "]"}]}], "Input",
 CellChangeTimes->{{3.5079645806875*^9, 3.507964623609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "resCos", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resCos", "[", "a_", "]"}], ":=", 
  RowBox[{"x", "/.", 
   RowBox[{"FindRoot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", "x", "]"}], "+", "x"}], "\[Equal]", "a"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0"}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"resCos", "[", "85", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"resCos", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "80", ",", "90"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507964707375*^9, 3.507964720984375*^9}, {
  3.5079648599375*^9, 3.507964939546875*^9}, {3.5079649703125*^9, 
  3.50796497703125*^9}, {3.507965282015625*^9, 3.5079652913125*^9}, {
  3.507965673578125*^9, 3.50796571278125*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.507964965421875*^9, 3.507964968046875*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "na", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"na", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "5"}], "}"}], "]"}], ":=", "x"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"na", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "5"}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.507966113984375*^9, 3.507966156203125*^9}, {
  3.507966193859375*^9, 3.507966220828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nb", "[", "x_Integer", "]"}], ":=", "x"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nb", "[", "x_Real", "]"}], ":=", 
  RowBox[{"-", "x"}]}], "\[IndentingNewLine]", 
 RowBox[{"nb", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"nb", "[", "1.", "]"}]}], "Input",
 CellChangeTimes->{{3.507966244390625*^9, 3.507966332171875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kruh", "[", "hue_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hue", "[", "hue", "]"}], ",", 
     RowBox[{"Disk", "[", "]"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"kruh", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"kruh", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "1", ",", "0.1"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5079663796875*^9, 3.507966497125*^9}, {
  3.507966536203125*^9, 3.50796653921875*^9}, {3.507966915578125*^9, 
  3.50796692896875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{"opice", ",", 
    RowBox[{"{", "12", "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"10", "-", "i"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "5", ",", "10", ",", "0.1"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Random", "[", "]"}], ",", 
   RowBox[{"{", "n", "}"}], ",", 
   RowBox[{"{", "n", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.50796657065625*^9, 3.507966628609375*^9}, {
  3.507966660875*^9, 3.507966700578125*^9}, {3.507966995390625*^9, 
  3.5079670811875*^9}, {3.50796711475*^9, 3.50796712875*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"rnd", ",", "det"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"det", "[", "x_", "]"}], ":=", 
  RowBox[{"Det", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"rnd", "[", "x", "]"}], ",", 
     RowBox[{"{", "n", "}"}], ",", 
     RowBox[{"{", "n", "}"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"det", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.507967152515625*^9, 3.507967273921875*^9}, {
  3.507967588984375*^9, 3.50796761803125*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.507967152515625*^9, 3.507967244046875*^9}}]
},
WindowSize->{1244, 837},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2.6999995708465576`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 993, 31, 294, "Input"],
Cell[1541, 53, 147, 3, 155, "Input"],
Cell[1691, 58, 396, 10, 126, "Input"],
Cell[2090, 70, 297, 8, 159, "Input"],
Cell[2390, 80, 110, 2, 109, "Input"],
Cell[2503, 84, 568, 16, 200, "Input"],
Cell[3074, 102, 520, 15, 200, "Input"],
Cell[3597, 119, 576, 17, 236, "Input"],
Cell[4176, 138, 533, 16, 236, "Input"],
Cell[4712, 156, 889, 22, 245, "Input"],
Cell[5604, 180, 92, 1, 76, "Input"],
Cell[5699, 183, 436, 12, 200, "Input"],
Cell[6138, 197, 371, 8, 245, "Input"],
Cell[6512, 207, 634, 16, 200, "Input"],
Cell[7149, 225, 829, 22, 290, "Input"],
Cell[7981, 249, 918, 25, 290, "Input"],
Cell[8902, 276, 92, 1, 76, "Input"]
}
]
*)

(* End of internal cache information *)

