(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10138,        310]
NotebookOptionsPosition[      9336,        283]
NotebookOutlinePosition[      9716,        299]
CellTagsIndexPosition[      9673,        296]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"rov", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "3"], "-", 
     RowBox[{"6", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"5", "x"}], "+", "a"}], "\[Equal]", "8"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{"rov", ",", "x"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "/.", 
      RowBox[{"res", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"Re", "[", 
      RowBox[{"x", "/.", 
       RowBox[{"res", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"Re", "[", 
      RowBox[{"x", "/.", 
       RowBox[{"res", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", " ", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", " ", "Dashed", ",", " ", "Thick"}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.507969115671875*^9, 3.50796912334375*^9}, {
   3.50796938146875*^9, 3.507969434921875*^9}, {3.507969469296875*^9, 
   3.507969563296875*^9}, 3.507969641390625*^9, {3.507969747609375*^9, 
   3.50796975021875*^9}, {3.507970081265625*^9, 3.507970082296875*^9}, {
   3.507970242765625*^9, 3.50797025128125*^9}, {3.507970306140625*^9, 
   3.5079704003125*^9}, {3.50797444478125*^9, 3.507974445796875*^9}}],

Cell[BoxData[{
 RowBox[{"x", "=", "2"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{
    SuperscriptBox["x", "2"], "-", 
    RowBox[{"4", "x"}], "+", "5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "10", "]"}]}], "Input",
 CellChangeTimes->{{3.507970502765625*^9, 3.5079705301875*^9}, {
  3.50797056459375*^9, 3.50797059490625*^9}, {3.507970640484375*^9, 
  3.507970656609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{
   SuperscriptBox["x", "2"], "-", 
   RowBox[{"4", "x"}], "+", "5"}]}]], "Input",
 CellChangeTimes->{{3.507970684390625*^9, 3.507970694484375*^9}}],

Cell[BoxData[
 RowBox[{"f", "[", "50", "]"}]], "Input",
 CellChangeTimes->{{3.50797070571875*^9, 3.507970709125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"rnd", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], "=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50797078696875*^9, 3.507970858453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"rnd", ",", "x"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"rnd", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{3.507970930484375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nahodna", "[", "x_Integer", "]"}], ":=", 
  "x"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahodna", "[", "x_Real", "]"}], ":=", 
  RowBox[{"-", "x"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahodna", "[", "x_", "]"}], ":=", 
  RowBox[{"x", "+", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{"nahodna", "[", 
  RowBox[{"Random", "[", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.50797113440625*^9, 3.5079712028125*^9}, {
  3.507971269453125*^9, 3.50797137203125*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"f", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "[", "x_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", 
      FractionBox["3", "2"]], "*", 
     RowBox[{"Sin", "[", 
      SuperscriptBox["x", 
       FractionBox["2", "3"]], "]"}]}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4.", "]"}]}], "Input",
 CellChangeTimes->{{3.50797142128125*^9, 3.507971509546875*^9}, 
   3.507971593171875*^9}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"f", ",", "x"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], ":=", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x", 
       FractionBox["3", "2"]], "*", 
      RowBox[{"Sin", "[", 
       SuperscriptBox["x", 
        FractionBox["2", "3"]], "]"}]}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"f", "[", "4.", "]"}]}], "Input",
 CellChangeTimes->{3.50797154371875*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", "res", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "[", "a_", "]"}], ":=", 
    RowBox[{"x", "/.", 
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "x", "]"}], "+", "x"}], "\[Equal]", "a"}], " ", 
       ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0"}], "}"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"res", "[", "85", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.507971651125*^9, 3.507971679921875*^9}, {
  3.507971740640625*^9, 3.50797174446875*^9}, {3.507972398140625*^9, 
  3.507972440515625*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "kruh", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kruh", "[", "cis_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Hue", "[", "cis", "]"}], ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "1", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Pi", "/", "2"}], ",", "Pi"}], "}"}]}], "]"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"kruh", "[", "0.2", "]"}]}], "Input",
 CellChangeTimes->{{3.507972604375*^9, 3.507972666609375*^9}, {
  3.50797272221875*^9, 3.507972734484375*^9}, {3.507972785*^9, 
  3.5079728183125*^9}, {3.50797287540625*^9, 3.507972979296875*^9}, {
  3.507973014078125*^9, 3.5079730291875*^9}, {3.50797307021875*^9, 
  3.507973093984375*^9}, {3.507973126875*^9, 3.507973128015625*^9}, {
  3.50797383478125*^9, 3.50797384003125*^9}}],

Cell[BoxData[{
 RowBox[{"Table", "[", 
  RowBox[{"opic", ",", 
   RowBox[{"{", "12", "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{"i", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "10"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{"i", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "5", ",", "10"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{"i", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "5", ",", "10", ",", "0.1"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"kruh", "[", "a", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "0", ",", "1", ",", "0.1"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50797315628125*^9, 3.50797318496875*^9}, {
  3.507973215796875*^9, 3.507973246125*^9}, {3.507973845515625*^9, 
  3.507973860109375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Random", "[", "]"}], ",", 
   RowBox[{"{", "n", "}"}], ",", 
   RowBox[{"{", "n", "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50797390965625*^9, 3.50797394715625*^9}, {
   3.5079739781875*^9, 3.50797401059375*^9}, 3.50797435234375*^9}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"rnd", ",", "det"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rnd", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    RowBox[{"Random", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"det", "[", "x_", "]"}], ":=", 
  RowBox[{"Det", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"rnd", "[", "x", "]"}], ",", 
     RowBox[{"{", "n", "}"}], ",", 
     RowBox[{"{", "n", "}"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"det", "[", "a", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<f[x]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Green"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.50797401559375*^9, 3.50797407378125*^9}, {
  3.50797410996875*^9, 3.50797418334375*^9}}]
},
WindowSize->{1276, 911},
WindowMargins->{{Automatic, 0}, {0, Automatic}},
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1476, 40, 151, "Input"],
Cell[2024, 62, 446, 11, 118, "Input"],
Cell[2473, 75, 221, 6, 54, "Input"],
Cell[2697, 83, 117, 2, 52, "Input"],
Cell[2817, 87, 518, 15, 117, "Input"],
Cell[3338, 104, 496, 15, 117, "Input"],
Cell[3837, 121, 514, 13, 149, "Input"],
Cell[4354, 136, 540, 16, 139, "Input"],
Cell[4897, 154, 517, 16, 139, "Input"],
Cell[5417, 172, 681, 18, 149, "Input"],
Cell[6101, 192, 933, 22, 117, "Input"],
Cell[7037, 216, 886, 24, 181, "Input"],
Cell[7926, 242, 370, 9, 85, "Input"],
Cell[8299, 253, 1033, 28, 181, "Input"]
}
]
*)

(* End of internal cache information *)
