(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4439,        136]
NotebookOptionsPosition[      4070,        120]
NotebookOutlinePosition[      4450,        136]
CellTagsIndexPosition[      4407,        133]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "=", "10000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"27", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uz", "[", "t_", "]"}], ":=", 
     RowBox[{"10", "*", 
      RowBox[{"Tanh", "[", 
       RowBox[{"10", "*", 
        RowBox[{"Sin", "[", 
         FractionBox["t", 
          SqrtBox[
           RowBox[{"L", "*", "c"}]]], "]"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"iL", "[", "t", "]"}]}], ",", 
       RowBox[{
        RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
        FractionBox[
         RowBox[{
          RowBox[{"uz", "[", "t", "]"}], "-", 
          RowBox[{"u1", "[", "t", "]"}]}], "R"]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"u1", "[", "t", "]"}], "-", 
         RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{"L", "*", 
         RowBox[{
          RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"iL", "[", "0", "]"}], "==", "0"}], ",", 
       RowBox[{
        RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"iC", "[", "t", "]"}]}], ",", 
       RowBox[{
        RowBox[{"iC", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{"u2", "'"}], "[", "t", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nezname", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"iR", "[", "t", "]"}], ",", 
       RowBox[{"iL", "[", "t", "]"}], ",", 
       RowBox[{"iC", "[", "t", "]"}], ",", 
       RowBox[{"u1", "[", "t", "]"}], ",", 
       RowBox[{"u2", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Length", "[", "rce", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Length", "[", "nezname", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.508484857*^9, 3.5084848613125*^9}, {3.508484901875*^9, 
  3.5084849031875*^9}, {3.508484965390625*^9, 3.5084851561875*^9}, {
  3.508485206671875*^9, 3.508485345921875*^9}, {3.5084856350625*^9, 
  3.5084857046875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tmax", "=", "0.005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rce", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "10"}]]}], ",", 
    RowBox[{"MaxSteps", "\[Rule]", 
     SuperscriptBox["10", "6"]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.50848577653125*^9, 3.508485779515625*^9}, {
  3.508485830078125*^9, 3.508485857875*^9}, {3.508485939203125*^9, 
  3.5084860051875*^9}, {3.508486049109375*^9, 3.5084860569375*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.50848556790625*^9, 3.508485619125*^9}, 
   3.508485771875*^9, {3.50848611496875*^9, 3.50848616040625*^9}}]
},
WindowSize->{1167, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.5999996662139893`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2483, 70, 671, "Input"],
Cell[3031, 92, 653, 15, 207, "Input"],
Cell[3687, 109, 379, 9, 104, "Input"]
}
]
*)

(* End of internal cache information *)
