(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4702,        146]
NotebookOptionsPosition[      4332,        130]
NotebookOutlinePosition[      4713,        146]
CellTagsIndexPosition[      4670,        143]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"0.45", "+", 
    RowBox[{"0.1", "i"}], "+", 
    RowBox[{"0.1", "j"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"a", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "4"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "b", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Det", "[", "b", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Inverse", "[", "b", "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.508567505609375*^9, 3.50856765203125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", "10000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", 
   RowBox[{"27", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "0.005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uz", "[", "t_", "]"}], ":=", 
  RowBox[{"10", "*", 
   RowBox[{"Tanh", "[", 
    RowBox[{"Sin", "[", 
     FractionBox["t", 
      SqrtBox[
       RowBox[{"L", "*", "c"}]]], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      FractionBox[
       RowBox[{
        RowBox[{"uz", "[", "t", "]"}], "-", 
        RowBox[{"u1", "[", "t", "]"}]}], "R"]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u1", "[", "t", "]"}], "-", 
       RowBox[{"uc", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"ic", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"iR", "[", "t", "]"}], ",", 
     RowBox[{"iL", "[", "t", "]"}], ",", 
     RowBox[{"ic", "[", "t", "]"}], ",", 
     RowBox[{"u1", "[", "t", "]"}], ",", 
     RowBox[{"uc", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "rce", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "nezname", "]"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rce", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "10"}]]}], ",", 
    RowBox[{"MaxSteps", "\[Rule]", 
     SuperscriptBox["10", "6"]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.508571365203125*^9, 3.5085714831875*^9}, {
  3.508571959828125*^9, 3.50857207634375*^9}, {3.508572106359375*^9, 
  3.508572141078125*^9}, {3.50857217678125*^9, 3.50857252753125*^9}, {
  3.508572584875*^9, 3.508572624546875*^9}, {3.508572693671875*^9, 
  3.508572705640625*^9}, {3.5085727396875*^9, 3.508572753484375*^9}, {
  3.5085727839375*^9, 3.50857282325*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"uc", "[", "t", "]"}], "/.", "res"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input"]
},
WindowSize->{1185, 876},
WindowMargins->{{20, Automatic}, {Automatic, 6}},
Magnification->2.8999993801116943`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 672, 18, 321, "Input"],
Cell[1220, 40, 2855, 79, 878, "Input"],
Cell[4078, 121, 250, 7, 171, "Input"]
}
]
*)

(* End of internal cache information *)

