(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5985,        186]
NotebookOptionsPosition[      5433,        165]
NotebookOutlinePosition[      5813,        181]
CellTagsIndexPosition[      5770,        178]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
jfghgfjhv
\
\>", "Text",
 CellChangeTimes->{{3.50857413053125*^9, 3.508574131609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"0.78", "+", 
      RowBox[{"0.2", "*", "m"}], "-", 
      RowBox[{"0.2", "*", "n"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "5", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "5", ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"tab", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"Det", "[", "tab", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PseudoInverse", "[", "tab", "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.508573949875*^9, 3.508574080234375*^9}}],

Cell[BoxData[
 RowBox[{"tab", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"0.78", "+", 
     RowBox[{"0.2", "*", "m"}], "-", 
     RowBox[{"0.2", "*", "n"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", "1", ",", "5", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "5", ",", "1"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.5085742038125*^9}],

Cell[BoxData[
 RowBox[{"%", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5085742101875*^9, 3.508574216421875*^9}}],

Cell[BoxData[
 RowBox[{"Det", "[", "tab", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"PseudoInverse", "[", "tab", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "=", "10000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"27", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", "0.005"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uz", "[", "t_", "]"}], ":=", 
     RowBox[{"10", "*", 
      RowBox[{"Tanh", "[", 
       RowBox[{"10", "*", 
        RowBox[{"Sin", "[", 
         FractionBox["t", 
          SqrtBox[
           RowBox[{"L", "*", "c"}]]], "]"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"iL", "[", "t", "]"}]}], ",", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"uz", "[", "t", "]"}], "-", 
          RowBox[{"u1", "[", "t", "]"}]}], "R"], "\[Equal]", 
        RowBox[{"iR", "[", "t", "]"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"u1", "[", "t", "]"}], "-", 
         RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{"L", "*", 
         RowBox[{
          RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"ic", "[", "t", "]"}]}], ",", 
       RowBox[{
        RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"c", "*", 
         RowBox[{
          RowBox[{"u2", "'"}], "[", "t", "]"}]}]}], ",", 
       RowBox[{
        RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"nezname", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], ",", 
      RowBox[{"iL", "[", "t", "]"}], ",", 
      RowBox[{"ic", "[", "t", "]"}], ",", 
      RowBox[{"u1", "[", "t", "]"}], ",", 
      RowBox[{"u2", "[", "t", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"Length", "[", "rce", "]"}], "\[IndentingNewLine]", 
   RowBox[{"Length", "[", "nezname", "]"}], "\[IndentingNewLine]", 
   RowBox[{"res", "=", 
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "10"}]]}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "6"]}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.508578239375*^9, 3.508578844859375*^9}, {
   3.508578881125*^9, 3.508578953265625*^9}, 3.508579001953125*^9, {
   3.50857906640625*^9, 3.50857911315625*^9}, {3.5085791676875*^9, 
   3.50857921253125*^9}, {3.50857927328125*^9, 3.50857928603125*^9}, {
   3.508579316859375*^9, 3.508579317390625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"u2", "[", "t", "]"}], "/.", "res"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0.", ",", "tmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.508579253609375*^9, 3.50857925434375*^9}}]
},
WindowSize->{1275, 858},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.6999995708465576`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 99, 4, 118, "Text"],
Cell[647, 26, 697, 18, 302, "Input"],
Cell[1347, 46, 393, 11, 122, "Input"],
Cell[1743, 59, 123, 2, 76, "Input"],
Cell[1869, 63, 58, 1, 76, "Input"],
Cell[1930, 66, 68, 1, 76, "Input"],
Cell[2001, 69, 3067, 83, 904, "Input"],
Cell[5071, 154, 358, 9, 122, "Input"]
}
]
*)

(* End of internal cache information *)
