(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11975,        369]
NotebookOptionsPosition[     11226,        343]
NotebookOutlinePosition[     11627,        360]
CellTagsIndexPosition[     11584,        357]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"100", "+", 
    FractionBox["1", 
     RowBox[{
      FractionBox["1", "100"], "+", 
      FractionBox["1", 
       RowBox[{"I", "*", "314.", "*", "0.3"}]]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Ifazor= \>\"", ",", 
   RowBox[{"Ifa", "=", 
    FractionBox["u", "Z"]}], ",", "\"\< A\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S kompl= \>\"", ",", 
   RowBox[{"S", "=", 
    RowBox[{"u", "*", 
     RowBox[{"Conjugate", "[", "Ifa", "]"}]}]}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"Re", "[", "S", "]"}], ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Q= \>\"", ",", 
   RowBox[{"Im", "[", "S", "]"}], ",", "\"\< VAr\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S= \>\"", ",", 
   RowBox[{"Abs", "[", "S", "]"}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5102918274364843`*^9, 3.5102919067489843`*^9}, {
  3.5102919650614843`*^9, 3.5102920547489843`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
      RowBox[{
       RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "-", 
     FractionBox["R", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", "R"}]]}], "\[Equal]", 
    "0"}], ",", "c"}], "]"}]], "Input",
 CellChangeTimes->{{3.510293599358359*^9, 3.5102936640927343`*^9}}],

Cell[BoxData[
 RowBox[{"?", "Cross"}]], "Input",
 CellChangeTimes->{{3.510294809670859*^9, 3.5102948114989843`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rVektor", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gVektor", "=", 
   RowBox[{"{", 
    RowBox[{"gx", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fvektor", "=", 
   RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moment", "=", 
   RowBox[{"Cross", "[", 
    RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"m", "*", 
    SuperscriptBox["el", "2"]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5102951711552343`*^9, 3.5102952655614843`*^9}, {
  3.5102955613114843`*^9, 3.510295620452109*^9}, {3.5102957779052343`*^9, 
  3.5102958246864843`*^9}, {3.5102958630614843`*^9, 3.510295883045859*^9}, {
  3.510296009889609*^9, 3.5102960311864843`*^9}}],

Cell[BoxData[
 RowBox[{"moment", "+", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", 
    RowBox[{
     RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5115037091875*^9, 3.51150372290625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"J", "*", 
      RowBox[{"D", "[", 
       RowBox[{"fiVektor", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", 
     RowBox[{"(", 
      RowBox[{"moment", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          RowBox[{
           RowBox[{"fi", "'"}], "[", "t", "]"}]}]}], "}"}]}], ")"}]}], "//", 
    "Thread"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceKreseni", "=", 
   RowBox[{"rce", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5102960420302343`*^9, 3.5102960802802343`*^9}, {
   3.5102964476552343`*^9, 3.5102964630302343`*^9}, {3.510296508827109*^9, 
   3.510296530889609*^9}, {3.510296722702109*^9, 3.510296749170859*^9}, {
   3.5102968585614843`*^9, 3.5102969008427343`*^9}, 3.5115021119375*^9, {
   3.511503736375*^9, 3.51150376459375*^9}, 3.51150379571875*^9, 
   3.511505935625*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"priste", " ", "ukazat", " ", "jak", " ", "kyve"}], "*)"}]], "Input",
 CellChangeTimes->{{3.5102966686864843`*^9, 3.5102966754989843`*^9}}],

Cell[BoxData["rceKreseni"], "Input",
 CellChangeTimes->{{3.511502184375*^9, 3.511502186859375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"el", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosadHohmoty", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"gx", "\[Rule]", "9.81"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"rceKreseni", "/.", "dosadHohmoty"}], ",", 
        RowBox[{
         RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "150"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fi", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fi", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Blue"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"fi\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"rad\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"fi\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"'\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"rad\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"/\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"s\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.51150212065625*^9, 3.51150217340625*^9}, {
  3.511502226703125*^9, 3.51150232971875*^9}, {3.511502412328125*^9, 
  3.51150242190625*^9}, {3.5115024890625*^9, 3.511502615234375*^9}, {
  3.511503414140625*^9, 3.5115034526875*^9}, {3.511505435984375*^9, 
  3.511505461453125*^9}, {3.511505543015625*^9, 3.511505550359375*^9}, {
  3.511505857921875*^9, 3.511505909234375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"bod", "[", "t_", "]"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"el", "*", 
          RowBox[{"Sin", "[", 
           RowBox[{"fi", "[", "t", "]"}], "]"}]}], ",", 
         RowBox[{
          RowBox[{"-", "el"}], "*", 
          RowBox[{"Cos", "[", 
           RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], "}"}], "/.", "res"}], 
      ")"}], "/.", "dosadHohmoty"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"grBod", "[", "t_", "]"}], ":=", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
       RowBox[{"Point", "[", 
        RowBox[{"bod", "[", "t", "]"}], "]"}]}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grLine", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Red", ",", 
      RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"bod", "[", "t", "]"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.511504533796875*^9, 3.5115046489375*^9}, 
   3.511504692046875*^9, 3.511504770546875*^9, {3.51150481390625*^9, 
   3.511504839875*^9}, {3.5115050421875*^9, 3.511505046953125*^9}, {
   3.511505270015625*^9, 3.51150532284375*^9}, 3.51150547775*^9, 
   3.51150560340625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ukazObe", "[", "t_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"grBod", "[", "t", "]"}], ",", 
     RowBox[{"grLine", "[", "t", "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "el"}], "]"}]}], "}"}], "]"}],
      ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "el"}], ",", 
          RowBox[{"1.1", "el"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "el"}], ",", 
          RowBox[{"1.1", "el"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ukazObe", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.511505382546875*^9, 3.511505412390625*^9}, {
  3.5115055016875*^9, 3.511505527234375*^9}, {3.5115055605*^9, 
  3.511505622234375*^9}, {3.511506268015625*^9, 3.511506287*^9}}],

Cell[BoxData[
 RowBox[{"?", "Circle"}]], "Input",
 CellChangeTimes->{{3.511506249765625*^9, 3.51150625134375*^9}}]
},
WindowSize->{1176, 888},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2.8999993801116943`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1273, 36, 635, "Input"],
Cell[1821, 58, 473, 14, 185, "Input"],
Cell[2297, 74, 116, 2, 120, "Input"],
Cell[2416, 78, 1458, 41, 523, "Input"],
Cell[3877, 121, 226, 6, 120, "Input"],
Cell[4106, 129, 1044, 27, 321, "Input"],
Cell[5153, 158, 179, 3, 120, "Input"],
Cell[5335, 163, 99, 1, 120, "Input"],
Cell[5437, 166, 2787, 83, 671, "Input"],
Cell[8227, 251, 1618, 47, 621, "Input"],
Cell[9848, 300, 1257, 37, 321, "Input"],
Cell[11108, 339, 114, 2, 120, "Input"]
}
]
*)

(* End of internal cache information *)
