(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10879,        327]
NotebookOptionsPosition[     10240,        305]
NotebookOutlinePosition[     10681,        322]
CellTagsIndexPosition[     10638,        319]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Zadani", " ", "1"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Z", "=", 
    RowBox[{"100", "+", 
     FractionBox["1", 
      RowBox[{
       FractionBox["1", "100"], "+", 
       FractionBox["1", 
        RowBox[{"I", "*", "314.", "*", "0.3"}]]}]]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"u", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Ifazor= \>\"", ",", 
     RowBox[{"Ifa", "=", 
      FractionBox["u", "Z"]}], ",", "\"\< A\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<S kompl= \>\"", ",", 
     RowBox[{"S", "=", 
      RowBox[{"u", "*", 
       RowBox[{"Conjugate", "[", "Ifa", "]"}]}]}], ",", "\"\< VA\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<P= \>\"", ",", 
     RowBox[{"Re", "[", "S", "]"}], ",", "\"\< W\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Q= \>\"", ",", 
     RowBox[{"Im", "[", "S", "]"}], ",", "\"\< VAr\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<S= \>\"", ",", 
     RowBox[{"Abs", "[", "S", "]"}], ",", "\"\< VA\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.5102995497802343`*^9, {3.510300399264609*^9, 3.5103004257489843`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Zadani", " ", "2"}], "*)"}]], "Input",
 CellChangeTimes->{3.510300433108359*^9}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
      RowBox[{
       RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "-", 
     FractionBox["R", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", "R"}]]}], "\[Equal]", 
    "0"}], ",", "c"}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rVektor", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gVektor", "=", 
   RowBox[{"{", 
    RowBox[{"gx", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fvektor", "=", 
   RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moment", "=", 
   RowBox[{"Cross", "[", 
    RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"m", "*", 
    SuperscriptBox["el", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rovnice", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"J", "*", 
      RowBox[{"D", "[", 
       RowBox[{"fiVektor", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", 
     RowBox[{"(", 
      RowBox[{"moment", "+", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{
          RowBox[{"-", "0.5"}], "*", 
          RowBox[{
           RowBox[{"fi", "'"}], "[", "t", "]"}]}]}], "}"}]}], ")"}]}], "//", 
    "Thread"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rov", "=", 
   RowBox[{"rovnice", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5103015615927343`*^9, 3.5103015620302343`*^9}, {
  3.5103016721864843`*^9, 3.510301676389609*^9}, {3.5103019354052343`*^9, 
  3.510301942983359*^9}, {3.5103019899989843`*^9, 3.510302174670859*^9}, {
  3.510302525139609*^9, 3.510302706545859*^9}, {3.510302746264609*^9, 
  3.5103027804052343`*^9}, {3.510302843889609*^9, 3.5103028605614843`*^9}, {
  3.510302928108359*^9, 3.5103029529052343`*^9}, {3.511509627125*^9, 
  3.511509658875*^9}, {3.511509710921875*^9, 3.5115097685*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dosazeni", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"el", "\[Rule]", "1"}], ",", 
     RowBox[{"gx", "\[Rule]", "9.8"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"rov", "/.", "dosazeni"}], ",", 
       RowBox[{
        RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "10"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fi", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fi", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Red"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", "Blue"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<t(s)\>\"", ",", 
       "\"\<fi[t],fi'[t](rad*\!\(\*SuperscriptBox[\(s\), \(-1\)]\))\>\""}], 
      "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5103030208114843`*^9, 3.5103030282802343`*^9}, {
   3.510303161420859*^9, 3.5103032451864843`*^9}, 3.511507846296875*^9, {
   3.511508009375*^9, 3.511508098203125*^9}, {3.511508623234375*^9, 
   3.511508650203125*^9}, {3.5115086955625*^9, 3.511508705546875*^9}, {
   3.51150876159375*^9, 3.5115087676875*^9}, {3.5115088011875*^9, 
   3.511508861921875*^9}, {3.511508932453125*^9, 3.511508940625*^9}, {
   3.5115091401875*^9, 3.511509183375*^9}, {3.511509257078125*^9, 
   3.51150934625*^9}, {3.511509680328125*^9, 3.51150969415625*^9}, 
   3.511510515109375*^9, {3.5115127290625*^9, 3.51151272953125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"el", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bod", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"el", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{"fi", "[", "t", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", "el"}], "*", 
       RowBox[{"Cos", "[", 
        RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], "}"}], "/.", "res"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grBod", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"bod", "[", "t", "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grCara", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Red", ",", 
      RowBox[{"Thickness", "[", "0.005", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{
          RowBox[{"bod", "[", "t", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"obe", "[", "t_", "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"grCara", "[", "t", "]"}], ",", 
    RowBox[{"grBod", "[", "t", "]"}], ",", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"Circle", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "el"}], "]"}]}], "}"}], "]"}], 
    ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1.1"}], "*", "el"}], ",", 
         RowBox[{"1.1", "*", "el"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1.1"}], "*", "el"}], ",", 
         RowBox[{"1.1", "*", "el"}]}], "}"}]}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.511510521296875*^9, 3.511510606515625*^9}, {
  3.511510665140625*^9, 3.5115107416875*^9}, {3.511510785984375*^9, 
  3.511510788390625*^9}, {3.511511289203125*^9, 3.5115113515625*^9}, {
  3.51151139459375*^9, 3.511511592984375*^9}, {3.511511649578125*^9, 
  3.511511708953125*^9}, {3.51151175790625*^9, 3.51151176415625*^9}, {
  3.511511812359375*^9, 3.511511885125*^9}, {3.511511917734375*^9, 
  3.511512136265625*^9}, {3.5115122134375*^9, 3.511512214234375*^9}, {
  3.511512246515625*^9, 3.511512249796875*^9}, {3.511512971296875*^9, 
  3.511513014375*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"obe", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.511512178875*^9, 3.511512204421875*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.511511844515625*^9, 3.511511844515625*^9}}]
},
WindowSize->{1276, 891},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1356, 37, 662, "Input"],
Cell[1904, 59, 121, 3, 124, "Input"],
Cell[2028, 64, 405, 13, 191, "Input"],
Cell[2436, 79, 2358, 66, 751, "Input"],
Cell[4797, 147, 2348, 64, 610, "Input"],
Cell[7148, 213, 2750, 79, 801, "Input"],
Cell[9901, 294, 240, 6, 124, "Input"],
Cell[10144, 302, 92, 1, 124, InheritFromParent]
}
]
*)

(* End of internal cache information *)
