(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11537,        352]
NotebookOptionsPosition[     10449,        312]
NotebookOutlinePosition[     10827,        328]
CellTagsIndexPosition[     10784,        325]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"100", "+", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "100"], "+", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"I", "*", "2", "*", "50", "*", "Pi", "*", "0.3"}], ")"}]}]}],
       ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Ifazor= \>\"", ",", 
   RowBox[{"Ifa", "=", 
    FractionBox["u", "Z"]}], ",", "\"\< A\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S kompl= \>\"", ",", 
   RowBox[{"S", "=", 
    RowBox[{"u", "*", 
     RowBox[{"Conjugate", "[", "Ifa", "]"}]}]}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"Re", "[", "S", "]"}], ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Q= \>\"", ",", 
   RowBox[{"Im", "[", "S", "]"}], ",", "\"\< VAr\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S= \>\"", ",", 
   RowBox[{"Abs", "[", "S", "]"}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Cos fi= \>\"", ",", 
    RowBox[{
     RowBox[{"Re", "[", "S", "]"}], "/", 
     RowBox[{"Abs", "[", "S", "]"}]}], ",", "\"\< -\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.510306786483359*^9, 3.5103068235614843`*^9}, {
  3.510306926014609*^9, 3.510306940077109*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"\<\"Ifazor= \"\>", "\[InvisibleSpace]", "0.6098163137040029`"}], 
   "\[InvisibleSpace]", "-", 
   RowBox[{
    RowBox[{"0.20699887462608457`", " ", "\[ImaginaryI]"}], 
    "\[InvisibleSpace]", "\<\" A\"\>"}]}],
  SequenceForm["Ifazor= ", 
   Complex[0.6098163137040029, -0.20699887462608457`], " A"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.5103069412177343`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"\<\"S kompl= \"\>", "\[InvisibleSpace]", "60.981631370400294`"}], 
   "\[InvisibleSpace]", "+", 
   RowBox[{
    RowBox[{"20.69988746260846`", " ", "\[ImaginaryI]"}], 
    "\[InvisibleSpace]", "\<\" VA\"\>"}]}],
  SequenceForm["S kompl= ", 
   Complex[60.981631370400294`, 20.69988746260846], " VA"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.5103069412177343`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"P= \"\>", "\[InvisibleSpace]", "60.981631370400294`", 
   "\[InvisibleSpace]", "\<\" W\"\>"}],
  SequenceForm["P= ", 60.981631370400294`, " W"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.5103069412177343`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Q= \"\>", "\[InvisibleSpace]", "20.69988746260846`", 
   "\[InvisibleSpace]", "\<\" VAr\"\>"}],
  SequenceForm["Q= ", 20.69988746260846, " VAr"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.510306941233359*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S= \"\>", "\[InvisibleSpace]", "64.39910485061142`", 
   "\[InvisibleSpace]", "\<\" VA\"\>"}],
  SequenceForm["S= ", 64.39910485061142, " VA"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.510306941233359*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Cos fi= \"\>", "\[InvisibleSpace]", "0.9469329039877379`", 
   "\[InvisibleSpace]", "\<\" -\"\>"}],
  SequenceForm["Cos fi= ", 0.9469329039877379, " -"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5103067201864843`*^9, {3.5103068161239843`*^9, 3.510306823952109*^9}, {
   3.510306929670859*^9, 3.510306941233359*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
      RowBox[{
       RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "-", 
     FractionBox["R", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", "R"}]]}], "\[Equal]", 
    "0"}], ",", "c"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"c", "\[Rule]", 
    FractionBox["L", 
     SuperscriptBox["R", "2"]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.510307138170859*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", " ", 
   RowBox[{"el", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rVektor", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "gy", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fvektor", "=", 
   RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moment", "=", 
   RowBox[{"Cross", "[", 
    RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"m", "*", 
    SuperscriptBox["el", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"J", "*", 
      RowBox[{"D", "[", 
       RowBox[{"fiVektor", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", "moment"}], "//",
     "Thread"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"reseni", "=", 
  RowBox[{"rce", "[", 
   RowBox[{"[", "3", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"reseni", ",", 
     RowBox[{
      RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "1"}]}], "}"}], ",", 
   " ", 
   RowBox[{"fi", "[", "t", "]"}], ",", "t"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5103088457177343`*^9, 3.5103091772802343`*^9}, {
  3.5103092490302343`*^9, 3.5103093049052343`*^9}, {3.510309343952109*^9, 
  3.510309351389609*^9}, {3.510309522702109*^9, 3.510309584264609*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["el", "2"], " ", "m", " ", 
   RowBox[{
    SuperscriptBox["fi", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
  RowBox[{"el", " ", "gy", " ", "m", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"fi", "[", "t", "]"}], "]"}]}]}]], "Output",
 CellChangeTimes->{3.510309305514609*^9, 3.510309530014609*^9, 
  3.510309586889609*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "::", "\<\"ifun\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"Inverse functions are being \
used by \\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(Solve\\), \\\"MT\\\"]\\)\
\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\", so some solutions may not be found; \
use Reduce for complete solution information.\\\\\\\"\\\", \\\"MT\\\"]\\) \\!\
\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/Solve/ifun\\\", \
ButtonNote -> \\\"Solve::ifun\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.510309532108359*^9, 3.5103095871552343`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "::", "\<\"bvfail\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"For some branches of the \
general solution, unable to solve the conditions.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/DSolve/bvfail\\\", \
ButtonNote -> \\\"DSolve::bvfail\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.510309532108359*^9, 3.5103095872802343`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "::", "\<\"bvfail\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"For some branches of the \
general solution, unable to solve the conditions.\\\\\\\"\\\", \\\"MT\\\"]\\) \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/DSolve/bvfail\\\", \
ButtonNote -> \\\"DSolve::bvfail\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.510309532108359*^9, 3.510309587389609*^9}],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.510309305514609*^9, 3.510309530014609*^9, 
  3.5103095874052343`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Thread", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], "\[Equal]", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e", ",", "f"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.510309198920859*^9, 3.5103092290614843`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "\[Equal]", "d"}], ",", 
   RowBox[{"b", "\[Equal]", "e"}], ",", 
   RowBox[{"c", "\[Equal]", "f"}]}], "}"}]], "Output",
 CellChangeTimes->{3.510309230202109*^9}]
}, Open  ]]
},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.799999237060547,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 1600, 45, 621, "Input"],
Cell[CellGroupData[{
Cell[2192, 71, 535, 13, 59, "Print"],
Cell[2730, 86, 534, 13, 59, "Print"],
Cell[3267, 101, 370, 8, 59, "Print"],
Cell[3640, 111, 369, 8, 59, "Print"],
Cell[4012, 121, 367, 8, 59, "Print"],
Cell[4382, 131, 377, 8, 59, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4808, 145, 405, 13, 178, "Input"],
Cell[5216, 160, 195, 6, 141, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5448, 171, 2162, 64, 680, "Input"],
Cell[7613, 237, 413, 11, 115, "Output"],
Cell[8029, 250, 688, 12, 154, "Message"],
Cell[8720, 264, 520, 9, 154, "Message"],
Cell[9243, 275, 518, 9, 154, "Message"],
Cell[9764, 286, 136, 3, 112, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9937, 294, 275, 7, 112, "Input"],
Cell[10215, 303, 218, 6, 112, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

