(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11060,        346]
NotebookOptionsPosition[     10428,        323]
NotebookOutlinePosition[     10831,        340]
CellTagsIndexPosition[     10788,        337]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox["i", "0.5"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBody", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCara", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plBody", ",", "plCara"}], "]"}]}], "Input",
 CellChangeTimes->{{3.510896806468585*^9, 3.51089688995296*^9}, {
   3.51089703535921*^9, 3.510897075749835*^9}, {3.510897111218585*^9, 
   3.51089713629671*^9}, {3.51089716801546*^9, 3.51089717014046*^9}, 
   3.51089724723421*^9, {3.510897623593585*^9, 3.510897709749835*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", 
        SqrtBox["x"], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"4", 
        SuperscriptBox["Pi", "2"]}], ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"dat2D", ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.510897401718585*^9, 3.51089744170296*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.6"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lpl", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"interpolace", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "3"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"interpolace", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lpl", ",", "plp"}], "]"}]}], "Input",
 CellChangeTimes->{{3.510897888374835*^9, 3.510897896156085*^9}, 
   3.51089816742171*^9, {3.510898622812335*^9, 3.51089868585921*^9}, {
   3.510898739937335*^9, 3.51089878179671*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplSum", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sum", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "amplSum"}], ",", "amplSum"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lpl", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], ",", 
       RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"fit", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lpl", ",", "plp"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plp", ",", "lpl"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.510899140999835*^9, 3.510899189593585*^9}, {
  3.51089931651546*^9, 3.510899331718585*^9}, {3.51089940470296*^9, 
  3.51089946551546*^9}, {3.510899587593585*^9, 3.510899639968585*^9}, {
  3.51089981010921*^9, 3.510899820718585*^9}, {3.51089986604671*^9, 
  3.51089999220296*^9}, {3.51090029557796*^9, 3.51090030160921*^9}, {
  3.51090078714046*^9, 3.510900793437335*^9}}],

Cell[BoxData["fit"], "Input",
 CellChangeTimes->{{3.51090081545296*^9, 3.510900816406085*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplSum", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sum", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "amplSum"}], ",", "amplSum"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"a", "*", 
     RowBox[{"Sin", "[", "t", "]"}]}], "+", 
    RowBox[{"b", "*", 
     RowBox[{"Cos", "[", "t", "]"}]}]}]}], ";"}], "\n", 
 RowBox[{"dosab", "=", 
  RowBox[{"FindFit", "[", 
   RowBox[{"data", ",", "model", ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"model", "/.", "dosab"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lpl", ",", "plp"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.51090061501546*^9, {3.510900805906085*^9, 3.51090080698421*^9}, {
   3.51090101573421*^9, 3.510901082718585*^9}}],

Cell[BoxData[
 RowBox[{"Take", "[", 
  RowBox[{"data", ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.510901453656085*^9, 3.510901461312335*^9}, {
  3.510901586187335*^9, 3.510901586374835*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"t", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data2D", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"{", 
     RowBox[{"listt", ",", "listu"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.51090152357796*^9, 3.510901555249835*^9}, {
  3.510901627062335*^9, 3.51090165235921*^9}, {3.51090175614046*^9, 
  3.51090178770296*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Min", "[", 
    RowBox[{
     RowBox[{"Length", "[", "listt", "]"}], ",", 
     RowBox[{"Length", "[", "listu", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"listu", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.51090166264046*^9, 3.510901743187335*^9}, {
  3.510901791968585*^9, 3.510901796812335*^9}}]
},
WindowSize->{1135, 889},
WindowMargins->{{Automatic, 20}, {-7, Automatic}},
ShowSelection->True,
Magnification->2.5999996662139893`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1384, 37, 329, "Input"],
Cell[1932, 59, 775, 24, 213, "Input"],
Cell[2710, 85, 1393, 41, 363, "Input"],
Cell[4106, 128, 2552, 72, 664, "Input"],
Cell[6661, 202, 94, 1, 104, "Input"],
Cell[6758, 205, 1943, 60, 535, "Input"],
Cell[8704, 267, 199, 4, 104, "Input"],
Cell[8906, 273, 824, 25, 191, "Input"],
Cell[9733, 300, 691, 21, 191, "Input"]
}
]
*)

(* End of internal cache information *)
