(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9296,        281]
NotebookOptionsPosition[      8781,        262]
NotebookOutlinePosition[      9222,        279]
CellTagsIndexPosition[      9179,        276]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox["i", "0.5"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBody", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCara", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plCara", ",", "plBody"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51090326429671*^9, 3.510903337874835*^9}, {
  3.51090342823421*^9, 3.51090356951546*^9}, {3.510903642468585*^9, 
  3.51090364495296*^9}, {3.510903689718585*^9, 3.51090378876546*^9}, {
  3.510903848187335*^9, 3.510903873687335*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.5"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plc", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"plp", ",", "plc"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"interpolace", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "5"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pli", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"interpolace", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "6"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"plp", ",", "pli"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.51090450182796*^9, 3.51090464820296*^9}, {
   3.51090488267171*^9, 3.510904962406085*^9}, {3.510905001093585*^9, 
   3.51090508451546*^9}, {3.51090511592171*^9, 3.510905153343585*^9}, {
   3.51090519526546*^9, 3.510905229624835*^9}, {3.51090527039046*^9, 
   3.51090532389046*^9}, {3.51090548264046*^9, 3.510905506843585*^9}, {
   3.51090557785921*^9, 3.510905645749835*^9}, 3.510905676937335*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"amplSum", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sum", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "amplSum"}], ",", "amplSum"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], ",", 
       RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plx", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"fit", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plp", ",", "plx"}], "]"}]}], "Input",
 CellChangeTimes->{{3.510906020499835*^9, 3.510906057312335*^9}, {
  3.510906087624835*^9, 3.510906327593585*^9}, {3.510906371843585*^9, 
  3.51090642129671*^9}, {3.510906454281085*^9, 3.51090646195296*^9}, {
  3.510906940031085*^9, 3.510907096124835*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"a", "*", 
     RowBox[{"Cos", "[", "t", "]"}]}], "+", 
    RowBox[{"b", "*", 
     RowBox[{"Sin", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosazeni", "=", 
  RowBox[{"FindFit", "[", 
   RowBox[{"data", ",", "model", ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"plx", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"model", "/.", "dosazeni"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.510907165593585*^9, 3.510907167812335*^9}, {
   3.51090723604671*^9, 3.51090729739046*^9}, {3.51090735520296*^9, 
   3.510907363781085*^9}, {3.51090754035921*^9, 3.510907573031085*^9}, 
   3.510907702124835*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"t", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"listu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"data2D", "=", 
    RowBox[{"Thread", "[", 
     RowBox[{"{", 
      RowBox[{"listt", ",", "listu"}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"n", "=", 
  RowBox[{"Min", "[", 
   RowBox[{
    RowBox[{"Length", "[", "listt", "]"}], ",", 
    RowBox[{"Length", "[", "listu", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data2D2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"listu", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.510907737718585*^9, 3.510907744749835*^9}, {
  3.510907813531085*^9, 3.510907870874835*^9}, {3.51090790707796*^9, 
  3.51090791279671*^9}, {3.51090803929671*^9, 3.51090821567171*^9}, {
  3.51090824664046*^9, 3.51090832607796*^9}}]
},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1350, 37, 444, "Input"],
Cell[1898, 59, 2143, 59, 593, "Input"],
Cell[4044, 120, 2177, 64, 645, "Input"],
Cell[6224, 186, 1078, 29, 333, "Input"],
Cell[7305, 217, 1472, 43, 437, "Input"]
}
]
*)

(* End of internal cache information *)

