(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7221,        218]
NotebookOptionsPosition[      6748,        200]
NotebookOutlinePosition[      7189,        217]
CellTagsIndexPosition[      7146,        214]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox["i", "0.5"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBody", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCara", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plBody", ",", "plCara"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51091003251546*^9, 3.510910083593585*^9}, {
  3.510910175843585*^9, 3.51091018270296*^9}, {3.51091021479671*^9, 
  3.510910220343585*^9}, {3.51091029929671*^9, 3.510910305218585*^9}, {
  3.51091039323421*^9, 3.51091045039046*^9}, {3.510910490968585*^9, 
  3.510910528749835*^9}, {3.510910593281085*^9, 3.510910755999835*^9}, {
  3.51091095692171*^9, 3.51091096014046*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", 
        SuperscriptBox["x", "2"], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "Pi"}], ",", "0.08"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCos", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<cos x\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"interpolace", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "5"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pli", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"interpolace", "'"}], "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"2", "Pi"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.51091115901546*^9, 3.510911347093585*^9}, {
  3.510911407781085*^9, 3.51091164976546*^9}, {3.51091169542171*^9, 
  3.51091171670296*^9}, {3.51091177164046*^9, 3.51091184104671*^9}, {
  3.51091190001546*^9, 3.510911902937335*^9}, {3.510911934531085*^9, 
  3.510912090468585*^9}, {3.510912129249835*^9, 3.51091223467171*^9}}],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sum", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"sum", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "3"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "=", 
  RowBox[{"Fit", "[", 
   RowBox[{"data", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cos", "[", "t", "]"}], ",", 
      RowBox[{"Sin", "[", "t", "]"}]}], "}"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plf", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"fit", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plp", ",", "plf"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51091248935921*^9, 3.51091269729671*^9}, {
  3.51091273376546*^9, 3.51091277657796*^9}, {3.51091280745296*^9, 
  3.510912813687335*^9}, {3.510912845312335*^9, 3.510912850062335*^9}, {
  3.51091293932796*^9, 3.51091296585921*^9}, {3.51091299945296*^9, 
  3.51091302289046*^9}, {3.510913939812335*^9, 3.51091405170296*^9}, {
  3.51091408701546*^9, 3.510914103062335*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{"a", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"t", "+", "b"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosaz", "=", 
   RowBox[{"FindFit", "[", 
    RowBox[{"data", ",", "model", ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"model", "/.", "dosaz"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.510914267687335*^9, 3.51091432751546*^9}, {
  3.51091438307796*^9, 3.51091443314046*^9}, {3.51091446714046*^9, 
  3.510914502218585*^9}}]
},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1491, 39, 444, "Input"],
Cell[2039, 61, 1681, 46, 548, "Input"],
Cell[3723, 109, 2314, 67, 697, "Input"],
Cell[6040, 178, 704, 20, 229, "Input"]
}
]
*)

(* End of internal cache information *)

