(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10209,        309]
NotebookOptionsPosition[      9718,        290]
NotebookOutlinePosition[     10098,        306]
CellTagsIndexPosition[     10055,        303]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox["i", "0.5"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBody", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCara", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plBody", ",", "plCara"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51098342484375*^9, 3.510983449703125*^9}, {
  3.5109835459375*^9, 3.510983578859375*^9}, {3.510983620671875*^9, 
  3.5109836623125*^9}, {3.510983693421875*^9, 3.510983702078125*^9}, {
  3.510983753578125*^9, 3.510983816515625*^9}, {3.510983852125*^9, 
  3.510983882828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", 
        SqrtBox["x"], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"4", "*", 
        SuperscriptBox["Pi", "2"]}], ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl2", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"dat2D", ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "Blue", "}"}]}], ",", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.51098426340625*^9, 3.5109843638125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dat2D", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", " ", 
        RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", " ", "\n", "    ", 
      RowBox[{"{", 
       RowBox[{"x", ",", " ", "0", ",", " ", 
        RowBox[{"2", "*", "Pi"}], ",", " ", "0.6"}], "}"}]}], "]"}]}], ";"}], 
  " "}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lpl", " ", "=", " ", 
    RowBox[{"ListPlot", "[", 
     RowBox[{"dat2D", ",", " ", "\n", "    ", 
      RowBox[{"AxesLabel", " ", "->", " ", 
       RowBox[{"{", 
        RowBox[{"\"\<x\>\"", ",", " ", "\"\<y\>\""}], "}"}]}], ",", " ", "\n",
       "    ", 
      RowBox[{"PlotStyle", " ", "->", " ", "\n", "     ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "0.01", "]"}], ",", " ", "Red"}], 
        "}"}]}]}], "]"}]}], ";"}], " "}], "\n", 
 RowBox[{"interpolace", " ", "=", " ", 
  RowBox[{"Interpolation", "[", 
   RowBox[{"dat2D", ",", 
    RowBox[{"InterpolationOrder", "->", "2"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"plp", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"interpolace", "[", "x", "]"}], ",", " ", "\n", "    ", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "0", ",", " ", "6"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"lpl", ",", " ", "plp"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51098438978125*^9, 3.5109844528125*^9}, {
   3.5109847085625*^9, 3.51098472975*^9}, {3.5109847696875*^9, 
   3.5109847718125*^9}, {3.5109848216875*^9, 3.5109848535*^9}, {
   3.510984893828125*^9, 3.5109848993125*^9}, {3.510985120625*^9, 
   3.510985164875*^9}, {3.51098520675*^9, 3.510985225234375*^9}, {
   3.510985275203125*^9, 3.510985319484375*^9}, 3.510985425078125*^9},
 FormatType->"InputForm"],

Cell[BoxData[{
 RowBox[{"sum", ":=", 
  RowBox[{"Random", "[", 
   RowBox[{"Real", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"sum", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aa", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"interpolace", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"data", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bb", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"interpolace", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", " ", "0", ",", " ", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "t", "]"}], ",", 
       RowBox[{"Sin", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cc", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"fit", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"aa", ",", "cc"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"cc", ",", "aa"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5109854504375*^9, 3.5109855020625*^9}, {
  3.51098561178125*^9, 3.510985627390625*^9}, {3.510985657421875*^9, 
  3.51098578540625*^9}, {3.51098615096875*^9, 3.510986260125*^9}, {
  3.510986301515625*^9, 3.510986314484375*^9}, {3.51098635340625*^9, 
  3.5109865011875*^9}, {3.510986600875*^9, 3.510986685578125*^9}, {
  3.510987524984375*^9, 3.510987526515625*^9}, {3.510987561015625*^9, 
  3.510987570359375*^9}}],

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{"data", ",", 
   RowBox[{
    RowBox[{"a", "*", 
     RowBox[{"Cos", "[", "t", "]"}]}], "+", 
    RowBox[{"b", "*", 
     RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.5109867714375*^9, 3.510986810703125*^9}, {
  3.510986852765625*^9, 3.5109868583125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"t", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"listu", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Min", "[", 
        RowBox[{
         RowBox[{"Length", "[", "listt", "]"}], ",", 
         RowBox[{"Length", "[", "listu", "]"}]}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"liste", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"{", 
    RowBox[{"listt", ",", "listu"}], "}"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.51098690453125*^9, 3.51098696634375*^9}, {
  3.510986997890625*^9, 3.510986999328125*^9}, {3.51098706703125*^9, 
  3.510987173546875*^9}, {3.510987227046875*^9, 3.510987269375*^9}}]
},
WindowSize->{1223, 850},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.3999998569488525`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1616, 44, 315, "Input"],
Cell[2164, 66, 890, 26, 204, "Input"],
Cell[3057, 94, 1827, 47, 423, "Input"],
Cell[4887, 143, 3036, 89, 687, "Input"],
Cell[7926, 234, 406, 11, 98, "Input"],
Cell[8335, 247, 1379, 41, 267, "Input"]
}
]
*)

(* End of internal cache information *)

