(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9544,        300]
NotebookOptionsPosition[      9052,        281]
NotebookOutlinePosition[      9432,        297]
CellTagsIndexPosition[      9389,        294]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SuperscriptBox["i", "0.5"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plBody", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plCara", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plBody", ",", "plCara"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.51098954275*^9, 3.5109898716875*^9}, {
  3.510989908453125*^9, 3.510989911078125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", 
        SqrtBox["x"], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"4", "*", 
        SuperscriptBox["\[Pi]", "2"]}], ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"plCos", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"dat2D", ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.510990335453125*^9, 3.51099049625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat2D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Cos", "[", "x", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", 
       RowBox[{"2", "*", "\[Pi]"}], ",", "0.6"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lpl", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat2D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"interpolace", "=", 
  RowBox[{"Interpolation", "[", 
   RowBox[{"dat2D", ",", 
    RowBox[{"InterpolationOrder", "\[Rule]", "3"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plp", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"interpolace", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plp", ",", "lpl"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51099061609375*^9, 3.510990643703125*^9}, {
   3.51099121125*^9, 3.510991221109375*^9}, {3.510991257828125*^9, 
   3.510991346953125*^9}, {3.510991432671875*^9, 3.510991493046875*^9}, 
   3.510991590390625*^9, {3.5109917005*^9, 3.510991714859375*^9}, 
   3.5109918135*^9}],

Cell[BoxData[{
 RowBox[{"sum", ":=", 
  RowBox[{"Random", "[", 
   RowBox[{"Real", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"sum", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "0.2"}], ",", "0.2"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"0.3", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}], "+", 
        RowBox[{"0.8", "*", 
         RowBox[{"Cos", "[", "t", "]"}]}], "+", "sum"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aa", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"data", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.01", "]"}], ",", "Red"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"interpolace2", "=", 
   RowBox[{"Interpolation", "[", "data", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bb", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"interpolace2", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"aa", ",", "bb"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", "t", "]"}], ",", 
       RowBox[{"Cos", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cc", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"fit", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}], 
     ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"aa", ",", "cc"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"cc", ",", "aa"}], "]"}]}], "Input",
 CellChangeTimes->{{3.51099183765625*^9, 3.510991921078125*^9}, {
  3.51099203109375*^9, 3.510992137953125*^9}, {3.5109921714375*^9, 
  3.5109921716875*^9}, {3.51099223640625*^9, 3.51099228571875*^9}, {
  3.510992617921875*^9, 3.51099263125*^9}, {3.510992669890625*^9, 
  3.510992804078125*^9}, {3.51099284440625*^9, 3.510992896109375*^9}, {
  3.510993628796875*^9, 3.5109936354375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FindFit", "[", 
   RowBox[{"data", ",", 
    RowBox[{
     RowBox[{"a", "*", 
      RowBox[{"Sin", "[", "t", "]"}]}], "+", 
     RowBox[{"b", "*", 
      RowBox[{"Cos", "[", "t", "]"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.51099196825*^9, {3.510993043*^9, 3.510993049390625*^9}, {3.5109930815*^9, 
   3.5109931105*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"listt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"t", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listu", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", "Pi"}], ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"listd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"listt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"listu", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Min", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Length", "[", "listt", "]"}], ",", 
          RowBox[{"Length", "[", "listu", "]"}]}], "}"}], "]"}]}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"liste", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{"{", 
     RowBox[{"listt", ",", "listu"}], "}"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.510993233265625*^9, 3.510993293359375*^9}, {
  3.51099334453125*^9, 3.510993446453125*^9}, {3.510993493828125*^9, 
  3.51099352790625*^9}, {3.510993764046875*^9, 3.510993780734375*^9}}]
},
WindowSize->{1218, 900},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.8999993801116943`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1238, 35, 478, "Input"],
Cell[1786, 57, 839, 25, 369, "Input"],
Cell[2628, 84, 1526, 43, 421, "Input"],
Cell[4157, 129, 2984, 89, 871, "Input"],
Cell[7144, 220, 463, 14, 171, "Input"],
Cell[7610, 236, 1438, 43, 284, "Input"]
}
]
*)

(* End of internal cache information *)
