(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10363,        310]
NotebookOptionsPosition[      9914,        292]
NotebookOutlinePosition[     10294,        308]
CellTagsIndexPosition[     10251,        305]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"100", "+", 
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "100"], "+", 
       RowBox[{"1", "/", 
        RowBox[{"(", 
         RowBox[{"I", "*", "2", "*", "50", "*", "Pi", "*", "0.3"}], ")"}]}]}],
       ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Ifazor= \>\"", ",", 
   RowBox[{"Ifa", "=", 
    FractionBox["u", "Z"]}], ",", "\"\< A\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S kompl= \>\"", ",", 
   RowBox[{"S", "=", 
    RowBox[{"u", "*", 
     RowBox[{"Conjugate", "[", "Ifa", "]"}]}]}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"Re", "[", "S", "]"}], ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Q= \>\"", ",", 
   RowBox[{"Im", "[", "S", "]"}], ",", "\"\< VAr\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S= \>\"", ",", 
   RowBox[{"Abs", "[", "S", "]"}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Cos fi= \>\"", ",", 
    RowBox[{
     RowBox[{"Re", "[", "S", "]"}], "/", 
     RowBox[{"Abs", "[", "S", "]"}]}], ",", "\"\< -\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.510306786483359*^9, 3.5103068235614843`*^9}, {
  3.510306926014609*^9, 3.510306940077109*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
      RowBox[{
       RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "-", 
     FractionBox["R", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", "R"}]]}], "\[Equal]", 
    "0"}], ",", "c"}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", " ", 
   RowBox[{"el", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rVektor", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gVektor", "=", 
   RowBox[{"{", 
    RowBox[{"gx", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fvektor", "=", 
   RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moment", "=", 
   RowBox[{"Cross", "[", 
    RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"m", "*", 
    SuperscriptBox["el", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"J", "*", 
      RowBox[{"D", "[", 
       RowBox[{"fiVektor", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", 
     RowBox[{"(", 
      RowBox[{"moment", "-", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"2", "*", 
          RowBox[{
           RowBox[{"fi", "'"}], "[", "t", "]"}]}]}], "}"}]}], ")"}]}], "//", 
    "Thread"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"reseni", "=", 
  RowBox[{"rce", "[", 
   RowBox[{"[", "3", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosazeni", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"el", "\[Rule]", "1"}], ",", 
     RowBox[{"gx", "\[Rule]", "9.8"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"reseni", "/.", "dosazeni"}], ",", 
        RowBox[{
         RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "5"}]}], "}"}], 
      ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fi", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fi", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "Blue", "}"}], ",", 
      RowBox[{"{", "Red", "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5103088457177343`*^9, 3.5103091772802343`*^9}, {
   3.5103092490302343`*^9, 3.5103093049052343`*^9}, {3.510309343952109*^9, 
   3.510309351389609*^9}, {3.510309522702109*^9, 3.510309584264609*^9}, 
   3.51151403078125*^9, {3.511514160359375*^9, 3.51151418946875*^9}, {
   3.51151491503125*^9, 3.5115149541875*^9}, 3.511514985125*^9, {
   3.51151507603125*^9, 3.511515089390625*^9}, {3.511515160953125*^9, 
   3.511515171265625*^9}, {3.511515398546875*^9, 3.511515436046875*^9}, {
   3.511515480234375*^9, 3.511515488265625*^9}, {3.511515554984375*^9, 
   3.511515559703125*^9}, {3.511516391640625*^9, 3.51151639709375*^9}, {
   3.511516461828125*^9, 3.5115165140625*^9}, {3.51151655653125*^9, 
   3.5115165710625*^9}, {3.51151672575*^9, 3.511516791515625*^9}, {
   3.51151729965625*^9, 3.511517301203125*^9}, {3.511517371765625*^9, 
   3.5115174013125*^9}, {3.51151778015625*^9, 3.5115177818125*^9}, 
   3.51151893690625*^9, 3.511518982015625*^9, {3.51151903446875*^9, 
   3.511519049890625*^9}}],

Cell[BoxData[
 RowBox[{"bod", "[", "6", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"el", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bod", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"el", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"fi", "[", "t", "]"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "el"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], "}"}], ")"}], "/.", 
     "res"}], "/.", "dosazeni"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bod", "[", "6", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"grBod", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Black", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"bod", "[", "t", "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grBod", "[", "6", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grCara", "[", "t_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Red", ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"bod", "[", "t", "]"}]}], "}"}], "]"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grCara", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ukaz", "[", "t_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"grBod", "[", "t", "]"}], ",", 
     RowBox[{"grCara", "[", "t", "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "*", "el"}], ",", 
          RowBox[{"1.1", "*", "el"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "*", "el"}], ",", 
          RowBox[{"1.1", "*", "el"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ukaz", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ukaz", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.511516874546875*^9, 3.511517035875*^9}, {
   3.5115170836875*^9, 3.5115172128125*^9}, {3.511517256234375*^9, 
   3.511517265421875*^9}, {3.511517309546875*^9, 3.51151735159375*^9}, {
   3.511517453828125*^9, 3.51151750803125*^9}, {3.511517556671875*^9, 
   3.511517696046875*^9}, 3.511517741046875*^9, {3.5115178193125*^9, 
   3.511517821609375*^9}, {3.5115182304375*^9, 3.5115183005*^9}, {
   3.5115183863125*^9, 3.511518391984375*^9}, {3.5115184281875*^9, 
   3.511518507890625*^9}, {3.5115186864375*^9, 3.511518712078125*^9}}]
},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.0999999046325684`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1600, 45, 453, "Input"],
Cell[2148, 67, 405, 13, 108, "Input"],
Cell[2556, 82, 4326, 120, 617, "Input"],
Cell[6885, 204, 56, 1, 60, "Input"],
Cell[6944, 207, 2966, 83, 431, "Input"]
}
]
*)

(* End of internal cache information *)
