(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6775,        224]
NotebookOptionsPosition[      6254,        202]
NotebookOutlinePosition[      6635,        218]
CellTagsIndexPosition[      6592,        215]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", "\"\<out.dat\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"ListPlot", "[", "data", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odhad", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Log", "[", "x", "]"}], ",", 
       RowBox[{"Sin", "[", "x", "]"}]}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odhadgr", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"odhad", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "25"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"body", ",", "odhadgr"}], "]"}]}], "Input",
 CellChangeTimes->{{3.511587806884547*^9, 3.511588077931422*^9}, {
  3.511588107962672*^9, 3.511588111181422*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "=", 
     RowBox[{"el", "*", 
      RowBox[{"Cos", "[", 
       RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"y", "=", 
     RowBox[{"el", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rVektor", "=", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gVektor", "=", 
     RowBox[{"{", 
      RowBox[{"gx", ",", "0", ",", "0"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Fvektor", "=", 
     RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"moment", "=", 
     RowBox[{"Cross", "[", 
      RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fiVektor", "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"J", "=", 
     RowBox[{"m", "*", 
      SuperscriptBox["el", "2"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"rce", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"J", "*", 
       RowBox[{"D", "[", 
        RowBox[{"fiVektor", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", 
      RowBox[{"(", "moment", ")"}]}], "//", "Thread"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.511588263478297*^9, {3.511589040665797*^9, 3.511589174197047*^9}, {
   3.511589455853297*^9, 3.511589491072047*^9}, 3.511589596431422*^9, {
   3.511589648368922*^9, 3.511589821775172*^9}, {3.511589875306422*^9, 
   3.511589883947047*^9}, 3.511590162947047*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["el", "2"], " ", "m", " ", 
     RowBox[{
      SuperscriptBox["fi", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", "el"}], " ", "gx", " ", "m", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"fi", "[", "t", "]"}], "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.511590163525172*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dosazeni", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"gx", "\[Rule]", "9.81"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"el", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"rce", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "/.", "dosazeni"}], ",", 
      RowBox[{
       RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "10"}]}], "}"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"fi", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.511589889134547*^9, 3.511589939306422*^9}, {
  3.511590118728297*^9, 3.511590123618922*^9}, {3.511590256103297*^9, 
  3.511590282993922*^9}, {3.511590332228297*^9, 3.511590387697047*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"fi", "[", "t", "]"}], "\[Rule]", 
     RowBox[{
      TagBox[
       RowBox[{"InterpolatingFunction", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0.`", ",", "10.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
        "]"}],
       False,
       Editable->False], "[", "t", "]"}]}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["fi", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
     RowBox[{
      TagBox[
       RowBox[{"InterpolatingFunction", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"0.`", ",", "10.`"}], "}"}], "}"}], ",", "\<\"<>\"\>"}], 
        "]"}],
       False,
       Editable->False], "[", "t", "]"}]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.511590390306422*^9}]
}, Open  ]]
},
WindowSize->{1103, 757},
WindowMargins->{{27, Automatic}, {Automatic, 0}},
Magnification->2.9999992847442627`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1191, 35, 540, "Input"],
Cell[CellGroupData[{
Cell[1761, 59, 1904, 55, 750, "Input"],
Cell[3668, 116, 466, 13, 188, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4171, 134, 1168, 33, 384, "Input"],
Cell[5342, 169, 896, 30, 269, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
