(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9135,        279]
NotebookOptionsPosition[      8721,        262]
NotebookOutlinePosition[      9102,        278]
CellTagsIndexPosition[      9059,        275]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Import", "[", "\"\<out.dat\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"ListPlot", "[", "data", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odhad", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"data", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Log", "[", "x", "]"}], ",", 
       RowBox[{"Sin", "[", "x", "]"}]}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"odhadgr", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"odhad", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "25"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"body", ",", "odhadgr"}], "]"}]}], "Input",
 CellChangeTimes->{{3.511587806884547*^9, 3.511588077931422*^9}, {
  3.511588107962672*^9, 3.511588111181422*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Cos", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"el", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"z", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rVektor", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gVektor", "=", 
   RowBox[{"{", 
    RowBox[{"gx", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fvektor", "=", 
   RowBox[{"m", "*", "gVektor"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moment", "=", 
   RowBox[{"Cross", "[", 
    RowBox[{"rVektor", ",", "Fvektor"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiVektor", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"fi", "[", "t", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"J", "=", 
   RowBox[{"m", "*", 
    SuperscriptBox["el", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rce", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"J", "*", 
     RowBox[{"D", "[", 
      RowBox[{"fiVektor", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "\[Equal]", 
    RowBox[{"(", 
     RowBox[{"moment", "+", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{
         RowBox[{"-", "0.05"}], "*", 
         RowBox[{
          RowBox[{"fi", "'"}], "[", "t", "]"}]}]}], "}"}]}], ")"}]}], "//", 
   "Thread"}]}]}], "Input",
 CellChangeTimes->{
  3.511588263478297*^9, {3.511589040665797*^9, 3.511589174197047*^9}, {
   3.511589455853297*^9, 3.511589491072047*^9}, 3.511589596431422*^9, {
   3.511589648368922*^9, 3.511589821775172*^9}, {3.511589875306422*^9, 
   3.511589883947047*^9}, 3.511590162947047*^9, {3.511591794103297*^9, 
   3.511591815087672*^9}, {3.511591942681422*^9, 3.511591970337672*^9}, {
   3.511592834650172*^9, 3.511592836197047*^9}, {3.511599006993922*^9, 
   3.511599007759547*^9}, 3.511677199390625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"el", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosazeni", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"gx", "\[Rule]", "9.81"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcekreseni", "=", 
   RowBox[{"rce", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"rcekreseni", "/.", "dosazeni"}], ",", 
        RowBox[{
         RowBox[{"fi", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"fi", "'"}], "[", "0", "]"}], "\[Equal]", "5"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fi", "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fi", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"fi", "'"}], "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Blue", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Thick"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.511589889134547*^9, 3.511589939306422*^9}, {
   3.511590118728297*^9, 3.511590123618922*^9}, {3.511590256103297*^9, 
   3.511590282993922*^9}, {3.511590332228297*^9, 3.511590387697047*^9}, {
   3.511591180462672*^9, 3.511591285212672*^9}, {3.511591367634547*^9, 
   3.511591372634547*^9}, {3.511591427243922*^9, 3.511591563947047*^9}, 
   3.511591642212672*^9, {3.511591674806422*^9, 3.511591695353297*^9}, {
   3.511591972431422*^9, 3.511591988822047*^9}, {3.511599038103297*^9, 
   3.511599046431422*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"bod", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"el", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{"fi", "[", "t", "]"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"-", "el"}], "*", 
         RowBox[{"Cos", "[", 
          RowBox[{"fi", "[", "t", "]"}], "]"}]}]}], "}"}], "/.", "res"}], 
     ")"}], "/.", "dosazeni"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bod", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bodgr", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.05", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", 
       RowBox[{"bod", "[", "t", "]"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"linegr", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{"Black", ",", 
      RowBox[{"Thickness", "[", "0.007", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"bod", "[", "t", "]"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ukazobe", "[", "t_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"bodgr", "[", "t", "]"}], ",", 
     RowBox[{"linegr", "[", "t", "]"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "*", "el"}], ",", 
          RowBox[{"1.1", "*", "el"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "*", "el"}], ",", 
          RowBox[{"1.1", "*", "el"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ukazobe", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.511592334197047*^9, 3.511592409353297*^9}, {
  3.511592442712672*^9, 3.511592656743922*^9}, {3.511592705962672*^9, 
  3.511592789962672*^9}, {3.511593008728297*^9, 3.511593024665797*^9}, {
  3.511593242400172*^9, 3.511593245290797*^9}, {3.511599024103297*^9, 
  3.511599044165797*^9}}]
},
WindowSize->{1214, 847},
WindowMargins->{{20, Automatic}, {Automatic, 3}},
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1191, 35, 213, "Input"],
Cell[1739, 57, 2191, 62, 342, "Input"],
Cell[3933, 121, 2328, 64, 277, "Input"],
Cell[6264, 187, 2453, 73, 245, "Input"]
}
]
*)

(* End of internal cache information *)
