(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18693,        541]
NotebookOptionsPosition[     18255,        523]
NotebookOutlinePosition[     18656,        540]
CellTagsIndexPosition[     18613,        537]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"xmax", "=", 
     SuperscriptBox["10", 
      RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ymax", "=", 
     SuperscriptBox["10", "4"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kp", "=", "0.08"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ndatPrimka", "=", "50"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ndatPocatek", "=", "40"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ndatBordel", "=", "80"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bod", ":=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"#1", "*", "xmax"}], ",", 
        RowBox[{"#2", "*", "ymax"}]}], "}"}], "&"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SeedRandom", "[", "5", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"rn", ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"Random", "[", 
       RowBox[{"Real", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "#"}], "}"}]}], "]"}], "&"}], "/@", 
     RowBox[{"{", 
      RowBox[{"xmax", ",", "ymax"}], "}"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datPrimka", "=", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"0.02", "*", "rn"}], "+", 
        RowBox[{"bod", "[", 
         RowBox[{"0.1", ",", "0.4"}], "]"}], "+", 
        RowBox[{"bod", "[", 
         RowBox[{"#", ",", 
          RowBox[{"0.5", "#"}]}], "]"}]}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0.4", ",", "0.65", ",", 
        FractionBox[
         RowBox[{"0.65", "-", "0.4"}], 
         RowBox[{"ndatPrimka", "-", "1"}]]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"primkaSpravna", "[", "x_", "]"}], "=", 
     RowBox[{"Fit", "[", 
      RowBox[{"datPrimka", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datPocatek", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"kp", "*", "rn"}], "&"}], "/@", 
      RowBox[{"Range", "[", "ndatPocatek", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datBordel", "=", 
     RowBox[{
      RowBox[{"rn", "&"}], "/@", 
      RowBox[{"Range", "[", "ndatBordel", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dat", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"datBordel", ",", "datPrimka", ",", "datPocatek"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"lpl", "[", 
      RowBox[{"dat_", ",", "hue_"}], "]"}], ":=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dat", ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "xmax"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
          RowBox[{"Hue", "[", "hue", "]"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[Delta]x [-]\>\"", ",", "\"\<F [N]\>\""}], "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plPrimka", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"primkaSpravna", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "xmax"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Black"}], "}"}]}], 
       ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[Delta]x [-]\>\"", ",", "\"\<F [N]\>\""}], "}"}]}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"orig", "=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"lpl", "[", 
       RowBox[{"datPrimka", ",", "0.6"}], "]"}], ",", 
      RowBox[{"lpl", "[", 
       RowBox[{"datPocatek", ",", "0.1"}], "]"}], ",", 
      RowBox[{"lpl", "[", 
       RowBox[{"datBordel", ",", "0.4"}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"listx", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "&"}], "/@", "dat"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"listy", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "&"}], "/@", "dat"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{
  3.515497319015625*^9, {3.51549747828125*^9, 3.515497678015625*^9}, {
   3.51549771371875*^9, 3.515497784453125*^9}, {3.515497915671875*^9, 
   3.515498038421875*^9}, {3.515498075453125*^9, 3.51549811928125*^9}, {
   3.515498155171875*^9, 3.515498156546875*^9}, {3.515498186609375*^9, 
   3.515498203390625*^9}, {3.515498248390625*^9, 3.515498258875*^9}, {
   3.515498303296875*^9, 3.51549844421875*^9}, {3.515498921734375*^9, 
   3.51549900415625*^9}, {3.51549905190625*^9, 3.51549918509375*^9}, {
   3.51549927896875*^9, 3.515499303140625*^9}, {3.515499344015625*^9, 
   3.515499351734375*^9}, {3.515499394171875*^9, 3.51549947715625*^9}, 
   3.51549952896875*^9, {3.51549957759375*^9, 3.5154996245*^9}, 
   3.51549965903125*^9, {3.51549969025*^9, 3.515499732296875*^9}, {
   3.515499767046875*^9, 3.515499875265625*^9}, {3.5154999065*^9, 
   3.51549996465625*^9}, {3.51550001515625*^9, 3.515500034875*^9}, {
   3.515500103765625*^9, 3.5155001900625*^9}, {3.51550022346875*^9, 
   3.515500506078125*^9}, {3.51550056303125*^9, 3.515500587390625*^9}, 
   3.51550089878125*^9, {3.5155013335*^9, 3.5155013780625*^9}, {
   3.515501413890625*^9, 3.51550143240625*^9}, {3.515502053125*^9, 
   3.51550205340625*^9}, {3.51550528334375*^9, 3.515505285734375*^9}, {
   3.5155053305*^9, 3.515505332484375*^9}, 3.515505363015625*^9, 
   3.51550540378125*^9, {3.515653395046875*^9, 3.515653404203125*^9}, {
   3.51565572421875*^9, 3.5156557325625*^9}, {3.515655922640625*^9, 
   3.51565595075*^9}, 3.515659571046875*^9, {3.515731363359375*^9, 
   3.515731370890625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"urizniAVydej", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"listx_", ",", "listy_"}], "}"}], ",", "jakmoc_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"maxX", ",", "maxY", ",", "list2d", ",", "dat"}], "}"}], ",", 
     RowBox[{
      RowBox[{"maxX", "=", 
       RowBox[{"Max", "[", "listx", "]"}]}], ";", 
      RowBox[{"maxY", "=", 
       RowBox[{"Max", "[", "listy", "]"}]}], ";", 
      RowBox[{"list2d", "=", 
       RowBox[{"Thread", "[", 
        RowBox[{"{", 
         RowBox[{"listx", ",", "listy"}], "}"}], "]"}]}], ";", 
      RowBox[{"dat", "=", 
       RowBox[{"Select", "[", 
        RowBox[{"list2d", ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ">", 
            RowBox[{"jakmoc", "*", "maxX"}]}], "&&", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ">", 
            RowBox[{"jakmoc", "*", "maxY"}]}]}], "&"}]}], "]"}]}], ";", 
      RowBox[{"{", 
       RowBox[{"maxX", ",", "maxY", ",", "dat"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat1a", "=", 
   RowBox[{"urizniAVydej", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"listx", ",", "listy"}], "}"}], ",", ".1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xM", "=", 
   RowBox[{"dat1a", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yM", "=", 
   RowBox[{"dat1a", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"dat1a", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5155009235*^9, 3.5155010938125*^9}, {3.515501445875*^9, 
  3.515501455203125*^9}, {3.5155014924375*^9, 3.51550166828125*^9}, {
  3.51550173453125*^9, 3.515501867671875*^9}, {3.51550192034375*^9, 
  3.515501924828125*^9}, {3.515501961625*^9, 3.51550208415625*^9}, {
  3.51550224178125*^9, 3.5155022508125*^9}, {3.515502415*^9, 
  3.5155024215*^9}, {3.515503114625*^9, 3.51550313090625*^9}, {
  3.515653770171875*^9, 3.515653896078125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zprac2", "[", "dat_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"test", ",", 
       RowBox[{"kp", "=", "0.05"}], ",", "delc", ",", "b", ",", "n", ",", 
       "xmazani"}], "}"}], ",", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "dat", "]"}]}], ";", 
      RowBox[{
       RowBox[{"test", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1_", ",", "y1_"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2_", ",", "y2_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox[
              RowBox[{"x1", "-", "x2"}], 
              RowBox[{"kp", "*", "xM"}]], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox[
              RowBox[{"y1", "-", "y2"}], 
              RowBox[{"kp", "*", "yM"}]], ")"}], "2"]}], "<", "1"}], ",", "1",
          ",", "0"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"delc", "[", "i_", "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Plus", "@@", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"test", "[", 
              RowBox[{
               RowBox[{"dat", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", "#"}], "]"}], "&"}], "/@",
             "dat"}], ")"}]}]}], "}"}]}], ";", 
      RowBox[{"xmazani", "=", 
       RowBox[{"First", "/@", 
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"delc", "/@", 
           RowBox[{"Range", "[", "n", "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "<", "3"}], "&"}]}], "]"}]}]}], 
      ";", 
      RowBox[{"Delete", "[", 
       RowBox[{"dat", ",", 
        RowBox[{"Partition", "[", 
         RowBox[{"xmazani", ",", "1"}], "]"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"zprac2", "[", "dat1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"corr", ":=", 
   RowBox[{
    RowBox[{"Correlation", "[", 
     RowBox[{"Sequence", "@@", 
      RowBox[{"Transpose", "[", "#", "]"}]}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zprac1", "[", "dat_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "v0", ",", "f"}], "}"}], ",", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "dat", "]"}]}], ";", 
      RowBox[{"f", ":=", 
       RowBox[{
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", "d", "}"}], ",", 
          RowBox[{
           RowBox[{"d", "=", 
            RowBox[{"Delete", "[", 
             RowBox[{"dat", ",", "#"}], "]"}]}], ";", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"corr", "[", "d", "]"}], ",", "d"}], "}"}]}]}], "]"}], 
        "&"}]}], ";", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"f", "/@", 
         RowBox[{"Range", "[", "n", "]"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "2"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uk", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"zprac1", ",", "dat2", ",", 
     RowBox[{
      RowBox[{"Length", "[", "dat2", "]"}], "-", "5"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"primky", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Fit", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}], "&"}], "/@", 
    "uk"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"plots", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Plot", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "0", ",", "xmax"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "xmax"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "ymax"}], "}"}]}], "}"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", "0.005", "]"}], ",", "Blue"}], "}"}]}], 
        ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<\[Delta]x [-]\>\"", ",", "\"\<F [N]\>\""}], "}"}]}]}], 
       "]"}], "&"}], "/@", "primky"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"plPrimka", ",", 
     RowBox[{"lpl", "[", 
      RowBox[{
       RowBox[{"uk", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}], ",", 
     RowBox[{"plots", "[", 
      RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "uk", "]"}], ",", "1"}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.515655463125*^9, 3.515655474359375*^9}, {
   3.515655558921875*^9, 3.515655621140625*^9}, {3.515655697890625*^9, 
   3.51565569809375*^9}, {3.515655745203125*^9, 3.51565577278125*^9}, {
   3.515655844328125*^9, 3.515655895421875*^9}, 3.51565597390625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"zprac3", "[", 
    RowBox[{"dat_", ",", "kp_", ",", "nb_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"test", ",", "delc", ",", "b", ",", "n", ",", "xmazani"}], 
      "}"}], ",", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Length", "[", "dat", "]"}]}], ";", 
      RowBox[{
       RowBox[{"test", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1_", ",", "y1_"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2_", ",", "y2_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox[
              RowBox[{"x1", "-", "x2"}], 
              RowBox[{"kp", "*", "xM"}]], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             FractionBox[
              RowBox[{"y1", "-", "y2"}], 
              RowBox[{"kp", "*", "yM"}]], ")"}], "2"]}], "<", "1"}], ",", "1",
          ",", "0"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"delc", "[", "i_", "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"Plus", "@@", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"test", "[", 
              RowBox[{
               RowBox[{"dat", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", "#"}], "]"}], "&"}], "/@",
             "dat"}], ")"}]}]}], "}"}]}], ";", 
      RowBox[{"xmazani", "=", 
       RowBox[{"First", "/@", 
        RowBox[{"Select", "[", 
         RowBox[{
          RowBox[{"delc", "/@", 
           RowBox[{"Range", "[", "n", "]"}]}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "<", "nb"}], "&"}]}], "]"}]}]}], 
      ";", 
      RowBox[{"Delete", "[", 
       RowBox[{"dat", ",", 
        RowBox[{"Partition", "[", 
         RowBox[{"xmazani", ",", "1"}], "]"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{"plPrimka", ",", 
     RowBox[{"lpl", "[", 
      RowBox[{
       RowBox[{"zprac3", "[", 
        RowBox[{"dat1", ",", "kp", ",", "n"}], "]"}], ",", "0"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Pink", ",", 
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
        RowBox[{"Disk", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0", "+", 
             RowBox[{"kp", "*", "xM"}]}], ",", 
            RowBox[{"yM", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", "kp"}], ")"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"kp", "*", "xM"}], ",", 
            RowBox[{"kp", "*", "yM"}]}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
    "]"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"kp", ",", "0.03", ",", "0.15"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "2", ",", "6", ",", "1"}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.51565604928125*^9, 3.515656200359375*^9}, {
  3.515656314984375*^9, 3.515656338296875*^9}, {3.5157314144375*^9, 
  3.5157314209375*^9}, {3.515731481375*^9, 3.515731529734375*^9}, {
  3.51573159990625*^9, 3.51573170578125*^9}}]
},
WindowSize->{1160, 788},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.7000001668930054`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 6499, 172, 748, "Input"],
Cell[7047, 194, 2250, 61, 281, "Input"],
Cell[9300, 257, 5502, 164, 637, "Input"],
Cell[14805, 423, 3446, 98, 347, "Input"]
}
]
*)

(* End of internal cache information *)
