(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     14924,        462]
NotebookOptionsPosition[     13922,        430]
NotebookOutlinePosition[     14302,        446]
CellTagsIndexPosition[     14259,        443]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"p", "+", "3"}]], "+", "1", "+", 
          FractionBox["2", "p"]}], ")"}], "*", "Y"}], "-", "U"}], ")"}], "*", 
     FractionBox["1", 
      RowBox[{"p", "+", "1"}]]}], "\[Equal]", "Y"}], ",", "Y"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5153920842241306`*^9, 3.515392121802256*^9}, {
  3.515392604739756*^9, 3.515392658771006*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uz", "=", 
   RowBox[{"5", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"314", "t"}], "+", "0.8"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c1", "=", 
   SuperscriptBox["10", 
    RowBox[{"-", "6"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c2", "=", 
   RowBox[{"3", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"ic1", "[", "t", "]"}], "+", 
       RowBox[{"iL", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"iR", "[", "t", "]"}]}], ",", 
     RowBox[{"0", "\[Equal]", 
      RowBox[{
       RowBox[{"ic2", "[", "t", "]"}], "+", 
       RowBox[{"iL", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ic1", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c1", "*", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"uz", "-", 
          RowBox[{"u1", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], "-", 
       RowBox[{"u1", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      FractionBox[
       RowBox[{"u1", "[", "t", "]"}], "R"]}], ",", 
     RowBox[{
      RowBox[{"ic2", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c2", "*", 
       RowBox[{
        RowBox[{"u2", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.515394086583506*^9, 3.5153942869116306`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{"rce", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ic1", "[", "t", "]"}], ",", 
       RowBox[{"u1", "[", "t", "]"}], ",", 
       RowBox[{"iL", "[", "t", "]"}], ",", 
       RowBox[{"u2", "[", "t", "]"}], ",", 
       RowBox[{"iR", "[", "t", "]"}], ",", 
       RowBox[{"ic2", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], ",", 
       RowBox[{"u1", "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.01"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5153938830366306`*^9, 3.5153938852866306`*^9}, {
  3.515393943646006*^9, 3.515393963427256*^9}, {3.5153940390053806`*^9, 
  3.515394084333506*^9}, {3.515394293677256*^9, 3.5153943845991306`*^9}, {
  3.5153944687866306`*^9, 3.5153945143178806`*^9}, {3.5153945506928806`*^9, 
  3.515394552583506*^9}, {3.515394586958506*^9, 3.515394633583506*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"napeti", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "res"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"napeti", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.05"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5153944864116306`*^9, 3.515394539614756*^9}, {
  3.515394651521006*^9, 3.515394663052256*^9}}],

Cell["\<\

V m\:011b\:0159\[IAcute]tku maxim\[AAcute]ln\[IAcute]ch hodnot je \
zad\[AAcute]no Um=10+3jV a Im=5+3jA.
Ur\[CHacek]ete P,Q,S,Skomplexn\[IAcute]. Zobrazte pomoci Print.\
\>", "Text",
 CellChangeTimes->{{3.515395368989756*^9, 3.5153954453491306`*^9}, {
  3.515395511052256*^9, 3.5153955307241306`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Um", "=", 
   RowBox[{"10", "+", 
    RowBox[{"3", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Imm", "=", 
   RowBox[{"5", "+", 
    RowBox[{"3", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Skompl", "=", 
   RowBox[{
    FractionBox["1", "2"], "Um", "*", 
    RowBox[{"Conjugate", "[", "Imm", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S= \>\"", ",", 
   RowBox[{"N", "[", "Skompl", "]"}], ",", "\"\< VA\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"Re", "[", "Skompl", "]"}], "]"}], ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Q= \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"Im", "[", "Skompl", "]"}], "]"}], ",", "\"\< VAr\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<S= \>\"", ",", 
   RowBox[{"N", "[", 
    RowBox[{"Abs", "[", "Skompl", "]"}], "]"}], ",", "\"\< VA\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.5153956193803806`*^9, 3.515395730552256*^9}, {
  3.515395772833506*^9, 3.515395824583506*^9}}],

Cell[TextData[{
 "V m\:011b\:0159\[IAcute]tku maxim\[AAcute]ln\[IAcute]ch hodnot je zad\
\[AAcute]no Um=10+3jV , ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Omega]", "=", 
    RowBox[{"314", 
     RowBox[{
      SuperscriptBox["s", 
       RowBox[{"-", "3"}]], ".", " "}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "Zobrazte 3 periody, modre, tluste, popsat osy."
}], "Text",
 CellChangeTimes->{{3.5153959075678806`*^9, 3.515395975864756*^9}, 
   3.515396284739756*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Um", "=", 
   RowBox[{"10", "+", 
    RowBox[{"3", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox[
    RowBox[{"2", "Pi"}], "\[Omega]"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    RowBox[{"Um", "*", 
     SuperscriptBox["E", 
      RowBox[{"I", "*", "\[Omega]", "*", "t"}]]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"3", "T"}]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<u\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", "Thick", "}"}]}], ",", 
   RowBox[{"ColorFunction", "->", 
    RowBox[{"Function", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], ",", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"y", ">", "0"}], ",", "Red", ",", "Black"}], "]"}]}], "]"}]}],
    ",", 
   RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "300"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.515396116052256*^9, 3.5153963008178806`*^9}, {
  3.515396352739756*^9, 3.5153963619116306`*^9}, {3.515396391958506*^9, 
  3.5153964166616306`*^9}}],

Cell[BoxData[{
 RowBox[{"matice", "=", 
  RowBox[{"(", GridBox[{
     {"1", "4", "2", "3"},
     {"2", "5", "2", "2"},
     {"2", "5", "5", "5"},
     {"1", "2", "3", "4"}
    }], ")"}]}], "\[IndentingNewLine]", 
 RowBox[{"matice3", "=", 
  RowBox[{"(", GridBox[{
     {"2", "2", "2", "2"},
     {"2", "2", "2", "2"},
     {"2", "2", "2", "2"},
     {"2", "2", "2", "2"}
    }], ")"}]}]}], "Input",
 CellChangeTimes->{{3.5153964949741306`*^9, 3.5153965460053806`*^9}, {
   3.5153967527553806`*^9, 3.515396775021006*^9}, {3.5153968066303806`*^9, 
   3.515396829396006*^9}, 3.515397203958506*^9, 3.5153972440366306`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"matice2", "=", 
   RowBox[{"matice", "//", "MatrixForm"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5153965919116306`*^9, 3.5153966545678806`*^9}, 
   3.5153967479741306`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"matice2", "*", "matice"}], ";"}]], "Input",
 CellChangeTimes->{{3.5153966631928806`*^9, 3.515396681927256*^9}, 
   3.515396748958506*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"matice", "*", "matice3"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.515396795396006*^9, 3.5153967993178806`*^9}, {
  3.5153968384116306`*^9, 3.515396843208506*^9}}],

Cell[BoxData[{
 RowBox[{"matice3", "*", "4"}], "\[IndentingNewLine]", 
 RowBox[{"Cross", "[", 
  RowBox[{"matice", ",", "matice3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5153968826616306`*^9, 3.5153969148491306`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"m1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x1", ",", "x2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x3", ",", "x4"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"matice", ",", 
   RowBox[{"{", "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.515396992927256*^9, 3.5153970932866306`*^9}, {
  3.5153972120366306`*^9, 3.5153972377866306`*^9}}],

Cell[BoxData[
 RowBox[{"Det", "[", "matice", "]"}]], "Input",
 CellChangeTimes->{{3.5153972511616306`*^9, 3.5153972549741306`*^9}}],

Cell[BoxData[
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"p", "*", 
      RowBox[{"(", 
       RowBox[{"3", "+", "p"}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "6"}], "-", 
      RowBox[{"3", " ", "p"}], "+", 
      RowBox[{"3", " ", 
       SuperscriptBox["p", "2"]}], "+", 
      SuperscriptBox["p", "3"]}]]}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<p\>\"", ",", "\"\<Prenos\>\""}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.515397315708506*^9, 3.515397418364756*^9}, {
   3.5153975375678806`*^9, 3.5153976707866306`*^9}, {3.5153977219116306`*^9, 
   3.5153977226303806`*^9}, 3.5153977640053806`*^9, 3.5153982888491306`*^9}],

Cell[BoxData[{
 RowBox[{"dosadxay", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "+", "y"}], "\[Equal]", 
       RowBox[{"3", "t"}]}], ",", 
      RowBox[{
       RowBox[{"x", "-", "y"}], "\[Equal]", 
       SuperscriptBox["t", "2"]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"vysl", "=", 
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "2"], "+", 
    SuperscriptBox["y", "2"]}], "/.", 
   RowBox[{"dosadxay", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "vysl", "]"}]}], "Input",
 CellChangeTimes->{{3.515397968677256*^9, 3.515397969583506*^9}, {
  3.5153980567241306`*^9, 3.515398165646006*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "2"], "+", 
   SuperscriptBox["y", "2"]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "1"}], ",", 
    RowBox[{"y", "\[Rule]", "5"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.515398181271006*^9, 3.5153981883178806`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"LogLogPlot", "[", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"p", "*", 
        RowBox[{"(", 
         RowBox[{"3", "+", "p"}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "6"}], "-", 
        RowBox[{"3", " ", "p"}], "+", 
        RowBox[{"koef", "*", " ", 
         SuperscriptBox["p", "2"]}], "+", 
        SuperscriptBox["p", "3"]}]]}], ",", 
     RowBox[{"{", 
      RowBox[{"p", ",", "1", ",", "2"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<p\>\"", ",", "\"\<Prenos\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"Thickness", "[", "tloustka", "]"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1000"}], "}"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"tloustka", ",", "0.001", ",", "0.03"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"koef", ",", "3", ",", "8"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.515398314239756*^9, 3.5153983766928806`*^9}, {
  3.515398426677256*^9, 3.515398528833506*^9}}]
},
WindowSize->{1165, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.1000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 548, 17, 94, "Input"],
Cell[1096, 39, 2043, 64, 423, "Input"],
Cell[3142, 105, 1258, 31, 172, "Input"],
Cell[4403, 138, 465, 13, 98, "Input"],
Cell[4871, 153, 312, 7, 129, "Text"],
Cell[5186, 162, 1202, 34, 315, "Input"],
Cell[6391, 198, 484, 14, 94, "Text"],
Cell[6878, 214, 1350, 38, 348, "Input"],
Cell[8231, 254, 618, 17, 317, "Input"],
Cell[8852, 273, 210, 5, 87, "Input"],
Cell[9065, 280, 172, 4, 87, "Input"],
Cell[9240, 286, 212, 4, 87, "Input"],
Cell[9455, 292, 220, 4, 125, "Input"],
Cell[9678, 298, 907, 30, 172, "Input"],
Cell[10588, 330, 131, 2, 87, "Input"],
Cell[10722, 334, 845, 22, 153, "Input"],
Cell[11570, 358, 793, 23, 167, "Input"],
Cell[12366, 383, 300, 9, 89, "Input"],
Cell[12669, 394, 1249, 34, 326, "Input"]
}
]
*)

(* End of internal cache information *)
