(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7105,        211]
NotebookOptionsPosition[      6494,        189]
NotebookOutlinePosition[      6956,        207]
CellTagsIndexPosition[      6913,        204]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ampl", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fi", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "1.5"}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], ",", 
     RowBox[{"L", "->", "0.1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceSoucastek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"iR", "[", "t", "]"}], "*", "R"}]}], ",", 
     RowBox[{
      RowBox[{"uL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceNapeti", "=", 
   RowBox[{"{", 
    RowBox[{"0", "\[Equal]", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "-", 
      RowBox[{"uR", "[", "t", "]"}], "-", 
      RowBox[{"uL", "[", "t", "]"}], "-", 
      RowBox[{"uc", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceProudy", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"ic", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.463896878828125*^9, 3.46389688790625*^9}, {
   3.46389691821875*^9, 3.463896962171875*^9}, 3.463897003265625*^9, {
   3.463897097859375*^9, 3.4638971001875*^9}, {3.463897258796875*^9, 
   3.463897258859375*^9}, {3.465137754865*^9, 3.4651377736942*^9}, {
   3.476634941677334*^9, 3.4766349436741333`*^9}, {3.476635220714534*^9, 
   3.4766352261121335`*^9}, 3.4766355735085335`*^9}],

Cell[BoxData[{
 RowBox[{"rceHUS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Union", "[", 
          RowBox[{"rceSoucastek", ",", "rceProudy", ",", "rceNapeti"}], "]"}],
          "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"a_", "'"}], "[", "t", "]"}], ":>", 
          RowBox[{"I", "*", "\[Omega]", "*", "a"}]}]}], ")"}], "/.", 
       RowBox[{
        RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], ")"}], "//.",
      "dos"}], ")"}], "/.", 
   RowBox[{"u", "\[Rule]", 
    RowBox[{"ampl", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "fi"}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocetRovnic", "=", 
   RowBox[{"Length", "[", "rceHUS", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resHUS", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"rceHUS", ",", 
     RowBox[{"{", 
      RowBox[{"ic", ",", "iL", ",", "iR", ",", "uc", ",", "uL", ",", "uR"}], 
      "}"}]}], "]"}], "//", "Chop"}]}]}], "Input",
 CellChangeTimes->{{3.465137653231*^9, 3.4651377259114*^9}, {
  3.4651378177642*^9, 3.4651378588858*^9}, {3.4651378923789997`*^9, 
  3.4651380131698*^9}, {3.4651381191406*^9, 3.4651382182005997`*^9}, {
  3.476634922395734*^9, 3.4766349238153334`*^9}, {3.4766350454485335`*^9, 
  3.4766351096269336`*^9}, {3.4766355600925336`*^9, 3.4766355603421335`*^9}}],

Cell[BoxData[
 RowBox[{"ucVysl", "=", 
  RowBox[{"uc", "/.", 
   RowBox[{"resHUS", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4766351374417334`*^9, 3.4766351527921333`*^9}}],

Cell[BoxData[
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", "ucVysl", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "1", ",", 
     SuperscriptBox["10", "3"]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<uc[V]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4766351617309337`*^9, 3.4766351822917337`*^9}, {
  3.4766352398869333`*^9, 3.476635276016534*^9}, {3.4766353304605336`*^9, 
  3.4766353515673337`*^9}, {3.4766354587549334`*^9, 3.4766354654629335`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", "ucVysl", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "1", ",", 
     SuperscriptBox["10", "3"]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<uc[V]\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4766354137801332`*^9, 3.4766354249185333`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"zesileni", "=", "8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zesileniVDecibelech", "=", 
   RowBox[{"20.", "*", 
    RowBox[{"Log10", "[", "zesileni", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<zesileni je  \>\"", ",", "zesileniVDecibelech", ",", "\"\<  dB\>\""}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.476635660416134*^9, 3.4766357342197337`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "zesileni", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zesileniVDecibelech", "=", "18.0618"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"zesileniVDecibelech", "==", 
    RowBox[{"20.", "*", 
     RowBox[{"Log10", "[", "zesileni", "]"}]}]}], ",", "zesileni"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.476635783312934*^9, 3.4766358581461334`*^9}}]
},
WindowSize->{1555, 950},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 2., 2. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2049, 59, 269, "Input"],
Cell[2597, 81, 1429, 37, 160, "Input"],
Cell[4029, 120, 208, 5, 57, "Input"],
Cell[4240, 127, 726, 16, 103, "Input"],
Cell[4969, 145, 616, 15, 103, "Input"],
Cell[5588, 162, 444, 11, 126, "Input"],
Cell[6035, 175, 455, 12, 126, "Input"]
}
]
*)

(* End of internal cache information *)
