(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5264,        179]
NotebookOptionsPosition[      4549,        150]
NotebookOutlinePosition[      4950,        167]
CellTagsIndexPosition[      4907,        164]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vyr", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "*", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"b", "*", "x"}], "+", "c"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resabc", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"x0", "-", "\[CapitalDelta]"}], "]"}], "\[Equal]", 
        "fminus"}], ",", 
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"x0", "+", "\[CapitalDelta]"}], "]"}], "\[Equal]", "fplus"}],
        ",", 
       RowBox[{
        RowBox[{"vyr", "[", "x0", "]"}], "\[Equal]", "f"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.482724826703125*^9, 3.482724933296875*^9}, {
  3.482724994140625*^9, 3.482724996625*^9}}],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"vyr", "[", "x", "]"}], "/.", "resabc"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"x0", "-", "\[CapitalDelta]"}], ",", 
     RowBox[{"x0", "+", "\[CapitalDelta]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.482724936671875*^9, 3.48272498628125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"vahy", "[", "n_Integer", "]"}], ":=", 
  RowBox[{"Prepend", "[", 
   RowBox[{
    RowBox[{"Append", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}], 
           RowBox[{"#", "+", "1"}]], "+", "3"}], ")"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"2", "n"}], "+", "1"}], "]"}]}], ",", "1"}], "]"}], ",", 
    "1"}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vahy", "[", "5", "]"}]], "Input",
 CellChangeTimes->{{3.482725044953125*^9, 3.48272504665625*^9}, {
   3.48272553390625*^9, 3.482725539265625*^9}, 3.482725626015625*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1", ",", "4", ",", "2", ",", "4", ",", "2", ",", "4", ",", "2", ",", "4", 
   ",", "2", ",", "4", ",", "2", ",", "4", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{{3.482725531328125*^9, 3.482725539484375*^9}, 
   3.48272562625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"integral", "[", 
   RowBox[{"f_", ",", "x1_", ",", "x2_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "xka", ",", "\[CapitalDelta]x", ",", "vazky", ",", "ni", ",", "yka"}], 
     "}"}], ",", 
    RowBox[{
     RowBox[{"vazky", "=", 
      RowBox[{"vahy", "[", "n", "]"}]}], ";", 
     RowBox[{"ni", "=", 
      RowBox[{"Length", "[", "vazky", "]"}]}], ";", 
     RowBox[{"\[CapitalDelta]x", "=", 
      FractionBox[
       RowBox[{"x2", "-", "x1"}], 
       RowBox[{"ni", "-", "1"}]]}], ";", 
     RowBox[{"xka", "=", 
      RowBox[{"Range", "[", 
       RowBox[{"x1", ",", "x2", ",", "\[CapitalDelta]x"}], "]"}]}], ";", 
     RowBox[{"yka", "=", 
      RowBox[{"f", "/@", "xka"}]}], ";", 
     RowBox[{
      FractionBox["\[CapitalDelta]x", "3."], 
      RowBox[{"vazky", ".", "yka"}]}]}]}], "]"}]}], "\n", 
 RowBox[{"integral", "[", 
  RowBox[{"Sin", ",", "0.", ",", "Pi", ",", "10"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4827250625625*^9, 3.482725337484375*^9}, {
  3.4827253693125*^9, 3.4827253935*^9}, {3.482725459109375*^9, 
  3.48272561996875*^9}}],

Cell[BoxData["2.000004631498475`"], "Output",
 CellChangeTimes->{{3.48272551234375*^9, 3.48272562025*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{"Sin", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.482725373375*^9, 3.4827253801875*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.482725617578125*^9}]
}, Open  ]]
},
WindowSize->{1078, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 946, 28, 151, "Input"],
Cell[1494, 50, 353, 9, 52, "Input"],
Cell[1850, 61, 538, 18, 57, "Input"],
Cell[CellGroupData[{
Cell[2413, 83, 193, 3, 52, "Input"],
Cell[2609, 88, 278, 6, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2924, 99, 1153, 31, 195, "Input"],
Cell[4080, 132, 106, 1, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4223, 138, 237, 6, 52, "Input"],
Cell[4463, 146, 70, 1, 73, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
