(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     39186,       1172]
NotebookOptionsPosition[     38078,       1138]
NotebookOutlinePosition[     38458,       1154]
CellTagsIndexPosition[     38415,       1151]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"seriovy", " ", "rezonancni", " ", "obvod"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"100", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]0", "=", 
     FractionBox["1", 
      SqrtBox[
       RowBox[{"L", "*", "c"}]]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<\[Omega]0= \>\"", ",", "\[Omega]0", ",", 
     "\"\<  \!\(\*SuperscriptBox[\(s\), \(-1\)]\)\>\"", ",", 
     "\"\<   f0= \!\(\*FractionBox[\(\[Omega]0\), \(2  \[Pi]\)]\)= \>\"", ",", 
     FractionBox["\[Omega]0", 
      RowBox[{"2", "\[Pi]"}]], ",", "\"\<  Hz\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.46824867357476*^9, 3.468248832272957*^9}, 
   3.468249927077208*^9, 3.4682499579215603`*^9, {3.4685599390566425`*^9, 
   3.4685599424316425`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"U1", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Uc", "=", 
   RowBox[{
    FractionBox[
     FractionBox["1", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UL", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"I", "*", "\[Omega]", "*", "L"}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UR", "=", 
   RowBox[{
    FractionBox["R", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"I", "*", "\[Omega]", "*", "c"}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "L"}], "+", "R"}]], "*", "U1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ps", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", "#"}], "}"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "Uc", "]"}], ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"UL", "+", "UR"}], "]"}], ",", 
     RowBox[{"Abs", "[", "U1", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "50"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"Uc\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"UL\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"+\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"Ur\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Uv\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4682488565979347`*^9, 3.4682490078153744`*^9}, {
  3.4682495939782352`*^9, 3.468249784141677*^9}, {3.4682500543702464`*^9, 
  3.4682501061647234`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "paralelni", " ", "rezonancni", " ", "obvod", " ", "napajeny", " ", 
   "zdojem", " ", "napeti"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4685599819472675`*^9, 3.4685599968691425`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Z", "=", 
   FractionBox["1", 
    RowBox[{
     RowBox[{"I", "*", "\[Omega]", "*", "c"}], "+", 
     FractionBox["1", 
      RowBox[{"R", "+", 
       RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"I1", "=", 
   FractionBox["U1", "Z"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ILR", "=", 
   FractionBox["U1", 
    RowBox[{"R", "+", 
     RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ic", "=", 
   FractionBox["U1", 
    FractionBox["1", 
     RowBox[{"I", "*", "\[Omega]", "*", "c"}]]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "I1", "]"}], ",", 
     RowBox[{"Abs", "[", "ILR", "]"}], ",", 
     RowBox[{"Abs", "[", "Ic", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "0.5"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"ILR\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"I1\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Ic\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"A\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"]\",
FontColor->GrayLevel[0]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468249076984835*^9, 3.4682492209218063`*^9}, {
  3.4682511037091217`*^9, 3.4682511041898127`*^9}, {3.468251160080179*^9, 
  3.4682511808901024`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "paralelni", " ", "rezonancni", " ", "obvod", " ", "napajeny", " ", 
   "zdojem", " ", "proudu"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4685600068691425`*^9, 3.4685600084628925`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"I1", "=", "1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ILR", "=", 
   RowBox[{"I1", "*", 
    FractionBox[
     FractionBox["1", 
      RowBox[{"R", "+", 
       RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"R", "+", 
        RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ic", "=", 
   RowBox[{"I1", "*", 
    FractionBox[
     RowBox[{"I", "*", "\[Omega]", "*", "c"}], 
     RowBox[{
      FractionBox["1", 
       RowBox[{"R", "+", 
        RowBox[{"I", "*", "\[Omega]", "*", "L"}]}]], "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "c"}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", "I1", "]"}], ",", 
     RowBox[{"Abs", "[", "ILR", "]"}], ",", 
     RowBox[{"Abs", "[", "Ic", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", 
     RowBox[{"0.1", "\[Omega]0"}], ",", 
     RowBox[{"10", "\[Omega]0"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{"0.001", ",", "30"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "ps"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\[Omega][\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\"", ",", 
      "\"\<\!\(\*
StyleBox[\"ILR\",
FontColor->RGBColor[0, 1, 0]]\),\!\(\*
StyleBox[\"I1\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"Ic\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"A\",
FontColor->GrayLevel[0]]\)\!\(\*
StyleBox[\"]\",
FontColor->GrayLevel[0]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4682510994830446`*^9, 3.4682511351843805`*^9}, {
  3.4682511719572573`*^9, 3.4682512742243104`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "SDtejnosmerny"}], " ", 
   "ustaleny", " ", 
   RowBox[{"stav", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.468424103525016*^9, 3.4684241189572062`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"R", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"i", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", 
   RowBox[{"R", "*", "i"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<P= \>\"", ",", 
   RowBox[{"i", "*", "u"}], ",", "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"i", "*", "u"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.468424122552376*^9, 3.4684242138736897`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"**", "**"}], "**"}], "**", "**", "HUS", "**", "**", "**", "**"}],
   "******)"}]], "Input",
 CellChangeTimes->{{3.4684295060334415`*^9, 3.4684295064740753`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Umax", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Imax", "=", "1.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fiU", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Umax", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "fiU"}], "]"}], "*", "Imax", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "fiI"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       RowBox[{"2", "*", 
        FractionBox["Pi", "\[Omega]"]}]}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1.1"}], "Umax", "*", "Imax"}], ",", 
          RowBox[{"1.1", "Umax", "*", "Imax"}]}], "}"}]}], "}"}]}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fiI", ",", "fiU"}], "}"}], ",", 
     RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468424400792465*^9, 3.468424426719747*^9}, {
  3.4684251693275647`*^9, 3.4684253506983633`*^9}, {3.47849462871875*^9, 
  3.4784946355*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "Odporovy"}], " ", "delic", 
   " ", "z", " ", "casove", " ", "promennych", " ", "odporu", " ", 
   RowBox[{"rezistoru", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.468429513233795*^9, 3.4684295274642572`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"R1", ",", "R2", ",", "u1", ",", "u2"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u1", "[", "t_", "]"}], ":=", "3.6"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rmax", "=", 
   SuperscriptBox["10", "6"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rmin", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"strmost", "=", 
   SuperscriptBox["10", "2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R1", "[", "t_", "]"}], ":=", 
   RowBox[{"Rmin", "+", 
    RowBox[{"Rmax", "*", "0.5", "*", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"Tanh", "[", 
        RowBox[{
         RowBox[{"-", "strmost"}], "*", "t"}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"R2", "[", "t_", "]"}], ":=", 
   RowBox[{"Rmin", "+", 
    RowBox[{"Rmax", "*", "0.5", "*", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"Tanh", "[", 
        RowBox[{"strmost", "*", 
         RowBox[{"(", 
          RowBox[{"t", "+", "posun"}], ")"}]}], "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"R1", "[", "t", "]"}], ",", 
       RowBox[{"R2", "[", "t", "]"}]}], "}"}], "/.", 
     RowBox[{"posun", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"R1\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\[CapitalOmega]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"R2\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"\[CapitalOmega]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Blue"}], "}"}]}], 
     "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.468429533793358*^9, 3.4684297794265614`*^9}, {
  3.4684298441496286`*^9, 3.4684298545145326`*^9}, {3.468430061141648*^9, 
  3.4684300691832113`*^9}, {3.468430108139227*^9, 3.468430141657424*^9}, {
  3.468430455188259*^9, 3.468430457962248*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"u2", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], "*", 
    FractionBox[
     RowBox[{"R2", "[", "t", "]"}], 
     RowBox[{
      RowBox[{"R1", "[", "t", "]"}], "+", 
      RowBox[{"R2", "[", "t", "]"}]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"u2", "[", "t", "]"}], ",", 
       RowBox[{"u1", "[", "t", "]"}]}], "}"}], "/.", 
     RowBox[{"posun", "\[Rule]", "0"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"u1\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),\!\(\*
StyleBox[\"U2\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Blue"}], "}"}]}], 
     "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", "t_", "]"}], ":=", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"u1", "[", "t", "]"}], "2"], 
    RowBox[{
     RowBox[{"R1", "[", "t", "]"}], "+", 
     RowBox[{"R2", "[", "t", "]"}]}]]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4684298173210506`*^9, 3.468429969329629*^9}, {
  3.468430077244803*^9, 3.4684300813406925`*^9}, {3.4684301589723215`*^9, 
  3.468430174885203*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"p", "[", "t", "]"}], "/.", 
       RowBox[{"posun", "\[Rule]", "pp"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<p[W]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Red"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"6", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "5"}]]}]}], "}"}]}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"pp", ",", 
     FractionBox[
      RowBox[{"-", "2"}], "strmost"], ",", 
     FractionBox["2", "strmost"]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.468430023377345*^9, 3.4684300351943374`*^9}, {
  3.468430187723664*^9, 3.4684302361833453`*^9}, {3.4684302705627804`*^9, 
  3.4684303889730463`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"**", "**"}], "**"}], "**", "**", "Priklad"}], " ", "medeny", 
   " ", 
   RowBox[{"drat", "**", "**", "**", "**"}]}], "******)"}]], "Input",
 CellChangeTimes->{{3.4684339800267277`*^9, 3.468433984813611*^9}, 
   3.479046164649288*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "u", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", "314"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"2.", "*", 
    FractionBox["Pi", "\[Omega]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Umax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u", "=", 
   RowBox[{"Umax", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Omega]", "*", "t"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"R", "=", 
   FractionBox["1.", "57"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"delka", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prurez", "=", 
   RowBox[{"1", 
    SuperscriptBox["mm", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"objem", "=", 
   RowBox[{"delka", "*", "prurez"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hustota", "=", "8920"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hmotnost", "=", 
   RowBox[{"objem", "*", "hustota"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cp", "=", "384.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proud", "=", 
   FractionBox["u", "R"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vykon", "=", 
   RowBox[{"u", "*", "proud"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vykonStredni", "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox["Umax", 
       SqrtBox["2"]], ")"}], "2"], "*", 
    FractionBox["1", "R"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tepelneRovniceHUS", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Teplota", "[", "0", "]"}], "\[Equal]", "20"}], ",", 
     RowBox[{
      RowBox[{"hmotnost", "*", "cp", "*", 
       RowBox[{
        RowBox[{"Teplota", "'"}], "[", "t", "]"}]}], "\[Equal]", "vykon"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tepelneRovniceEff", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Teplota", "[", "0", "]"}], "\[Equal]", "20"}], ",", 
     RowBox[{
      RowBox[{"hmotnost", "*", "cp", "*", 
       RowBox[{
        RowBox[{"Teplota", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      "vykonStredni"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"100", "T"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resTeplotaHUS", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"tepelneRovniceHUS", ",", 
      RowBox[{"Teplota", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resTeplotaEff", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"tepelneRovniceEff", ",", 
      RowBox[{"Teplota", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"Teplota", "[", "t", "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{"resTeplotaHUS", ",", "resTeplotaEff"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<Teplota[\[Degree]C]\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"Teplota", "[", "t", "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"resTeplotaHUS", ",", "resTeplotaEff"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"tmax", "-", "T"}], ",", "tmax"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t[s]\>\"", ",", "\"\<Teplota[\[Degree]C]\>\""}], "}"}]}], 
    ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4684339905518622`*^9, 3.4684340751835566`*^9}, {
  3.468434127969459*^9, 3.4684347255887938`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"**", "**"}], "**"}], "**"}], "**", "**", "Podle"}], " ", 
     RowBox[{"Obr", ".", " ", "34"}]}], "-", "V", "-", "1"}], 
   "************)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", "I1", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rv", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rz", "=", "100"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lz", "=", "0.5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f", "=", "50"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]", "=", 
     RowBox[{"2", "*", "Pi", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U1", "=", 
     RowBox[{"230", "*", 
      SuperscriptBox["E", 
       RowBox[{"0.", "I"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"I1", "\[Equal]", 
        RowBox[{"IRz", "+", "ILz"}]}], ",", 
       RowBox[{"I1", "\[Equal]", 
        FractionBox[
         RowBox[{"U1", "-", "Uz"}], "Rv"]}], ",", 
       RowBox[{"ILz", "\[Equal]", 
        FractionBox["Uz", 
         RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]]}], ",", 
       RowBox[{"IRz", "\[Equal]", 
        FractionBox["Uz", "Rz"]}], ",", 
       RowBox[{"URv", "==", 
        RowBox[{"U1", "-", "Uz"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"Solve", "[", "rce", "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"P1", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"U1", "*", 
        RowBox[{"Conjugate", "[", "I1", "]"}]}], "/.", "res"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<ze zdroje napeti jde \>\"", ",", "P1", ",", "\"\< W\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PRz", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"Uz", "*", 
        RowBox[{"Conjugate", "[", "IRz", "]"}]}], "/.", "res"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<na Rz se meni v teplo \>\"", ",", "PRz", ",", "\"\< W\>\""}],
     "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PRv", "=", 
     RowBox[{"Re", "[", 
      RowBox[{
       RowBox[{"URv", "*", 
        RowBox[{"Conjugate", "[", "I1", "]"}]}], "/.", "res"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<na Rv se meni v teplo \>\"", ",", "PRv", ",", "\"\< W\>\""}],
     "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<PRv+PRz==P1  \>\"", ",", 
     RowBox[{
      RowBox[{"PRv", "+", "PRz"}], "==", "P1"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PLz", "=", 
     RowBox[{"Chop", "@", 
      RowBox[{"Re", "[", 
       RowBox[{
        RowBox[{"Uz", "*", 
         RowBox[{"Conjugate", "[", "ILz", "]"}]}], "/.", "res"}], "]"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<cinny vykon na civce (stredni hodnota za periodu)=  \>\"", ",", 
     "PLz", ",", "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"velikostProuduVeVedeniSCivkou", "=", 
     RowBox[{"Abs", "[", 
      RowBox[{"I1", "/.", "res"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<eff hodnota proudu ve vedeni= \>\"", ",", 
     "velikostProuduVeVedeniSCivkou", ",", "\"\< A\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.479046880096488*^9, 3.479047001979288*^9}, {
  3.479049319322688*^9, 3.479049338729088*^9}, {3.479049552917088*^9, 
  3.479049709907688*^9}, {3.479049762651288*^9, 3.479050090500888*^9}, {
  3.4790523454642878`*^9, 3.4790523800962877`*^9}, {3.479052423495488*^9, 
  3.479052484319888*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", "I1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rv", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rz", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Lz", "=", "\[Infinity]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]", "=", 
   RowBox[{"2", "*", "Pi", "*", "f"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U1", "=", 
   RowBox[{"230", "*", 
    SuperscriptBox["E", 
     RowBox[{"0.", "I"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"I1", "\[Equal]", 
      RowBox[{"IRz", "+", "ILz"}]}], ",", 
     RowBox[{"I1", "\[Equal]", 
      FractionBox[
       RowBox[{"U1", "-", "Uz"}], "Rv"]}], ",", 
     RowBox[{"ILz", "\[Equal]", 
      FractionBox["Uz", 
       RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]]}], ",", 
     RowBox[{"IRz", "\[Equal]", 
      FractionBox["Uz", "Rz"]}], ",", 
     RowBox[{"URv", "==", 
      RowBox[{"U1", "-", "Uz"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"Solve", "[", "rce", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P1BezCivky", "=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{"U1", "*", 
      RowBox[{"Conjugate", "[", "I1", "]"}]}], "/.", "res"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<ze zdroje napeti jde \>\"", ",", "P1BezCivky", ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PRzBezCivky", "=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{"Uz", "*", 
      RowBox[{"Conjugate", "[", "IRz", "]"}]}], "/.", "res"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<na Rz se meni v teplo \>\"", ",", "PRzBezCivky", ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PRvBezCivky", "=", 
   RowBox[{"Re", "[", 
    RowBox[{
     RowBox[{"URv", "*", 
      RowBox[{"Conjugate", "[", "I1", "]"}]}], "/.", "res"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<na Rv se meni v teplo \>\"", ",", "PRvBezCivky", ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<PRvBezCivky+PRzBezCivky==P1BezCivky  \>\"", ",", 
   RowBox[{
    RowBox[{"PRvBezCivky", "+", "PRzBezCivky"}], "==", "P1BezCivky"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PLz", "=", 
   RowBox[{"Chop", "@", 
    RowBox[{"Re", "[", 
     RowBox[{
      RowBox[{"Uz", "*", 
       RowBox[{"Conjugate", "[", "ILz", "]"}]}], "/.", "res"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<cinny vykon na civce (stredni hodnota za periodu)=  \>\"", ",", "PLz", 
   ",", "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rozdilVykonuZdroje", "=", 
   RowBox[{"P1", "-", "P1BezCivky"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\[CapitalDelta]Pzdroj= \>\"", ",", "rozdilVykonuZdroje", ",", 
   "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rozdilZtrat", "=", 
   RowBox[{"PRv", "-", "PRvBezCivky"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<rozdil ztrat= \>\"", ",", "rozdilZtrat", ",", "\"\< W\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rozdilVykonuSpotrebice", "=", 
   RowBox[{"PRz", "-", "PRzBezCivky"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\[CapitalDelta]Pspotrebic= \>\"", ",", "rozdilVykonuSpotrebice", ",", 
   "\"\< W\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostProuduVeVedeniBezCivky", "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"I1", "/.", "res"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<eff hodnota proudu ve vedeni= \>\"", ",", 
    "velikostProuduVeVedeniBezCivky", ",", "\"\< A\>\""}], "]"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.479050140093288*^9, 3.479050225472088*^9}, {
   3.479050255564488*^9, 3.479050443986088*^9}, {3.479050476668088*^9, 
   3.479050492470888*^9}, {3.479050838598688*^9, 3.479050894337488*^9}, {
   3.479052295700288*^9, 3.479052307946288*^9}, 3.479052341470688*^9, {
   3.479052393590288*^9, 3.479052418129088*^9}, {3.479052497080688*^9, 
   3.479052531431888*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "Podle"}], " ", 
     RowBox[{"Obr", ".", " ", "34"}]}], "-", "V", "-", "2"}], 
   "************)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"Lz", ",", "U1"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Lv", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Roz", "=", "20"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"par", ":=", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Plus", "@@", 
         SuperscriptBox["#", 
          RowBox[{"-", "1"}]]}], ")"}], 
       RowBox[{"-", "1"}]], "&"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z1", "=", 
     RowBox[{"Rv", "+", 
      RowBox[{"I", "*", "\[Omega]", "*", "Lv"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"z2", "=", 
     RowBox[{"par", "@", 
      RowBox[{"{", 
       RowBox[{"Rz", ",", "Roz", ",", 
        RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]}], "}"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Uz", "[", "Lz_", "]"}], "=", 
     RowBox[{"U1", "*", 
      FractionBox["z2", 
       RowBox[{"z1", "+", "z2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"dosUBezCivky", "=", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"Uz", "[", "\[Infinity]", "]"}], "]"}], "\[Equal]", "230"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"U1", ",", "400"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"dosUScivkou", "=", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"Uz", "[", "0.5", "]"}], "]"}], "\[Equal]", "230"}], ",", 
      RowBox[{"{", 
       RowBox[{"U1", ",", "400"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"Uz", "[", "0.5", "]"}], "]"}], "/.", "dosUBezCivky"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<kdyz bez civky bylo 230V, je s civkou L=0.5H, za kterou nic \
neplatime, \>\"", ",", "%", ",", "\"\< V\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.479054621328088*^9, 3.4790547163164883`*^9}, {
  3.479054748780088*^9, 3.4790550157584877`*^9}, {3.479055049111288*^9, 
  3.479055176937688*^9}, {3.47909617678125*^9, 3.47909618059375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "Podle"}], " ", 
     RowBox[{"Obr", ".", " ", "34"}]}], "-", "V", "-", "3"}], 
   "************)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ClearAll", "[", 
    RowBox[{"Uz", ",", "Rz"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"L1", "=", "Lv"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rceStavZaA", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"UD", "-", "UzA"}], 
         RowBox[{"I", "*", "\[Omega]", "*", "L1"}]], "\[Equal]", 
        FractionBox["UzA", 
         RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]]}], ",", 
       RowBox[{
        RowBox[{"Abs", "[", 
         FractionBox["UzA", 
          RowBox[{"I", "*", "\[Omega]", "*", "Lz"}]], "]"}], "\[Equal]", 
        "1"}], ",", 
       RowBox[{
        RowBox[{"Abs", "[", "UzA", "]"}], "\[Equal]", "230"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"resStavA", "=", 
    RowBox[{"FindRoot", "[", 
     RowBox[{"rceStavZaA", ",", 
      RowBox[{"{", 
       RowBox[{"UD", ",", "400"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"UzA", ",", 
        RowBox[{"230", "+", 
         RowBox[{"5", "I"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Lz", ",", "0.5"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rceStavZaB", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"UD", "-", "UzB"}], 
          RowBox[{"I", "*", "\[Omega]", "*", "L1"}]], "\[Equal]", 
         FractionBox["UzB", "Rz"]}], ",", 
        RowBox[{
         RowBox[{"Abs", "[", 
          FractionBox["UzB", "Rz"], "]"}], "\[Equal]", "1"}]}], "}"}], "/.", 
      "resStavA"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"resStavZaB", "=", 
    RowBox[{"FindRoot", "[", 
     RowBox[{"rceStavZaB", ",", 
      RowBox[{"{", 
       RowBox[{"UzB", ",", 
        RowBox[{"230", "+", 
         RowBox[{"5", "I"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Rz", ",", "100"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<je-li s pripojenou civkou napeti \>\"", ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"UzA", "/.", "resStavA"}], "]"}], ",", "\"\< V, je bez ni \>\"",
      ",", 
     RowBox[{"Abs", "[", 
      RowBox[{"UzB", "/.", "resStavZaB"}], "]"}], ",", "\"\< V\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<pripojeni rezistoru, kterym tece 1A, tedy vyvolalo ubytek \>\"", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", "UD", "]"}], "-", 
         RowBox[{"Abs", "[", "UzB", "]"}]}], "/.", "resStavZaB"}], ")"}], "/.",
       "resStavA"}], ",", "\"\< V\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<pripojeni civky, kterou tece 1A, tedy vyvolalo ubytek \>\"", ",", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Abs", "[", "UD", "]"}], "-", 
         RowBox[{"Abs", "[", "UzA", "]"}]}], "/.", "resStavZaB"}], ")"}], "/.",
       "resStavA"}], ",", "\"\< V\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.479056428088888*^9, 3.479056973562888*^9}, {
  3.4790570842448883`*^9, 3.479057176050888*^9}, {3.479057218622888*^9, 
  3.479057425510088*^9}, {3.479096189515625*^9, 3.479096193796875*^9}}],

Cell[BoxData[{
 RowBox[{"ClearAll", "[", 
  RowBox[{"Umax", ",", "Imax", ",", "\[Omega]", ",", "fiU"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"p", "=", 
  RowBox[{"Umax", "*", 
   RowBox[{"Sin", "[", 
    RowBox[{
     RowBox[{"\[Omega]", "*", "t"}], "+", "fiU"}], "]"}], "*", "Imax", "*", 
   RowBox[{"Sin", "[", 
    RowBox[{
     RowBox[{"\[Omega]", "*", "t"}], "+", "fiI"}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Pstr", "=", 
  RowBox[{
   FractionBox["\[Omega]", 
    RowBox[{"2", "Pi"}]], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{"p", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", 
       FractionBox[
        RowBox[{"2", "*", "Pi"}], "\[Omega]"]}], "}"}]}], 
    "]"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.47909988242391*^9, 3.4790999047560225`*^9}, {
  3.479099954747907*^9, 3.479100038888896*^9}}]
},
WindowSize->{911, 647},
WindowMargins->{{3, Automatic}, {-1, Automatic}},
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1097, 29, 336, "Input"],
Cell[1645, 51, 2477, 77, 452, "Input"],
Cell[4125, 130, 229, 5, 85, "Input"],
Cell[4357, 137, 1982, 63, 412, "Input"],
Cell[6342, 202, 229, 5, 85, "Input"],
Cell[6574, 209, 2085, 66, 370, "Input"],
Cell[8662, 277, 296, 8, 52, "Input"],
Cell[8961, 287, 774, 21, 213, "Input"],
Cell[9738, 310, 227, 6, 52, "Input"],
Cell[9968, 318, 1590, 44, 461, "Input"],
Cell[11561, 364, 352, 8, 85, "Input"],
Cell[11916, 374, 2726, 84, 375, "Input"],
Cell[14645, 460, 2015, 64, 319, "Input"],
Cell[16663, 526, 1230, 34, 227, "Input"],
Cell[17896, 562, 314, 9, 52, "Input"],
Cell[18213, 573, 4365, 126, 1376, "Input"],
Cell[22581, 701, 3996, 110, 914, "Input"],
Cell[26580, 813, 4602, 125, 1202, "Input"],
Cell[31185, 940, 2482, 71, 504, "Input"],
Cell[33670, 1013, 3533, 96, 830, "Input"],
Cell[37206, 1111, 868, 25, 180, "Input"]
}
]
*)

(* End of internal cache information *)
