(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13005,        421]
NotebookOptionsPosition[     11999,        384]
NotebookOutlinePosition[     12401,        401]
CellTagsIndexPosition[     12358,        398]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"R0", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", "f", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"res", "[", 
    RowBox[{"Q_", ",", "f_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"2", "*", "Pi", "*", "f", "*", 
          FractionBox["L", "R"]}], "\[Equal]", "Q"}], ",", 
        RowBox[{
         RowBox[{"2", "*", "Pi", "*", "f"}], "\[Equal]", 
         FractionBox["1", 
          SqrtBox[
           RowBox[{"L", "*", "c"}]]]}]}], "}"}], "/.", 
      RowBox[{"R", "\[Rule]", "R0"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fn", "=", 
   RowBox[{"5", "*", "50"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Z", "=", 
      RowBox[{
       RowBox[{"R0", "+", 
        RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "L"}], "+", 
        FractionBox["1", 
         RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "c"}]]}], "/.", 
       RowBox[{"res", "[", 
        RowBox[{"Q", ",", "fn"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"LogLogPlot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        FractionBox["Z", "R0"], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", 
         FractionBox["fn", "10"], ",", 
         RowBox[{"10", "fn"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"0.1", "R0"}], ",", "1000"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<f [Hz]\>\"", ",", 
          "\"\<\!\(\*FractionBox[\(\(\\\ \)\(Z\)\), \(Zmin\)]\) [-]\>\""}], 
         "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Thickness", "[", "0.006", "]"}]}], ",", 
       RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"Q", ",", "1", ",", "50"}], "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{3.5147731095625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f0", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Omega]0", "=", 
   RowBox[{"100.", "Pi"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox[
    RowBox[{"2", "*", "Pi"}], "\[Omega]0"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rn", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.05"}], ",", "0.05"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uTry", "=", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]0", "*", "t"}], "+", 
      RowBox[{"Random", "[", "]"}]}], "]"}], "+", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "2"}], "11"], 
     RowBox[{
      FractionBox["1.", 
       SuperscriptBox["i", "2"]], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"rn", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "*", "i"}], "+", "1"}], ")"}], "*", "\[Omega]0", 
           "*", "t"}], "]"}]}], "+", 
        RowBox[{"rn", "*", 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "*", "i"}], "+", "1"}], ")"}], "*", "\[Omega]0", 
           "*", "t"}], "]"}]}]}], ")"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"uTry", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nTry", "=", "5.06"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QTry", "=", "15"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cTry", "=", 
   RowBox[{"c", "/.", 
    RowBox[{"res", "[", 
     RowBox[{"QTry", ",", 
      RowBox[{"nTry", "*", "f0"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LTry", "=", 
   RowBox[{"L", "/.", 
    RowBox[{"res", "[", 
     RowBox[{"QTry", ",", 
      RowBox[{"nTry", "*", "f0"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.51477315865625*^9, 3.51477359775*^9}, {3.514773902*^9, 
  3.514773909296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uTry", "\[Equal]", 
      RowBox[{
       RowBox[{"LTry", "*", 
        RowBox[{
         RowBox[{"i", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{"R0", "*", 
        RowBox[{"i", "[", "t", "]"}]}], "+", 
       RowBox[{"uc", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"i", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"cTry", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"i", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "T"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resTry", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "uc"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", 
       SuperscriptBox["10", "5"]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"uc", "[", "t", "]"}], "/.", "resTry"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.514773656203125*^9, 3.514773794515625*^9}, {
  3.514773829125*^9, 3.514773915015625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nSamplu", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", 
   FractionBox["T", 
    RowBox[{"nSamplu", "-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datI", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{
        RowBox[{"i", "[", "t", "]"}], "/.", "resTry"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"tmax", "-", "T"}], ",", "tmax", ",", "\[CapitalDelta]t"}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"datU", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", "uTry"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"tmax", "-", "T"}], ",", "tmax", ",", "\[CapitalDelta]t"}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"intOrder", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"iMer", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"datI", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "intOrder"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uMer", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"datU", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "intOrder"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.51477392640625*^9, 3.514774151453125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dataProHledani", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"iMer", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"iMer", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"iMer", "''"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"uMer", "'"}], "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"tmax", "-", "T"}], ",", "tmax", ",", "\[CapitalDelta]t"}], 
      "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proms", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"i", "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"i", "'"}], "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{"i", "''"}], "[", "t", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"fit", "=", 
  RowBox[{"Fit", "[", 
   RowBox[{"dataProHledani", ",", "proms", ",", "proms"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.51477416446875*^9, 3.514774171828125*^9}, {
   3.5147742551875*^9, 3.514774331015625*^9}, 3.514774381546875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"23844.577374707893`", " ", 
   RowBox[{"i", "[", "t", "]"}]}], "+", 
  RowBox[{"0.9999298621397692`", " ", 
   RowBox[{
    SuperscriptBox["i", "\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}], "+", 
  RowBox[{"0.009436165236640063`", " ", 
   RowBox[{
    SuperscriptBox["i", "\[Prime]\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}]}]], "Output",
 CellChangeTimes->{3.5147743314375*^9, 3.51477438209375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    FractionBox["1", "c"], "\[Equal]", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"fit", ",", 
      RowBox[{"i", "[", "t", "]"}]}], "]"}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"c", "\[Rule]", "cTry"}], "}"}]}], "Input",
 CellChangeTimes->{{3.514774390296875*^9, 3.5147744538125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", "\[Rule]", "0.000041938256412995055`"}], "}"}]], "Output",
 CellChangeTimes->{{3.514774414734375*^9, 3.5147744544375*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"c", "\[Rule]", "0.00004193806142078929`"}], "}"}]], "Output",
 CellChangeTimes->{{3.514774414734375*^9, 3.514774454453125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"R", "\[Equal]", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"fit", ",", 
      RowBox[{
       RowBox[{"i", "'"}], "[", "t", "]"}]}], "]"}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"R", "\[Rule]", "R0"}], "}"}]}], "Input",
 CellChangeTimes->{{3.5147744676875*^9, 3.514774477578125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"R", "\[Rule]", "0.9999298621397692`"}], "}"}]], "Output",
 CellChangeTimes->{3.51477447825*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"R", "\[Rule]", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.51477447825*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"L", "\[Equal]", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"fit", ",", 
      RowBox[{
       RowBox[{"i", "''"}], "[", "t", "]"}]}], "]"}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{"L", "\[Rule]", "LTry"}], "}"}]}], "Input",
 CellChangeTimes->{{3.514774484125*^9, 3.514774491328125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"L", "\[Rule]", "0.009436165236640063`"}], "}"}]], "Output",
 CellChangeTimes->{3.514774491875*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"L", "\[Rule]", "0.00943606381967759`"}], "}"}]], "Output",
 CellChangeTimes->{3.514774491875*^9}]
}, Open  ]]
},
WindowSize->{1094, 633},
WindowMargins->{{21, Automatic}, {Automatic, 4}},
ShowSelection->True,
Magnification->1.4500000476837158`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2361, 66, 389, "Input"],
Cell[2909, 88, 2285, 72, 365, "Input"],
Cell[5197, 162, 1521, 46, 122, "Input"],
Cell[6721, 210, 1444, 43, 224, "Input"],
Cell[CellGroupData[{
Cell[8190, 257, 1103, 32, 92, "Input"],
Cell[9296, 291, 467, 12, 41, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9800, 308, 411, 11, 95, "Input"],
Cell[10214, 321, 166, 3, 41, "Output"],
Cell[10383, 326, 167, 3, 41, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10587, 334, 409, 11, 67, "Input"],
Cell[10999, 347, 135, 3, 41, "Output"],
Cell[11137, 352, 117, 3, 41, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11291, 360, 411, 11, 67, "Input"],
Cell[11705, 373, 138, 3, 41, "Output"],
Cell[11846, 378, 137, 3, 41, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
