(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      3324,        112]
NotebookOptionsPosition[      3011,         97]
NotebookOutlinePosition[      3413,        114]
CellTagsIndexPosition[      3370,        111]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"f0", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r0", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g1", "=", "2"}], ";", 
  RowBox[{"g2", "=", "1"}], ";", 
  RowBox[{"a1", "=", "0.01"}], ";", 
  RowBox[{"a2", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"r", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"g1", "*", 
        RowBox[{"r", "[", "t", "]"}]}], "-", 
       RowBox[{"a1", "*", 
        RowBox[{"r", "[", "t", "]"}], "*", 
        RowBox[{"f", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "g2"}], "*", 
        RowBox[{"f", "[", "t", "]"}]}], "+", 
       RowBox[{"a2", "*", 
        RowBox[{"r", "[", "t", "]"}], "*", 
        RowBox[{"f", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{"r", "[", "0", "]"}], "\[Equal]", "100"}], ",", 
     RowBox[{
      RowBox[{"f", "[", "0", "]"}], "\[Equal]", "5"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", "[", "t", "]"}], ",", 
       RowBox[{"f", "[", "t", "]"}]}], "}"}], "/.", "res"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Green", ",", "Thick"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Thick"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t [units t]\>\"", ",", "\"\<\!\(\*
StyleBox[\"zajici\",
FontColor->RGBColor[0, 1, 0]]\) \!\(\*
StyleBox[\"lisky\",
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.514774651453125*^9, 3.514775056734375*^9}}]
},
WindowSize->{1094, 633},
WindowMargins->{{21, Automatic}, {Automatic, 4}},
ShowSelection->True,
Magnification->1.5500000715255737`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2462, 75, 326, "Input"]
}
]
*)

(* End of internal cache information *)
