(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     36359,        943]
NotebookOptionsPosition[     34851,        893]
NotebookOutlinePosition[     35294,        910]
CellTagsIndexPosition[     35251,        907]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Komprese obrazov\[EAcute]ho sign\[AAcute]lu ", "Title",
 CellChangeTimes->{{3.491820394453125*^9, 3.491820462390625*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell["\<\
V tomto notebooku si demonstrujeme my\[SHacek]lenku komprese \
obrazov\[EAcute]ho sign\[AAcute]lu pomoc\[IAcute] harmonick\[YAcute]ch funkc\
\[IAcute]. Pou\:017eijeme k tomu upraven\[YAcute] p\:016fvodn\[IAcute] \
notebook, ve kter\[EAcute]m jsme demonstrovali p\:0159evod do Fourierov\
\[YAcute]ch \:0159ad. 

V praxi se pro kompresi pou\:017e\[IAcute]v\[AAcute] pov\:011bt\[SHacek]inou \
Diskr\[EAcute]tn\[IAcute] kosinov\[AAcute] tranformace (DCT), ta je ale p\
\:0159\[IAcute]buzn\[AAcute] s demonstrovan\[YAcute]m p\:0159evodem. Rovn\
\:011b\:017e se v praxi zpravidla komprimuj\[IAcute] \
\[CHacek]tvercov\[EAcute] plochy 8x8 pixel\:016f (zde budeme komprimovat prou\
\:017eek 1x20 pixel\:016f).\
\>", "Text",
 CellChangeTimes->{{3.4918205809375*^9, 3.491820775296875*^9}, {
  3.491821139125*^9, 3.491821159984375*^9}, {3.49182120340625*^9, 
  3.491821233078125*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Off", "[", 
  RowBox[{
   RowBox[{"NMaximize", "::", "cvmit"}], ",", 
   RowBox[{"NIntegrate", "::", "\"\<slwcon\>\""}], ",", 
   RowBox[{"NIntegrate", "::", "\"\<ncvb\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", "f", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4622052014429674`*^9, 3.462205206934167*^9}, {
   3.467349761203125*^9, 3.467349765296875*^9}, {3.491717638859375*^9, 
   3.491717668484375*^9}, {3.4918203904375*^9, 3.49182039265625*^9}, {
   3.49182054015625*^9, 3.491820542828125*^9}, 3.491860026125*^9}],

Cell[TextData[{
 "Vytvo\:0159me si 2 sady vzork\:016f. Sada ",
 StyleBox["vzorky1", "Program",
  FontWeight->"Bold"],
 " p\:0159edstavuje prou\:017eek pixel\:016f z fotografie - p\:0159echody \
jasu nejsou p\:0159\[IAcute]li\[SHacek] ostr\[EAcute]. Sada ",
 StyleBox["vzorky2", "Program",
  FontWeight->"Bold"],
 " p\:0159edstavuje prou\:017eek pixel\:016f z n\:011bjak\[EAcute] \[CHacek]\
\[AAcute]rov\[EAcute] grafiky - uprost\:0159ed b\[IAcute]l\[EAcute]ho pruhu \
(hodnota jasu 10) jsou 4 pixely \[CHacek]ern\[EAcute] (hodnota jasu 0), pravd\
\:011bpodobn\:011b tento prou\:017eek p\:0159e\:0165ala svisl\[AAcute] \
\[CHacek]ern\[AAcute] \[CHacek]\[AAcute]ra o tlou\[SHacek]\:0165ce 4 pixel\
\:016f."
}], "Text",
 CellChangeTimes->{{3.49182146728125*^9, 3.4918216518125*^9}, {
  3.49182840825*^9, 3.49182843215625*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"perioda", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vzorky1", "=", 
   RowBox[{"{", 
    RowBox[{
    "6", ",", "5", ",", "4", ",", "3", ",", "3", ",", "5", ",", "7", ",", "8",
      ",", "8", ",", "9", ",", "7", ",", "6", ",", "4", ",", "3", ",", "1", 
     ",", "0", ",", "2", ",", "4", ",", "6", ",", "8"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vzorky2", "=", 
   RowBox[{"{", 
    RowBox[{
    "10", ",", "10", ",", "10", ",", "10", ",", "10", ",", "10", ",", "10", 
     ",", "10", ",", "0", ",", "0", ",", "0", ",", "0", ",", "10", ",", "10", 
     ",", "10", ",", "10", ",", "10", ",", "10", ",", "10", ",", "10"}], 
    "}"}]}], ";"}]}], "Input"],

Cell[TextData[{
 "Pro dal\[SHacek]\[IAcute] pr\[AAcute]ci vyberme nejprve sadu ",
 StyleBox["vzorky1", "Program",
  FontWeight->"Bold"],
 " (\"fotografie\")."
}], "Text",
 CellChangeTimes->{{3.491821690578125*^9, 3.49182171709375*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[
 RowBox[{
  RowBox[{"vzorky", "=", "vzorky1"}], ";"}]], "Input",
 CellChangeTimes->{{3.4918248340625*^9, 3.49182483596875*^9}, {
  3.49182499378125*^9, 3.491824995171875*^9}}],

Cell["Prove\:010fme p\:0159\[IAcute]pravn\[EAcute] pr\[AAcute]ce :", "Text",
 CellChangeTimes->{{3.491821781390625*^9, 3.491821794296875*^9}, {
  3.49182846096875*^9, 3.491828462515625*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"vzorky", "[", 
     RowBox[{"[", 
      RowBox[{"(", 
       RowBox[{"IntegerPart", "[", 
        RowBox[{"t", "+", "1"}], "]"}], ")"}], "]"}], "]"}], "/;", 
    RowBox[{"0.0", "\[LessEqual]", "t", "<", "perioda"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"t", "-", "perioda"}], "]"}], "/;", 
    RowBox[{"t", "\[GreaterEqual]", "perioda"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"t", "+", "perioda"}], "]"}], "/;", 
    RowBox[{"t", "<", "0"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"f", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "perioda"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", 
        RowBox[{"Hue", "[", "0.63", "]"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<pixel\>\"", ",", "\"\<jas pixelu\>\""}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nb", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"#", ",", 
         RowBox[{"f", "[", "#", "]"}]}], "}"}], "&"}], "/@", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["perioda", "nb"], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Range", "[", "nb", "]"}], "-", "1"}], ")"}]}], ")"}]}], 
     ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.63", "]"}], ",", 
        RowBox[{"PointSize", "[", "0.007", "]"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<pixel\>\"", ",", "\"\<jas pixelu\>\""}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gr1", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GrayLevel", "[", 
         RowBox[{
          RowBox[{"f", "[", 
           RowBox[{"k", "+", "0.5"}], "]"}], "/", "10"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"k", ",", 
            RowBox[{"-", "2"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"k", "+", "1"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "19"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.462200921422367*^9, 3.462201373323167*^9}, 
   3.4622015758111672`*^9, {3.462201749049167*^9, 3.4622017749295673`*^9}, {
   3.462201818344367*^9, 3.462201854146367*^9}, {3.4622020769923673`*^9, 
   3.4622021260699673`*^9}, {3.4622036998143673`*^9, 
   3.4622038088895674`*^9}, {3.462204107910367*^9, 3.462204117239167*^9}, {
   3.4622042449563675`*^9, 3.462204292130767*^9}, {3.491676431953125*^9, 
   3.49167663103125*^9}, {3.49167673478125*^9, 3.491676734859375*^9}, {
   3.491676817046875*^9, 3.491676823953125*^9}, {3.491676889578125*^9, 
   3.49167689571875*^9}, {3.491677022515625*^9, 3.491677093671875*^9}, {
   3.491690440890625*^9, 3.491690504609375*^9}, {3.4916917225625*^9, 
   3.49169172878125*^9}, {3.491691768671875*^9, 3.4916917688125*^9}, {
   3.4917177236875*^9, 3.49171794184375*^9}, {3.491718071078125*^9, 
   3.49171807309375*^9}, {3.4917181203125*^9, 3.491718123359375*^9}, {
   3.491718162484375*^9, 3.491718175953125*^9}, {3.491718224828125*^9, 
   3.4917182270625*^9}, 3.49171829875*^9, {3.491718332453125*^9, 
   3.491718332796875*^9}, 3.491718376875*^9, 3.49171842365625*^9, {
   3.491718514046875*^9, 3.49171856965625*^9}, {3.49171878140625*^9, 
   3.491718825078125*^9}, {3.49171887784375*^9, 3.491718935984375*^9}, {
   3.491718966515625*^9, 3.4917190635*^9}, {3.491720159*^9, 
   3.49172017571875*^9}, {3.49172027034375*^9, 3.491720325734375*^9}, 
   3.491720359625*^9, {3.491720391921875*^9, 3.49172041784375*^9}, {
   3.491721334078125*^9, 3.491721414875*^9}, {3.4917214888125*^9, 
   3.491721515484375*^9}, {3.491724531921875*^9, 3.49172454328125*^9}, {
   3.491724835140625*^9, 3.491724843328125*^9}, {3.491724921078125*^9, 
   3.491724934125*^9}, {3.491725103375*^9, 3.491725107578125*^9}, {
   3.491725170234375*^9, 3.49172519625*^9}, {3.4917254371875*^9, 
   3.4917254408125*^9}, {3.491725803046875*^9, 3.49172580453125*^9}, 
   3.49172590665625*^9, {3.491726027390625*^9, 3.49172602996875*^9}, {
   3.491726063625*^9, 3.49172608159375*^9}, {3.49172638021875*^9, 
   3.49172638034375*^9}, {3.491726416453125*^9, 3.491726419390625*^9}, {
   3.49172880784375*^9, 3.491728835484375*^9}, {3.491728878265625*^9, 
   3.491728928328125*^9}, {3.49172895940625*^9, 3.491728975671875*^9}, {
   3.491820294859375*^9, 3.49182030096875*^9}, 3.49182034540625*^9, {
   3.491820538859375*^9, 3.491820545515625*^9}, 3.49182168265625*^9, {
   3.49182173321875*^9, 3.49182176446875*^9}, {3.49182850215625*^9, 
   3.49182850928125*^9}, 3.4918293851875*^9}],

Cell["Prou\:017eek pixel\:016f vypad\[AAcute] takto :", "Text",
 CellChangeTimes->{{3.491821821015625*^9, 3.491821829046875*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[CellGroupData[{

Cell[BoxData["gr1"], "Input",
 CellChangeTimes->{{3.49182175703125*^9, 3.491821761453125*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {GrayLevel[
     NCache[
      Rational[3, 5], 0.6]], RectangleBox[{0, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[1, 2], 0.5]], RectangleBox[{1, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[2, 5], 0.4]], RectangleBox[{2, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[3, 10], 0.3]], RectangleBox[{3, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[3, 10], 0.3]], RectangleBox[{4, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[1, 2], 0.5]], RectangleBox[{5, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[7, 10], 0.7]], RectangleBox[{6, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[4, 5], 0.8]], RectangleBox[{7, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[4, 5], 0.8]], RectangleBox[{8, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[9, 10], 0.9]], RectangleBox[{9, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[7, 10], 0.7]], RectangleBox[{10, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[3, 5], 0.6]], RectangleBox[{11, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[2, 5], 0.4]], RectangleBox[{12, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[3, 10], 0.3]], RectangleBox[{13, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[1, 10], 0.1]], RectangleBox[{14, -2}]}, 
   {GrayLevel[0], RectangleBox[{15, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[1, 5], 0.2]], RectangleBox[{16, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[2, 5], 0.4]], RectangleBox[{17, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[3, 5], 0.6]], RectangleBox[{18, -2}]}, 
   {GrayLevel[
     NCache[
      Rational[4, 5], 0.8]], RectangleBox[{19, -2}]}}]], "Output",
 CellChangeTimes->{3.491821928796875*^9, 3.49182277540625*^9, 
  3.491824840296875*^9, 3.49182499946875*^9, 3.491829468625*^9, 
  3.491860033*^9}]
}, Open  ]],

Cell["\<\
Vykresleme si prou\:017eek pixel\:016f (pod osou x) spole\[CHacek]n\:011b s \
hodnotami jasu ka\:017ed\[EAcute]ho pixelu (nad osou x) :\
\>", "Text",
 CellChangeTimes->{{3.491821855875*^9, 3.49182188725*^9}, {3.4918284776875*^9,
   3.49182849846875*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pl2", ",", "gr1"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "20"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "10"}], "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{
   {Hue[0.63], PointSize[0.007], PointBox[CompressedData["
1:eJxd2DmslGUUgOGLu7jrVXHDXXHfaqOdtlJTmWirtlpTU2sLNZUFlYXamKiJ
iQkxMUaixg2NG+4bM89/zxtmmpOHZeb/zvvB5XLrsy/sf+6sra2tX3Ztba3m
ma89T76yffSpEy8feeJMvz4+tvfgt88ce2Pj598ev/bq6vXOxq9/f3zymdWP
fLDx+z8c7z5++MXHdx/feL+PxvccOPTmqX0fb7z/J+Mjq999+NONzzsxfmz9
+mzj8z8fv3Vq3+lP+GLjeb4c719/4Fcbz/f1+MTLqzf8ZuN5T45fWj3ei99t
PP/3Y/OHxdvLefLT6w/4cex8efVpBw79NHben8fWm53/l/HNq8fZe2psH/n5
9evXsf38Nl692/bRbF+/j39dv122vz/G6/U8/ufYPvP68Q7+Nbbfv8fvvbt6
Zfv+Z7w+7va/Y/vP67c78N/Y3Frm5ct5sj7Z+bJeu8bOm/XLzn/WWM9sH1nf
s8f2k/XO9nXOWP9sf9l9OHdsn9n9yPZ73th9yfad3Z/zx/af3adsXjBTj6xH
1iPrceFYj6xH1mP3WI+sR9bjorEeWY+sx8VjPbIeWY9LxnpkPbIel471yHpk
x71srEfWI5t1cZ6sT3a+rFd23qxfdv4rxnpm+8j6ZvvJemf7unKsf7a/7D5k
+8zuR7bfq8buS7bv7P5k+8/uUza3Z+qR9ch6ZD2yHlmPrMfVYz2yHlmPrEfW
I3u8a8Z6ZD2yHlmPrEfW49qxHlmPrEfWI+uRzZ2v6zcuPbIeWY+sR9Yj65H1
uG6sR9Yj65H1yHpkPa4f65H1yHpkPbIeWY8bxnpkPbIeWY+sRz5z3rL0yHpk
PbIeWY+sR9bjprEeWY+sR9Yj65H12DvWI+uR9ch6ZD2yHjeP9ch6ZD2yHlmP
vDmdJ+uTnS/rlZ0365edP+uZ7SPrm+0n653t69ax/tn+svuQ7TO7H9l+s/uS
7Tu7P9n+s/uUzdtm6pH1yHpkPbIeWY+sR9Yj65H1yHpkPbIet4/1yHpkPbIe
WY+sR9Yj65H1yHpkPbJ5xzJ3/v7NemQ9sh5Zj6xH1iPrkfXIemQ9sh5ZjzvH
emQ9sh5Zj6xH1iPrkfXIemQ9sh7ZvGuZe5YeWY+sR9Yj65H1yHpkPbIeWY+s
R9Yj63H3WI+sR9Yj65H1yHpkPbIeWY+sR9Yjm/uWufP9Z9Yj65H1yHpkPbIe
WY+sR9Yj65H1yHrcM9Yj65H1yHpkPbIeWY+sR9Yj65H1yOa9y9z5firrkfXI
emQ9sh5Zj6xH1iPrkfXIemQ97hvrkfXIemQ9sh5Zj6xH1iPrkfXIemTz/mX+
8IQeWY+sR9Yj65H1yHpkPbIeWY+sR9Yj6/HAWI+sR9Yj65H1yHpkPbIeWY+s
R9Yjmw8uPv0d4voNsx5Zj6xH1iPrkfXIemQ9sh5Zj6xH1uOhsR5Zj6xH1iPr
kfXIemQ9sh5Zj6xH9np4x8uf96xPdr6sV3berF92/qxnto+sb7afrHe2r6x/
tr/sPmT7zO5Htt/svmT7zu5Ptv/sPmXjkWXufD3MemQ9sh5Zj6xH1iPrkfXI
emQ9sh5Zj6xH1iPrkfXIemQ9sh5Zj6xH1iPrkc1Hl7nz78WsR9Yj65H1yHpk
PbIeWY+sR9Yj65H1yHpkPbIeWY+sR9Yj65H1yHpkPbIe2XxsmTv/35D1yHpk
PbIeWY+sR9Yj65H1yHpkPbIeWY+sR9Yj65H1yHpkPbIeWY+sR9Yj/w993zbC

     "]]}, {
    {GrayLevel[
      NCache[
       Rational[3, 5], 0.6]], RectangleBox[{0, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[1, 2], 0.5]], RectangleBox[{1, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 5], 0.4]], RectangleBox[{2, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[3, 10], 0.3]], RectangleBox[{3, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[3, 10], 0.3]], RectangleBox[{4, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[1, 2], 0.5]], RectangleBox[{5, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[7, 10], 0.7]], RectangleBox[{6, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[4, 5], 0.8]], RectangleBox[{7, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[4, 5], 0.8]], RectangleBox[{8, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[9, 10], 0.9]], RectangleBox[{9, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[7, 10], 0.7]], RectangleBox[{10, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[3, 5], 0.6]], RectangleBox[{11, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 5], 0.4]], RectangleBox[{12, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[3, 10], 0.3]], RectangleBox[{13, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[1, 10], 0.1]], RectangleBox[{14, -2}]}, 
    {GrayLevel[0], RectangleBox[{15, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[1, 5], 0.2]], RectangleBox[{16, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 5], 0.4]], RectangleBox[{17, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[3, 5], 0.6]], RectangleBox[{18, -2}]}, 
    {GrayLevel[
      NCache[
       Rational[4, 5], 0.8]], RectangleBox[{19, -2}]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"pixel\"", TraditionalForm], 
    FormBox["\"jas pixelu\"", TraditionalForm]},
  PlotRange->{{0, 20}, {-2, 10}},
  PlotRangeClipping->True]], "Output",
 CellChangeTimes->{
  3.49167670065625*^9, 3.49167677940625*^9, 3.4916768309375*^9, 
   3.491676901046875*^9, 3.49167710371875*^9, 3.49169019471875*^9, {
   3.491690552453125*^9, 3.491690569859375*^9}, 3.49169173996875*^9, 
   3.49169177028125*^9, 3.491715366859375*^9, 3.49171794371875*^9, 
   3.491718026421875*^9, 3.4917180746875*^9, 3.491718124859375*^9, 
   3.49171817740625*^9, 3.491718229015625*^9, 3.491718300453125*^9, 
   3.49171833425*^9, 3.49171837778125*^9, 3.491718458578125*^9, 
   3.491718553640625*^9, 3.49171866759375*^9, 3.49171879546875*^9, 
   3.491718826265625*^9, 3.49171890590625*^9, 3.491718936828125*^9, {
   3.49171898903125*^9, 3.491719064953125*^9}, {3.49172016103125*^9, 
   3.49172017715625*^9}, {3.491720336375*^9, 3.491720361015625*^9}, {
   3.491720395234375*^9, 3.4917204191875*^9}, 3.49172057475*^9, {
   3.491721392125*^9, 3.491721425453125*^9}, 3.4917215354375*^9, {
   3.491724390890625*^9, 3.491724396296875*^9}, 3.491724549296875*^9, 
   3.491724847328125*^9, 3.491724938796875*^9, 3.49172511165625*^9, 
   3.491725201875*^9, 3.49172544553125*^9, 3.491725809015625*^9, 
   3.4917259109375*^9, 3.4917260379375*^9, 3.491726086359375*^9, 
   3.491726383953125*^9, 3.4917264210625*^9, {3.49172882834375*^9, 
   3.49172883646875*^9}, {3.491728882*^9, 3.491728930015625*^9}, 
   3.491728976390625*^9, 3.491820306265625*^9, 3.491820346359375*^9, 
   3.491821933359375*^9, 3.49182277796875*^9, 3.49182484034375*^9, 
   3.491824999515625*^9, 3.491829468671875*^9, 3.491860033078125*^9}]
}, Open  ]],

Cell[TextData[{
 "Nyn\[IAcute] spo\[CHacek]\[IAcute]t\[AAcute]me koeficienty ",
 StyleBox["an",
  FontSlant->"Italic"],
 " a ",
 StyleBox["bn",
  FontSlant->"Italic"],
 " pro prvn\[IAcute]ch 50 harmonick\[YAcute]ch funkc\[IAcute]. V \
podstat\:011b podv\[AAcute]d\[IAcute]me - on\:011bch 20 pixel\:016f jsme \
prohl\[AAcute]sili za periodu a tv\[AAcute]\:0159\[IAcute]me se, \:017ee se t\
\:011bchto 20 pixel\:016f periodicky opakuje. Pak n\[AAcute]m nic nebr\
\[AAcute]n\[IAcute], abychom na takto definovanou \"periodickou\" funkci \
aplikovali zn\[AAcute]m\[YAcute] postup."
}], "Text",
 CellChangeTimes->{{3.491822644890625*^9, 3.491822698484375*^9}, {
  3.49182273040625*^9, 3.4918227603125*^9}, {3.49182917128125*^9, 
  3.49182934490625*^9}, {3.491860047796875*^9, 3.4918600486875*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nHarm", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rn", "=", 
   RowBox[{"Range", "[", "nHarm", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"siny", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{
       FractionBox[
        RowBox[{"2", "Pi"}], "perioda"], "*", "t", "*", "#"}], "]"}], "&"}], "/@",
     "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cosiny", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{
       FractionBox[
        RowBox[{"2", "Pi"}], "perioda"], "*", "t", "*", "#"}], "]"}], "&"}], "/@",
     "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{
    FractionBox["1", "perioda"], "*", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{"f", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "perioda"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"an", ":=", 
   RowBox[{
    RowBox[{
     FractionBox["2", "perioda"], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "t", "]"}], "*", 
        RowBox[{"cosiny", "[", 
         RowBox[{"[", "#", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "perioda"}], "}"}]}], "]"}]}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"aenka", "=", 
   RowBox[{"an", "/@", "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bn", ":=", 
   RowBox[{
    RowBox[{
     FractionBox["2", "perioda"], "*", 
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", "t", "]"}], "*", 
        RowBox[{"siny", "[", 
         RowBox[{"[", "#", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "perioda"}], "}"}]}], "]"}]}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"beenka", "=", 
   RowBox[{"bn", "/@", "rn"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahrada", ":=", 
   RowBox[{
    RowBox[{"a0", "+", 
     RowBox[{"Plus", "@@", 
      RowBox[{"Take", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"aenka", "*", "cosiny"}], "+", 
         RowBox[{"beenka", "*", "siny"}]}], ",", "#"}], "]"}]}]}], "&"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4622021503123674`*^9, 3.462202313332367*^9}, {
   3.4622025729319673`*^9, 3.462202668686767*^9}, {3.4622027175771675`*^9, 
   3.462202741491967*^9}, {3.4622029929015675`*^9, 3.4622030169879675`*^9}, {
   3.462203106672367*^9, 3.462203112257167*^9}, {3.462203236698367*^9, 
   3.4622032389135675`*^9}, {3.462203335493167*^9, 3.462203337583567*^9}, {
   3.4622033873631673`*^9, 3.4622034681087675`*^9}, 3.462203818031167*^9, {
   3.4622038516647673`*^9, 3.462203870993167*^9}, {3.462204158984767*^9, 
   3.4622041663791676`*^9}, {3.462204359444767*^9, 3.462204362408767*^9}, {
   3.4622044390671673`*^9, 3.462204446695567*^9}, {3.462856015390625*^9, 
   3.46285604153125*^9}, {3.491677195765625*^9, 3.491677201609375*^9}, {
   3.491726242328125*^9, 3.49172627859375*^9}, {3.4917263161875*^9, 
   3.49172631703125*^9}, {3.4917307169375*^9, 3.49173078221875*^9}, {
   3.491730927015625*^9, 3.49173093978125*^9}}],

Cell["\<\
Provedeme p\:0159\[IAcute]pravy na zobrazen\[IAcute] :\
\>", "Text",
 CellChangeTimes->{{3.491823821109375*^9, 3.49182383040625*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pln", ":=", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"nahrada", "[", "#", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "perioda"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"GrayLevel", "[", "0", "]"}]}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<t\>\"", ",", "\"\<f[t]\>\""}], "}"}]}]}], "]"}], "&"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"bodyn", ":=", 
  RowBox[{
   RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "0.5"}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"nahrada", "[", "#", "]"}], "/.", 
           RowBox[{"t", "\[Rule]", 
            RowBox[{"(", 
             RowBox[{"k", "+", "0.5"}], ")"}]}]}], ")"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "19"}], "}"}]}], "]"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Orange", ",", 
        RowBox[{"PointSize", "[", "0.015", "]"}]}], "}"}]}]}], "]"}], 
   "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grn", ":=", 
   RowBox[{
    RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"GrayLevel", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"nahrada", "[", "#", "]"}], "/.", 
             RowBox[{"t", "\[Rule]", 
              RowBox[{"(", 
               RowBox[{"k", "+", "0.5"}], ")"}]}]}], ")"}], "/", "10"}], 
          "]"}], ",", 
         RowBox[{"Rectangle", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"k", ",", 
             RowBox[{"-", "3.1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"k", "+", "1"}], ",", 
             RowBox[{"-", "2.1"}]}], "}"}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "19"}], "}"}]}], "]"}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vys", ":=", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"pl2", ",", 
      RowBox[{"pln", "[", "#", "]"}], ",", "gr1", ",", 
      RowBox[{"grn", "[", "#", "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "12"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vys2", ":=", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"pl2", ",", 
      RowBox[{"pln", "[", "#", "]"}], ",", 
      RowBox[{"bodyn", "[", "#", "]"}], ",", "gr1", ",", 
      RowBox[{"grn", "[", "#", "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "20"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "4"}], ",", "12"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}], "&"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.491691816296875*^9, {3.491720922546875*^9, 3.49172098871875*^9}, {
   3.491721055328125*^9, 3.491721060140625*^9}, 3.491725029140625*^9, {
   3.4918229918125*^9, 3.49182313128125*^9}, {3.491823252078125*^9, 
   3.49182325240625*^9}, {3.491823358625*^9, 3.491823384671875*^9}, {
   3.4918234696875*^9, 3.491823499625*^9}, {3.4918235378125*^9, 
   3.491823557359375*^9}, {3.491823595171875*^9, 3.49182361153125*^9}, 
   3.49182373621875*^9}],

Cell["\<\
Zobrazme v\[YAcute]sledky. Nad osou x  je jas ka\:017ed\[EAcute]ho vzorku mod\
\:0159e a aproximace tohoto pr\:016fb\:011bhu pomoc\[IAcute] sou\[CHacek]tu \
harmonick\[YAcute]ch funkc\[IAcute] je \[CHacek]ern\:011b. Pod osou x jsou \
dva prou\:017eky pixel\:016f - horn\[IAcute] prou\:017eek je origin\[AAcute]l \
a spodn\[IAcute] prou\:017eek je jeho aproximace (kter\[AAcute] \
odpov\[IAcute]d\[AAcute] \[CHacek]ern\[EAcute] \[CHacek]\[AAcute]\:0159e nad \
osou).\
\>", "Text",
 CellChangeTimes->{{3.491823854953125*^9, 3.491824036015625*^9}, {
  3.491824091578125*^9, 3.491824097140625*^9}},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"vys", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "nHarm", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.462203472227167*^9, 3.4622034859551673`*^9}, {
  3.4622038772799673`*^9, 3.4622039847639675`*^9}, {3.462204209528767*^9, 
  3.4622042224767675`*^9}, {3.462204348165967*^9, 3.462204349382767*^9}, {
  3.491720798703125*^9, 3.49172082109375*^9}, {3.491721010546875*^9, 
  3.491721018890625*^9}, {3.49172113384375*^9, 3.49172115184375*^9}, {
  3.491724710515625*^9, 3.491724733671875*^9}, {3.491724821140625*^9, 
  3.49172482271875*^9}, {3.49172498625*^9, 3.491724986359375*^9}, {
  3.491725975515625*^9, 3.491725975984375*^9}, {3.491728721484375*^9, 
  3.49172872159375*^9}, {3.491823148734375*^9, 3.491823156609375*^9}, {
  3.491823654859375*^9, 3.49182368528125*^9}, {3.491823717046875*^9, 
  3.491823739375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 50, 1}}, Typeset`size$$ = {
    540., {155., 164.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$4259$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4259$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`vys[$CellContext`n$$], 
      "Specifications" :> {{$CellContext`n$$, 1, 50, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {237., 244.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.49167670965625*^9, 3.491676787515625*^9, 3.4916768391875*^9, 
   3.49167690928125*^9, 3.491677111921875*^9, {3.491690203640625*^9, 
   3.491690277421875*^9}, {3.491690330484375*^9, 3.491690356046875*^9}, {
   3.491690624703125*^9, 3.49169067971875*^9}, {3.4916918209375*^9, 
   3.49169183375*^9}, {3.491693570359375*^9, 3.491693572578125*^9}, {
   3.49169375096875*^9, 3.491693765875*^9}, {3.49171537653125*^9, 
   3.4917154069375*^9}, 3.491718673140625*^9, 3.49172057996875*^9, {
   3.491720800765625*^9, 3.491720821796875*^9}, 3.49172106521875*^9, {
   3.491721104890625*^9, 3.491721120859375*^9}, {3.4917211533125*^9, 
   3.491721175140625*^9}, {3.491721215171875*^9, 3.49172123728125*^9}, 
   3.49172142903125*^9, 3.49172153984375*^9, 3.491722712546875*^9, 
   3.4917245955*^9, 3.491724735078125*^9, {3.491724824046875*^9, 
   3.4917248503125*^9}, 3.4917249418125*^9, 3.491725034140625*^9, 
   3.491725114421875*^9, 3.491725204671875*^9, 3.49172544840625*^9, 
   3.491725812171875*^9, 3.4917259143125*^9, 3.491725977*^9, 
   3.4917260414375*^9, 3.49172608925*^9, 3.491726390015625*^9, 
   3.491728722640625*^9, 3.491822800578125*^9, 3.491823162046875*^9, 
   3.491823268390625*^9, 3.4918233960625*^9, {3.491823475515625*^9, 
   3.491823506265625*^9}, {3.491823543953125*^9, 3.491823563078125*^9}, {
   3.491823601765625*^9, 3.491823616015625*^9}, 3.491823686359375*^9, 
   3.491824842859375*^9, 3.49182500496875*^9, 3.49182947415625*^9, 
   3.4918295083125*^9, {3.491860038734375*^9, 3.49186006828125*^9}}]
}, Open  ]],

Cell[TextData[{
 "U sady pixel\:016f ",
 StyleBox["vzorky1", "Program",
  FontWeight->"Bold"],
 " si pov\[SHacek]imn\:011bme, \:017ee ji\:017e pouh\[EAcute] prvn\[IAcute] \
dv\:011b harmonick\[EAcute] funkce za\[CHacek]\[IAcute]naj\[IAcute] uspokojiv\
\:011b aproximovat origin\[AAcute]l. V tomto p\:0159\[IAcute]pad\:011b by n\
\[AAcute]m sta\[CHacek]ilo ulo\:017eit pouh\[YAcute]ch 5 hodnot koeficient\
\:016f ",
 StyleBox["a",
  FontSlant->"Italic"],
 "0, ",
 StyleBox["a",
  FontSlant->"Italic"],
 "1, ",
 StyleBox["b",
  FontSlant->"Italic"],
 "1, ",
 StyleBox["a",
  FontSlant->"Italic"],
 "2 a ",
 StyleBox["b",
  FontSlant->"Italic"],
 "2. \[CapitalSHacek]est harmonick\[YAcute]ch aproximuje pr\:016fb\:011bh dob\
\:0159e a deset harmonick\[YAcute]ch velmi dob\:0159e (pouh\[YAcute]m okem \
prakticky nerozeznateln\:011b).\n\nJako aproxima\[CHacek]n\[IAcute] hodnotu \
jsme brali poka\:017ed\[EAcute] hodnotu aproxima\[CHacek]n\[IAcute] funkce \
\"uprost\:0159ed pixelu\", tedy pracovali jsme s oran\:017eov\:011b zv\
\[YAcute]razn\:011bn\[YAcute]mi hodnotami na n\[AAcute]sleduj\[IAcute]c\
\[IAcute]m grafu:"
}], "Text",
 CellChangeTimes->{{3.4918242628125*^9, 3.4918245101875*^9}, {
   3.4918245666875*^9, 3.49182472828125*^9}, 3.49182808946875*^9},
 Background->RGBColor[0.87, 0.94, 1]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"vys2", "[", "n", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "nHarm", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.491823675953125*^9, 3.49182367996875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 50, 1}}, Typeset`size$$ = {
    540., {155., 164.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$4290$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4290$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`vys2[$CellContext`n$$], 
      "Specifications" :> {{$CellContext`n$$, 1, 50, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {237., 244.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.49182368990625*^9, {3.49182413628125*^9, 3.49182419121875*^9}, 
   3.491824843140625*^9, {3.491824942140625*^9, 3.491824967046875*^9}, {
   3.491825005265625*^9, 3.491825081046875*^9}, 3.491829474453125*^9, {
   3.491829514125*^9, 3.491829523375*^9}, 3.491860039015625*^9, {
   3.491860071703125*^9, 3.491860073984375*^9}}]
}, Open  ]],

Cell[TextData[{
 "Nyn\[IAcute] si v\[SHacek]e znova vyzkou\[SHacek]ejte pro sadu pixel\:016f ",
 StyleBox["vzorky2", "Program",
  FontWeight->"Bold"],
 " (sta\[CHacek]\[IAcute] upravit p\:0159i\:0159azen\[IAcute] ",
 StyleBox["vzorky = vzorky2", "Program",
  FontWeight->"Bold"],
 ";)"
}], "Text",
 CellChangeTimes->{{3.491828117546875*^9, 3.491828198015625*^9}},
 Background->RGBColor[0.87, 0.94, 1]]
}, Open  ]]
},
WindowSize->{1272, 698},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 163, 2, 147, "Title"],
Cell[733, 26, 921, 17, 163, "Text"],
Cell[1657, 45, 663, 14, 98, "Input"],
Cell[2323, 61, 861, 17, 115, "Text"],
Cell[3187, 80, 740, 18, 98, "Input"],
Cell[3930, 100, 273, 7, 66, "Text"],
Cell[4206, 109, 189, 4, 43, "Input"],
Cell[4398, 115, 228, 3, 65, "Text"],
Cell[4629, 120, 5374, 127, 272, "Input"],
Cell[10006, 249, 167, 2, 65, "Text"],
Cell[CellGroupData[{
Cell[10198, 255, 94, 1, 43, "Input"],
Cell[10295, 258, 1805, 62, 70, "Output"]
}, Open  ]],
Cell[12115, 323, 302, 6, 65, "Text"],
Cell[CellGroupData[{
Cell[12442, 333, 358, 12, 43, "Input"],
Cell[12803, 347, 5324, 121, 350, "Output"]
}, Open  ]],
Cell[18142, 471, 830, 17, 90, "Text"],
Cell[18975, 490, 3259, 91, 450, "Input"],
Cell[22237, 583, 181, 4, 65, "Text"],
Cell[22421, 589, 3992, 114, 233, "Input"],
Cell[26416, 705, 642, 11, 90, "Text"],
Cell[CellGroupData[{
Cell[27083, 720, 925, 16, 43, "Input"],
Cell[28011, 738, 2999, 54, 505, "Output"]
}, Open  ]],
Cell[31025, 795, 1297, 33, 189, "Text"],
Cell[CellGroupData[{
Cell[32347, 832, 256, 6, 43, "Input"],
Cell[32606, 840, 1813, 37, 505, "Output"]
}, Open  ]],
Cell[34434, 880, 401, 10, 66, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
