(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17138,        527]
NotebookOptionsPosition[     16477,        504]
NotebookOutlinePosition[     16939,        522]
CellTagsIndexPosition[     16896,        519]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Omega]", "=", "314."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{"2", "*", 
    FractionBox["Pi", "\[Omega]"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f0", "=", 
   FractionBox["1", "T"]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ampl", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fi", "=", "0.3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "15"}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}], ",", 
     RowBox[{"L", "->", "0.1"}], ",", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", 
      RowBox[{"ampl", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"2", "*", "Pi", "*", 
          FractionBox["t", "T"]}], "+", "fi"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceSoucastek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"iR", "[", "t", "]"}], "*", "R"}]}], ",", 
     RowBox[{
      RowBox[{"uL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"L", "*", 
       RowBox[{
        RowBox[{"iL", "'"}], "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ic", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"c", "*", 
       RowBox[{
        RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceNapeti", "=", 
   RowBox[{"{", 
    RowBox[{"0", "\[Equal]", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "-", 
      RowBox[{"uR", "[", "t", "]"}], "-", 
      RowBox[{"uL", "[", "t", "]"}], "-", 
      RowBox[{"uc", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceProudy", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"iL", "[", "t", "]"}]}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"ic", "[", "t", "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcePocatecnichPodminek", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"uc", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.463896878828125*^9, 3.46389688790625*^9}, {
   3.46389691821875*^9, 3.463896962171875*^9}, 3.463897003265625*^9, {
   3.463897097859375*^9, 3.4638971001875*^9}, {3.463897258796875*^9, 
   3.463897258859375*^9}, {3.465137754865*^9, 3.4651377736942*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vektorDerivaci", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["uc", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], ",", 
     RowBox[{
      SuperscriptBox["iL", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"vektorDerivaci", "/.", 
    RowBox[{
     RowBox[{
      RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
     RowBox[{"a", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prave", "=", 
   RowBox[{"vektorDerivaci", "/.", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"Union", "[", 
        RowBox[{"rceSoucastek", ",", "rceProudy", ",", "rceNapeti"}], "]"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox["uc", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], ",", 
         RowBox[{
          SuperscriptBox["iL", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"iR", "[", "t", "]"}], ",", 
         RowBox[{"uR", "[", "t", "]"}], ",", 
         RowBox[{"uL", "[", "t", "]"}], ",", 
         RowBox[{"ic", "[", "t", "]"}]}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rceDerivaci", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"Equal", "[", 
    RowBox[{"vektorDerivaci", ",", "prave"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.46338970465625*^9, 3.463389735921875*^9}, {
  3.46338978209375*^9, 3.463389798015625*^9}, {3.463389839578125*^9, 
  3.46338985528125*^9}, {3.4633899114375*^9, 3.4633899790625*^9}, {
  3.46339004303125*^9, 3.463390129859375*^9}, {3.463390170359375*^9, 
  3.463390198953125*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"vse", "=", 
     RowBox[{
      RowBox[{"Union", "[", 
       RowBox[{"rceDerivaci", ",", "rcePocatecnichPodminek"}], "]"}], "/.", 
      "dos"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", 
     RowBox[{"18", "T"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"res", "=", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{"vse", ",", "nezname", ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"napeti", "=", 
     RowBox[{
      RowBox[{"uc", "[", "t", "]"}], "/.", "res"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"napeti", ",", 
       RowBox[{
        RowBox[{"0.1", 
         RowBox[{"u", "[", "t", "]"}]}], "/.", "dos"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"uc\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\),  \!\(\*
StyleBox[\"0.1\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"u\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Hue", "[", "0.63", "]"}], ",", 
          RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.463062342065709*^9, 3.4630625674097376`*^9}, {
   3.463062602339965*^9, 3.4630627140505967`*^9}, 3.4630627706920433`*^9, 
   3.463389666640625*^9, {3.46339015475*^9, 3.463390156984375*^9}, {
   3.4633902039375*^9, 3.463390214859375*^9}, {3.463390314203125*^9, 
   3.463390321609375*^9}, {3.46339036353125*^9, 3.463390369203125*^9}, {
   3.46339055065625*^9, 3.463390569546875*^9}, 3.463809422959747*^9, 
   3.463896934390625*^9, 3.463897338609375*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"\[Omega]", "*", "t"}], "]"}], ",", 
        RowBox[{"Um", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"\[Omega]", "*", "t"}], "+", "fi"}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<t\>\"", ",", "\"\<Sin[\[Omega]*t],Um*Sin[\[Omega]*t+fi]\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Um", ",", "0.1", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"fi", ",", 
      RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4638105396316214`*^9, 3.4638107133503714`*^9}, {
  3.4638107575378714`*^9, 3.4638107808816214`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rnd", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"zadano", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sinusoida1", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sinusoida2", "=", 
   RowBox[{
    RowBox[{"Abs", "[", "rnd", "]"}], "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "rnd"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dat", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"zadano", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "T", ",", 
       FractionBox["T", "20"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"a", "*", "sinusoida1"}], "+", 
    RowBox[{"b", "*", "sinusoida2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosFit", "=", 
  RowBox[{"FindFit", "[", 
   RowBox[{"dat", ",", "model", ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"nahr", "=", 
  RowBox[{"model", "/.", "dosFit"}]}], "\n", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"nahr", "-", 
    RowBox[{"zadano", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<chyba nahrady\>\""}], "}"}]}]}], 
  "]"}], "\n", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"zadano", "[", "t", "]"}], ",", 
         RowBox[{
          RowBox[{"k1", "*", "sinusoida1"}], "+", 
          RowBox[{"k2", "*", "sinusoida2"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "T"}], "}"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
       RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k1", ",", 
         RowBox[{"a", "-", "1"}], ",", 
         RowBox[{"a", "+", "1"}]}], "}"}], "/.", "dosFit"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k2", ",", 
         RowBox[{"b", "-", "1"}], ",", 
         RowBox[{"b", "+", "1"}]}], "}"}], "/.", "dosFit"}], "]"}]}], "]"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.463810895240997*^9, {3.463897315015625*^9, 3.46389731525*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"FullForm", "[", "res", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.4638117145066214`*^9, 3.463811721303497*^9}, {
  3.46389707190625*^9, 3.463897075234375*^9}}],

Cell[BoxData[{
 RowBox[{"rceHUS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Union", "[", 
          RowBox[{"rceSoucastek", ",", "rceProudy", ",", "rceNapeti"}], "]"}],
          "/.", 
         RowBox[{
          RowBox[{
           RowBox[{"a_", "'"}], "[", "t", "]"}], ":>", 
          RowBox[{"I", "*", "\[Omega]", "*", "a"}]}]}], ")"}], "/.", 
       RowBox[{
        RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], ")"}], "//.",
      "dos"}], ")"}], "/.", 
   RowBox[{"u", "\[Rule]", 
    RowBox[{"ampl", "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "fi"}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocetRovnic", "=", 
   RowBox[{"Length", "[", "rceHUS", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<rovnic mame:  \>\"", ",", "pocetRovnic"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{
    RowBox[{"Cases", "[", 
     RowBox[{"rceHUS", ",", "_Symbol", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", "Union"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<nezname jsou:  \>\"", 
   RowBox[{"Sequence", "@@", "nezname"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<neznamych je:  \>\"", ",", 
    RowBox[{"Length", "[", "nezname", "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resHUS", "=", 
  RowBox[{"Solve", "[", "rceHUS", "]"}]}]}], "Input",
 CellChangeTimes->{{3.465137653231*^9, 3.4651377259114*^9}, {
  3.4651378177642*^9, 3.4651378588858*^9}, {3.4651378923789997`*^9, 
  3.4651380131698*^9}, {3.4651381191406*^9, 3.4651382182005997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ucHUS", "[", "t_", "]"}], ":=", 
   RowBox[{"Im", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"uc", "/.", 
       RowBox[{"resHUS", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "*", 
     SuperscriptBox["E", 
      RowBox[{"I", "*", "\[Omega]", "*", "t"}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"napeti", ",", 
     RowBox[{"ucHUS", "[", "t", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"tmax", "/", "2"}]}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"uc\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"V\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\),  \!\(\*
StyleBox[\"ucHUS\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"t\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.63", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4651382651878*^9, 3.4651383793642*^9}, {
  3.4651384349314003`*^9, 3.4651384575046*^9}}]
},
WindowSize->{906, 600},
WindowMargins->{{-2, Automatic}, {Automatic, 8}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 2., 2. Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2687, 83, 554, "Input"],
Cell[3235, 105, 1884, 51, 262, "Input"],
Cell[5122, 158, 2775, 79, 432, "Input"],
Cell[7900, 239, 1171, 33, 194, "Input"],
Cell[9074, 274, 3437, 107, 670, "Input"],
Cell[12514, 383, 204, 4, 57, "Input"],
Cell[12721, 389, 1807, 50, 364, "Input"],
Cell[14531, 441, 1942, 61, 268, "Input"]
}
]
*)

(* End of internal cache information *)
