(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12655,        342]
NotebookOptionsPosition[     12301,        326]
NotebookOutlinePosition[     12705,        343]
CellTagsIndexPosition[     12662,        340]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Solve", "::", "\"\<svars\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.4799218907125793`*^9, 3.4799218922447824`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Kappa]", "=", "1.4"}], ";", "\[IndentingNewLine]", 
     RowBox[{"r1", "=", 
      RowBox[{
       FractionBox["p1", "p2"], "\[Equal]", 
       FractionBox["V2", "V1"]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"r2", "=", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["T2", "T1"], ")"}], 
        FractionBox["1", 
         RowBox[{"\[Kappa]", "-", "1"}]]], "==", 
       FractionBox["V2", "V3"]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"r3", "=", 
      RowBox[{
       FractionBox["p3", "p4"], "\[Equal]", 
       FractionBox["V4", "V3"]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"r4", "=", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["T2", "T1"], ")"}], 
        FractionBox["1", 
         RowBox[{"\[Kappa]", "-", "1"}]]], "==", 
       FractionBox["V1", "V4"]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"r5", "=", 
      RowBox[{
       RowBox[{"p2", "*", 
        SuperscriptBox["V2", "\[Kappa]"]}], "\[Equal]", 
       RowBox[{"p3", "*", 
        SuperscriptBox["V3", "\[Kappa]"]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dos", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"T2", "\[Rule]", 
         RowBox[{"600", "+", "273"}]}], ",", 
        RowBox[{"T1", "\[Rule]", 
         RowBox[{"120", "+", "273"}]}], ",", 
        RowBox[{"V1", "\[Rule]", 
         SuperscriptBox["10", 
          RowBox[{"-", "3"}]]}], ",", 
        RowBox[{"p1", "\[Rule]", 
         RowBox[{"2", "*", 
          SuperscriptBox["10", "5"]}]}], ",", 
        RowBox[{"V3", "\[Rule]", 
         RowBox[{"kV", "*", "V1"}]}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"rceDohr", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"r1", ",", "r2", ",", "r3", ",", "r4"}], "}"}], "//.", 
       "dos"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Cases", "[", 
       RowBox[{"rceDohr", ",", "_Symbol", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", "Union"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"res", "=", 
      RowBox[{
       RowBox[{"Solve", "[", "rceDohr", "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dalres", "=", 
      RowBox[{"Union", "[", 
       RowBox[{"res", ",", "dos"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vys", "=", 
      RowBox[{"Union", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"r5", "//.", "dalres"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", "dalres"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"plRange", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0.8", "p1"}], ",", 
           RowBox[{"6", "*", 
            SuperscriptBox["10", "6"]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"1.1", "*", "V1"}]}], "}"}]}], "}"}], "//.", "vys"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"plStyle", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.004", "]"}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ar", "=", "1"}], ";", "\n", 
     RowBox[{"Vizoterma1", "=", 
      RowBox[{
       FractionBox[
        RowBox[{"p1", "*", "V1"}], "p"], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pl1", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"Vizoterma1", ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p", ",", "p1", ",", "p2"}], "}"}], "//.", "vys"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", "plRange"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<p [Pa]\>\"", ",", 
           "\"\<V [\!\(\*SuperscriptBox[\(m\), \(3\)]\)]\>\""}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "plStyle"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Vadiabata1", "=", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{"p2", "*", 
           SuperscriptBox["V2", "\[Kappa]"]}], "p"], ")"}], 
        FractionBox["1", "\[Kappa]"]], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pl2", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"Vadiabata1", ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p", ",", "p2", ",", "p3"}], "}"}], "//.", "vys"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", "plRange"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<p [Pa]\>\"", ",", 
           "\"\<V [\!\(\*SuperscriptBox[\(m\), \(3\)]\)]\>\""}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "plStyle"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Vizoterma2", "=", 
      RowBox[{
       FractionBox[
        RowBox[{"p3", "*", "V3"}], "p"], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pl3", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"Vizoterma2", ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p", ",", "p3", ",", "p4"}], "}"}], "//.", "vys"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", "plRange"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<p [Pa]\>\"", ",", 
           "\"\<V [\!\(\*SuperscriptBox[\(m\), \(3\)]\)]\>\""}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "plStyle"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Vadiabata2", "=", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{"p4", "*", 
           SuperscriptBox["V4", "\[Kappa]"]}], "p"], ")"}], 
        FractionBox["1", "\[Kappa]"]], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pl4", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{"Vadiabata2", ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p", ",", "p4", ",", "p1"}], "}"}], "//.", "vys"}], "]"}], 
        ",", 
        RowBox[{"PlotRange", "\[Rule]", "plRange"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
          "\"\<p [Pa]\>\"", ",", 
           "\"\<V [\!\(\*SuperscriptBox[\(m\), \(3\)]\)]\>\""}], "}"}]}], ",", 
        RowBox[{"AspectRatio", "\[Rule]", "ar"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "plStyle"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"body", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "0", "]"}], ",", 
           RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
           RowBox[{"Point", "[", "#", "]"}]}], "}"}], "]"}], "&"}], "/@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"p1", ",", "V1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"p2", ",", "V2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"p3", ",", "V3"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"p4", ",", "V4"}], "}"}]}], "}"}], "//.", "vys"}], 
        ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Q1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "p1"}], "*", "V1", "*", 
        RowBox[{"Log", "[", 
         FractionBox["V2", "V1"], "]"}]}], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Q2", "=", 
      RowBox[{
       RowBox[{"p3", "*", "V3", "*", 
        RowBox[{"Log", "[", 
         FractionBox["V4", "V3"], "]"}]}], "//.", "vys"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"teploPrivedene", "=", "Q2"}], ";", "\[IndentingNewLine]", 
     RowBox[{"teploOdvedene", "=", "Q1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"prace", "=", 
      RowBox[{"teploPrivedene", "-", "teploOdvedene"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ucinnost", "=", 
      FractionBox["prace", "teploPrivedene"]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"pl1", ",", "pl2", ",", "pl3", ",", "pl4", ",", "body", ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                "teploPrivedene", ",", "teploOdvedene", ",", "prace", ",", 
                 "ucinnost"}], "}"}], "}"}], "]"}], "//", 
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{"#", ",", 
                RowBox[{"Alignment", "\[Rule]", 
                 RowBox[{"{", "Left", "}"}]}]}], "]"}], "&"}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"3.1", " ", 
               SuperscriptBox["10", "6"]}], ",", "0.0008"}], "}"}]}], "]"}], 
          ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"{", 
               RowBox[{"{", 
                RowBox[{
                "\"\<teploPrivedene [J] =\>\"", ",", 
                 "\"\<teploOdvedene [J] =\>\"", ",", "\"\<prace [J] =\>\"", 
                 ",", "\"\<ucinnost [-] =\>\""}], "}"}], "}"}], "]"}], "//", 
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{"#", ",", 
                RowBox[{"Alignment", "\[Rule]", 
                 RowBox[{"{", "Right", "}"}]}]}], "]"}], "&"}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"2.02", " ", 
               SuperscriptBox["10", "6"]}], ",", "0.0008"}], "}"}]}], "]"}]}],
          "}"}], "]"}], ",", 
       RowBox[{"GridLines", "\[Rule]", "None"}]}], "]"}]}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"T2", ",", 
      RowBox[{"300", "+", "273"}], ",", 
      RowBox[{"600", "+", "273"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"kV", ",", "0.05", ",", "0.12"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4799207227831793`*^9, 3.4799207569923697`*^9}, {
   3.4799208118712816`*^9, 3.4799210130806065`*^9}, {3.479921047049451*^9, 
   3.479921197796214*^9}, {3.4799212686881523`*^9, 3.479921357115304*^9}, {
   3.4799216974246445`*^9, 3.4799217871937265`*^9}, {3.4799218609197392`*^9, 
   3.479921866778163*^9}, {3.479921900446576*^9, 3.479921914767168*^9}, {
   3.479922111900632*^9, 3.4799223532176285`*^9}, {3.479958526295264*^9, 
   3.479958696950654*^9}, {3.479958734204222*^9, 3.479958736227131*^9}, {
   3.4799587910159135`*^9, 3.4799588098930573`*^9}, 3.4799935602139997`*^9, {
   3.479993669924*^9, 3.47999372679*^9}, {3.479993757625*^9, 
   3.4799937588450003`*^9}, {3.4799938214969997`*^9, 3.479993926428*^9}, {
   3.479993968587*^9, 3.479993996365*^9}, {3.4799940695150003`*^9, 
   3.4799941097530003`*^9}, 3.479994150593*^9, {3.479994212834*^9, 
   3.4799942528190002`*^9}, 3.4799943369440002`*^9}]
},
WindowSize->{1631, 1098},
WindowMargins->{{22, Automatic}, {-2, Automatic}},
ShowSelection->True,
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 166, 3, 46, "Input"],
Cell[714, 25, 11583, 299, 1657, "Input"]
}
]
*)

(* End of internal cache information *)
