(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7961,        254]
NotebookOptionsPosition[      7508,        235]
NotebookOutlinePosition[      7895,        252]
CellTagsIndexPosition[      7852,        249]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<obspkg\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.479615672875*^9, 3.479615686671875*^9}, {
  3.479615722875*^9, 3.479615738375*^9}, {3.514168549546875*^9, 
  3.5141685570625*^9}}],

Cell[BoxData[{
 RowBox[{"<<", "Graphics`Arrow`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`ImplicitPlot`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`Legend`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`PlotField`"}]}], "Input",
 CellChangeTimes->{{3.514168534125*^9, 3.514168535953125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "vyr", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vyr", "[", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], "]"}], "=", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     RowBox[{"0.7", 
      SuperscriptBox["y", "2"]}], "+", 
     RowBox[{"0.8", 
      SuperscriptBox["x", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"vyr", "[", 
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_"}], "}"}], "]"}], "=", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"0.7", 
       SuperscriptBox["y", "2"]}], "+", 
      RowBox[{"0.8", 
       SuperscriptBox["x", "3"]}]}]}], ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmin", "=", 
   RowBox[{"-", "1.5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ymin", "=", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ymax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl1", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"vyr", "[", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
    RowBox[{"ViewPoint", "->", 
     RowBox[{"{", 
      RowBox[{"0.963", ",", " ", "2.818", ",", " ", "1.659"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x \>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{3.479615656734375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nx", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ny", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zmin", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zmax", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nz", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "//", "N"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "xmin", ",", "xmax", ",", 
        FractionBox[
         RowBox[{"xmax", "-", "xmin"}], 
         RowBox[{"nx", "-", "1"}]]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", "ymin", ",", "ymax", ",", 
        FractionBox[
         RowBox[{"ymax", "-", "ymin"}], 
         RowBox[{"ny", "-", "1"}]]}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"implot", "[", "z_", "]"}], ":=", 
   RowBox[{"ImplicitPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"vyr", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "]"}], "\[Equal]", "z"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.6", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "xmin"}], ",", 
          RowBox[{"k", "*", "xmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "ymin"}], ",", 
          RowBox[{"k", "*", "ymax"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"implot", "[", "z", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "zmin", ",", "zmax", ",", 
       FractionBox[
        RowBox[{"zmax", "-", "zmin"}], 
        RowBox[{"nz", "-", "1"}]]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sh", "[", "a___", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{"a", ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], "]"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"grad", "[", "bod_", "]"}], ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "x"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "y"}], "]"}]}], "}"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "\[Rule]", 
       RowBox[{"bod", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"y", "\[Rule]", 
       RowBox[{"bod", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sipkagrad", "[", 
    RowBox[{"bod_List", ",", "mer_"}], "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"bod", ",", 
        RowBox[{"bod", "+", 
         RowBox[{"mer", "*", 
          RowBox[{"grad", "[", "bod", "]"}]}]}], ",", 
        RowBox[{"HeadScaling", "\[Rule]", "Relative"}]}], "]"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sipky", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sipkagrad", "[", 
       RowBox[{"#", ",", "0.3"}], "]"}], "&"}], ")"}], "/@", "body"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sh", "[", 
  RowBox[{"grar", ",", "sipky"}], "]"}]}], "Input",
 CellChangeTimes->{3.47961564021875*^9}]
},
WindowSize->{1054, 740},
WindowMargins->{{10, Automatic}, {Automatic, 5}},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 271, 6, 35, "Input"],
Cell[819, 28, 437, 9, 124, "Input"],
Cell[1259, 39, 1770, 54, 235, "Input"],
Cell[3032, 95, 2881, 85, 317, "Input"],
Cell[5916, 182, 1588, 51, 124, "Input"]
}
]
*)

(* End of internal cache information *)
