(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     22268,        678]
NotebookOptionsPosition[     21312,        646]
NotebookOutlinePosition[     21716,        663]
CellTagsIndexPosition[     21673,        660]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.51115426253125*^9, 3.511154309765625*^9}, 
   3.511154379375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1.", ",", "12.1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2.", ",", "18.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3.", ",", "30.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4.", ",", "48.4"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"body", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", " ", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"poly", "[", "x_", "]"}], ":=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "0"}], "3"], 
    RowBox[{
     SubscriptBox["a", "i"], "*", 
     SuperscriptBox["x", "i"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcei", "[", "i_", "]"}], ":=", 
  RowBox[{
   RowBox[{"poly", "[", 
    RowBox[{"body", "[", 
     RowBox[{"[", 
      RowBox[{"i", ",", "1"}], "]"}], "]"}], "]"}], "==", 
   RowBox[{"body", "[", 
    RowBox[{"[", 
     RowBox[{"i", ",", "2"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"rcei", "[", "i", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosadAcka", "=", 
  RowBox[{
   RowBox[{"Solve", "[", "rce", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysledek", "=", 
   RowBox[{
    RowBox[{"poly", "[", "x", "]"}], "/.", "dosadAcka"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"vysledek", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", " ", 
        RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"pl1", ",", "pl2"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.511152854265625*^9, {3.51115311171875*^9, 3.511153115703125*^9}, 
   3.51115333878125*^9, {3.5111533895*^9, 3.51115346215625*^9}, {
   3.511153497453125*^9, 3.51115354225*^9}, {3.51115363621875*^9, 
   3.5111536403125*^9}, {3.5111536715625*^9, 3.51115371734375*^9}, {
   3.511153749671875*^9, 3.511153810453125*^9}, {3.511153846546875*^9, 
   3.511153932046875*^9}, 3.51115400034375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"intOrder", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"int", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"body", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "intOrder"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"int", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", " ", 
        RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grafiik", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"pl1", ",", "pl3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<graf.png\>\"", ",", "grafiik", ",", 
    RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.51115403203125*^9, 3.5111540746875*^9}, {
   3.51115414259375*^9, 3.511154188328125*^9}, 3.51115422721875*^9, {
   3.511154390453125*^9, 3.511154393328125*^9}, {3.51115443421875*^9, 
   3.511154473109375*^9}, {3.511154595359375*^9, 3.511154598140625*^9}, {
   3.511154662734375*^9, 3.511154703609375*^9}, {3.511154830171875*^9, 
   3.511154866296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fOskliva", "[", "x_", "]"}], ":=", 
   RowBox[{"x", "+", 
    SqrtBox[
     RowBox[{"1", "+", 
      SuperscriptBox[
       RowBox[{"Sin", "[", 
        RowBox[{"2", "x"}], "]"}], "2"]}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"fOskliva", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"reseni", "[", "y_", "]"}], ":=", 
   RowBox[{"x", "/.", 
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"fOskliva", "[", "x", "]"}], "\[Equal]", "y"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "1000"}], "}"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.511154928703125*^9, {3.511155054015625*^9, 3.511155154921875*^9}, {
   3.511155194015625*^9, 3.511155214890625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vys", "=", 
   RowBox[{"Timing", "[", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"reseni", "[", "y", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
      RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<y\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", " ", 
         RowBox[{"Thickness", "[", "0.006", "]"}]}], "}"}]}]}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<trvalo to \>\"", ",", 
   RowBox[{"vys", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< s\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.511155263421875*^9, 3.511155265703125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"reseni", "[", "y", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "3"}], ",", "3", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahr", "=", 
   RowBox[{"Interpolation", "[", "body", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vys2", "=", 
   RowBox[{"Timing", "[", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"nahr", "[", "y", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
      RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<y\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Black", ",", " ", 
         RowBox[{"Thickness", "[", "0.006", "]"}]}], "}"}]}]}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<trvalo to \>\"", ",", 
   RowBox[{"vys2", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\< s\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.51115538371875*^9, 3.511155384*^9}, {
  3.511155480234375*^9, 3.51115554065625*^9}, {3.51115560196875*^9, 
  3.511155602390625*^9}}],

Cell[BoxData[
 RowBox[{"invbody", "//", "Length"}]], "Input",
 CellChangeTimes->{{3.5111557753125*^9, 3.51115577940625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"invbody", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"fOskliva", "[", "x", "]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5."}], ",", "5", ",", "0.01"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"interpInv", "=", 
  RowBox[{"Interpolation", "[", "invbody", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"interpInv", "[", "y", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
   RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<y\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Black", ",", " ", 
      RowBox[{"Thickness", "[", "0.006", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.51115576578125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"velikostChyby", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chyba", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "velikostChyby"}], ",", "velikostChyby"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nepresnaData", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"vysledek", "+", "chyba"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3", ",", "0.2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl4", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"nepresnaData", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", " ", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.511156828609375*^9, 3.511156849984375*^9}, {
   3.511156913609375*^9, 3.511156953734375*^9}, {3.51115704871875*^9, 
   3.5111571028125*^9}, 3.511157139515625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f1", "[", "x_", "]"}], ":=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f2", "[", "x_", "]"}], ":=", "x"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f3", "[", "x_", "]"}], ":=", 
   SuperscriptBox["x", "2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f4", "[", "x_", "]"}], ":=", 
   SuperscriptBox["x", "3"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nahradaObecne", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a1", "*", 
     RowBox[{"f1", "[", "x", "]"}]}], "+", 
    RowBox[{"a2", "*", 
     RowBox[{"f2", "[", "x", "]"}]}], "+", 
    RowBox[{"a3", "*", 
     RowBox[{"f3", "[", "x", "]"}]}], "+", 
    RowBox[{"a4", "*", 
     RowBox[{"f4", "[", "x", "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.511157321328125*^9, 3.51115743390625*^9}, {
  3.511157714734375*^9, 3.511157726703125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ndat", "=", 
   RowBox[{"Length", "[", "nepresnaData", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"err", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"y", "-", 
      RowBox[{"nahradaObecne", "[", "x", "]"}]}], ")"}], "2"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chybaCelkem", "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "ndat"], 
    RowBox[{"err", "[", 
     RowBox[{"nepresnaData", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"chybaCelkem", ",", "a1"}], "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"chybaCelkem", ",", "a2"}], "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r3", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"chybaCelkem", ",", "a3"}], "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r4", "=", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"chybaCelkem", ",", "a4"}], "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosa", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"{", 
      RowBox[{"r1", ",", "r2", ",", "r3", ",", "r4"}], "}"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
   RowBox[{"\"\<proklad je: \>\"", 
    RowBox[{"nahradaObecne", "[", "x", "]"}]}], "/.", "dosa"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nahradaObecne", "[", "x", "]"}], "/.", "dosa"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Black", ",", " ", 
        RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"pl4", ",", "pl5"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.51115772925*^9, 3.51115780828125*^9}, {
  3.51115786853125*^9, 3.511157912515625*^9}, {3.511157990171875*^9, 
  3.511158157453125*^9}}],

Cell[BoxData[{
 RowBox[{"Fit", "[", 
  RowBox[{"nepresnaData", ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "x", ",", 
     SuperscriptBox["x", "2"], ",", 
     SuperscriptBox["x", "3"]}], "}"}], ",", "x"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahradaObecne", "[", "x", "]"}], "/.", "dosa"}]}], "Input",
 CellChangeTimes->{{3.5111582590625*^9, 3.511158283984375*^9}, {
  3.5111583356875*^9, 3.511158372890625*^9}, {3.51115841609375*^9, 
  3.511158421*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Ukazka", " ", "idealizovane", " ", "charakteristiky", " ", "diody"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "iD", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"iD", "[", "uD_", "]"}], ":=", 
     RowBox[{
      SuperscriptBox["10", 
       RowBox[{"-", "7"}]], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{"19", "*", "uD"}], "]"}], "-", "1"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"iD", "[", "uD", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"uD", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "0.1"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}]}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"iD", "[", "uD", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"uD", ",", 
        RowBox[{"-", "1"}], ",", "0.1"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}]}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.51115893534375*^9, 3.51115893775*^9}, {
  3.5111595221875*^9, 3.511159526265625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SeedRandom", "[", "1", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"velikostChyby", "=", "0.00"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chyba", ":=", 
   RowBox[{"Random", "[", 
    RowBox[{"Real", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "velikostChyby"}], ",", "velikostChyby"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataDioda", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"uD", "+", "chyba"}], ",", 
       RowBox[{"iD", "[", "uD", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"uD", ",", 
       RowBox[{"-", "1"}], ",", ".9", ",", "0.05"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nDatDioda", "=", 
   RowBox[{"Length", "[", "dataDioda", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nahrDiodaObecne", "[", "uD_", "]"}], ":=", 
   RowBox[{"k1", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{"k2", "*", "uD"}], "]"}], "-", "1"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"errDioda", "[", 
    RowBox[{"{", 
     RowBox[{"uD_", ",", "iD_"}], "}"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"iD", "-", 
      RowBox[{"nahrDiodaObecne", "[", "uD", "]"}]}], ")"}], "2"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"chybaDiodaCelkem", "=", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "1"}], "nDatDioda"], 
    RowBox[{"errDioda", "[", 
     RowBox[{"dataDioda", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"min", "=", 
   RowBox[{"FindMinimum", "[", 
    RowBox[{"chybaDiodaCelkem", ",", 
     RowBox[{"{", 
      RowBox[{"k1", ",", "0.01"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k2", ",", "30"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl7", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dataDioda", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", " ", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"nahrDiodaObecne", "[", "uD", "]"}], "/.", 
      RowBox[{"min", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"uD", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "3"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<uD[V]\>\"", ",", "\"\<iD[A]\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{"pl7", ",", "pl8"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.5111589610625*^9, 3.51115905028125*^9}, {
   3.511159166265625*^9, 3.511159274515625*^9}, {3.511159327375*^9, 
   3.5111593671875*^9}, 3.51115947628125*^9, {3.511159507875*^9, 
   3.511159550953125*^9}, {3.511159644390625*^9, 3.51115966321875*^9}, {
   3.51115972246875*^9, 3.511159733734375*^9}, {3.511159769*^9, 
   3.51115977228125*^9}, {3.5111598139375*^9, 3.5111599448125*^9}, {
   3.51115997596875*^9, 3.511160087328125*^9}, 3.511160298984375*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindFit", "[", 
  RowBox[{"dataDioda", ",", 
   RowBox[{"k1", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Exp", "[", 
       RowBox[{"k2", "*", "uD"}], "]"}], "-", "1"}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"k1", ",", "k2"}], "}"}], ",", "uD"}], "]"}]], "Input",
 CellChangeTimes->{{3.511160003015625*^9, 3.51116001040625*^9}, {
  3.51116012221875*^9, 3.511160126703125*^9}, {3.511160227890625*^9, 
  3.511160289515625*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"k1", "\[Rule]", "1.000000000000044`*^-7"}], ",", 
   RowBox[{"k2", "\[Rule]", "18.999999999999947`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.51116029134375*^9, 3.51116030221875*^9}}]
}, Open  ]]
},
WindowSize->{1043, 662},
WindowMargins->{{25, Automatic}, {-26, Automatic}},
ShowSelection->True,
Magnification->2.1000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 252, 7, 98, "Input"],
Cell[800, 29, 2863, 85, 492, "Input"],
Cell[3666, 116, 1500, 38, 320, "Input"],
Cell[5169, 156, 946, 30, 154, "Input"],
Cell[6118, 188, 948, 24, 172, "Input"],
Cell[7069, 214, 1502, 42, 320, "Input"],
Cell[8574, 258, 124, 2, 60, "Input"],
Cell[8701, 262, 1058, 29, 209, "Input"],
Cell[9762, 293, 1249, 36, 246, "Input"],
Cell[11014, 331, 952, 28, 248, "Input"],
Cell[11969, 361, 2625, 82, 668, "Input"],
Cell[14597, 445, 475, 12, 129, "Input"],
Cell[15075, 459, 1773, 52, 321, "Input"],
Cell[16851, 513, 3714, 107, 668, "Input"],
Cell[CellGroupData[{
Cell[20590, 624, 465, 12, 125, "Input"],
Cell[21058, 638, 238, 5, 91, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
