(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7536,        241]
NotebookOptionsPosition[      6766,        214]
NotebookOutlinePosition[      7167,        231]
CellTagsIndexPosition[      7124,        228]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"FindMinimum", "::", "\"\<lstol\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.482723178765625*^9, 3.48272319296875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"koeficientyNakladu", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"100", ",", "0.1", ",", "0.01"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "0.15", ",", "0.015"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"150", ",", "0.08", ",", "0.006"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"minMaxVykony", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"100", ",", "400"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"200", ",", "1000"}], "}"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.482721896609375*^9, 3.482722028265625*^9}, {
  3.4827221586875*^9, 3.48272216184375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fNaklady", "[", 
     RowBox[{"vykon_", ",", 
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}]}], "]"}], ":=", 
    RowBox[{"a", "+", 
     RowBox[{"b", "*", "vykon"}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["vykon", "2"]}]}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.4827220563125*^9, 3.48272210728125*^9}, 
   3.482722374828125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vykony", "=", 
   RowBox[{
    RowBox[{
     SubscriptBox["P", "#"], "&"}], "/@", 
    RowBox[{"Range", "[", "n", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"naklady", "=", 
  RowBox[{"Plus", "@@", 
   RowBox[{"MapThread", "[", 
    RowBox[{"fNaklady", ",", 
     RowBox[{"{", 
      RowBox[{"vykony", ",", "koeficientyNakladu"}], "}"}]}], 
    "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.482722143171875*^9, 3.4827222275*^9}, {
  3.4827222604375*^9, 3.482722288109375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fOmezeniVykonova", "[", 
    RowBox[{"vykon_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
   RowBox[{"a", "\[LessEqual]", "vykon", "\[LessEqual]", "b"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"omezeniVykonova", "=", 
  RowBox[{"MapThread", "[", 
   RowBox[{"fOmezeniVykonova", ",", 
    RowBox[{"{", 
     RowBox[{"vykony", ",", "minMaxVykony"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.482722307515625*^9, 3.482722428515625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vykonCelkemZadany", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"podminkaCelkovehoVykonu", "=", 
  RowBox[{"{", 
   RowBox[{"vykonCelkemZadany", "\[Equal]", 
    RowBox[{"Plus", "@@", "vykony"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.48272243684375*^9, 3.4827225184375*^9}}],

Cell[BoxData[
 RowBox[{"podminkyCelkem", "=", 
  RowBox[{"Union", "[", 
   RowBox[{"omezeniVykonova", ",", "podminkaCelkovehoVykonu"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.48272249915625*^9, 3.482722511546875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"NMinimize", "[", 
   RowBox[{
    RowBox[{"Join", "[", 
     RowBox[{
      RowBox[{"{", "naklady", "}"}], ",", "podminkyCelkem"}], "]"}], ",", 
    "vykony"}], "]"}], "//", "Timing"}]], "Input",
 CellChangeTimes->{{3.48272252496875*^9, 3.48272253121875*^9}, {
  3.482722567046875*^9, 3.4827226198125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"strmost", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ClearAll", "[", "fPenale", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fPenale", "[", 
    RowBox[{"x_", ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{"strmost", "*", 
      RowBox[{"(", 
       RowBox[{"a", "-", "x"}], ")"}]}], "]"}], "+", 
    RowBox[{"Exp", "[", 
     RowBox[{"strmost", "*", 
      RowBox[{"(", 
       RowBox[{"x", "-", "b"}], ")"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"fPenale", "[", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"20", ",", "40"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "10", ",", "50"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<penale\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.48272264384375*^9, 3.4827228303125*^9}, {
  3.482722863921875*^9, 3.4827229426875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"penaleCelkovyVykon", "=", 
   RowBox[{"100", "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"vykonCelkemZadany", "-", 
       RowBox[{"Plus", "@@", "vykony"}]}], ")"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"penaleVykonovaOmezeni", "=", 
  RowBox[{"Plus", "@@", 
   RowBox[{"MapThread", "[", 
    RowBox[{"fPenale", ",", 
     RowBox[{"{", 
      RowBox[{"vykony", ",", "minMaxVykony"}], "}"}]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.4827229463125*^9, 3.482722990765625*^9}}],

Cell[BoxData[
 RowBox[{"FminNeomezena", "=", 
  RowBox[{
  "naklady", "+", "penaleCelkovyVykon", "+", 
   "penaleVykonovaOmezeni"}]}]], "Input",
 CellChangeTimes->{{3.4827229224375*^9, 3.482722933375*^9}, {
  3.48272299521875*^9, 3.482723005546875*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.48272300959375*^9, 3.4827230209375*^9}, 
   3.482723131203125*^9}],

Cell[BoxData[{
 RowBox[{"startHledani", "=", 
  RowBox[{"minMaxVykony", "/.", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
    FractionBox[
     RowBox[{"a", "+", "b"}], "2."]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"zacatek", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{"{", 
    RowBox[{"vykony", ",", "startHledani"}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FindMinimum", "[", 
   RowBox[{"FminNeomezena", ",", "zacatek"}], "]"}], "//", 
  "Timing"}]}], "Input",
 CellChangeTimes->{{3.48272305875*^9, 3.482723137953125*^9}, {
  3.482723198515625*^9, 3.482723200234375*^9}}]
},
WindowSize->{1012, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 167, 3, 43, "Input"],
Cell[715, 25, 850, 25, 98, "Input"],
Cell[1568, 52, 456, 14, 73, "Input"],
Cell[2027, 68, 518, 15, 71, "Input"],
Cell[2548, 85, 534, 14, 71, "Input"],
Cell[3085, 101, 326, 7, 71, "Input"],
Cell[3414, 110, 223, 5, 43, "Input"],
Cell[3640, 117, 341, 9, 43, "Input"],
Cell[3984, 128, 1208, 35, 179, "Input"],
Cell[5195, 165, 545, 15, 73, "Input"],
Cell[5743, 182, 253, 6, 43, "Input"],
Cell[5999, 190, 115, 2, 43, "Input"],
Cell[6117, 194, 645, 18, 125, "Input"]
}
]
*)

(* End of internal cache information *)
