(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      8489,        279]
NotebookOptionsPosition[      7951,        258]
NotebookOutlinePosition[      8339,        275]
CellTagsIndexPosition[      8296,        272]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ls", "\[Rule]", "0.06"}], ",", 
       RowBox[{"Lv", "\[Rule]", "0.03"}], ",", 
       RowBox[{"rb", "\[Rule]", "21000"}], ",", 
       RowBox[{"rv", "\[Rule]", "21000"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nF", "=", 
     SuperscriptBox["10", 
      RowBox[{"-", "9"}]]}], ";"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"par", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      RowBox[{"a", "+", "b"}], 
      RowBox[{"a", "*", "b"}]], ")"}], 
    RowBox[{"-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ser", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
   RowBox[{"a", "+", "b"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zb", "=", 
   RowBox[{"par", "[", 
    RowBox[{"rb", ",", 
     FractionBox["1", 
      RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Cb"}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zv", "=", 
   RowBox[{"par", "[", 
    RowBox[{"rv", ",", 
     RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Lv"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zs", "=", 
   RowBox[{"par", "[", 
    RowBox[{
     RowBox[{"ser", "[", 
      RowBox[{"rsL", ",", 
       RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Ls"}]}], "]"}], ",", 
     RowBox[{"ser", "[", 
      RowBox[{"rsC", ",", 
       FractionBox["1", 
        RowBox[{"I", "*", "2", "*", "Pi", "*", "f", "*", "Cs"}]]}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ClearAll", "[", "prenos", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"prenos", "[", "f_", "]"}], "=", 
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "[", 
        FractionBox["zb", 
         RowBox[{"zv", "+", "zs", "+", "zb"}]], "]"}], ",", 
       RowBox[{"Abs", "[", 
        FractionBox["zs", 
         RowBox[{"zv", "+", "zs", "+", "zb"}]], "]"}], ",", 
       RowBox[{"Abs", "[", 
        FractionBox["zv", 
         RowBox[{"zv", "+", "zs", "+", "zb"}]], "]"}], ",", "1"}], "}"}], "/.",
      "dos"}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"z", "=", "1.12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a0", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pow", "=", "1.75"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fbb", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fs1", "=", "650"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fs2", "=", "4300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fvv", "=", "5500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fmax", "=", "20000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resk", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"a0", "*", 
        SuperscriptBox["z", 
         RowBox[{"n", "*", "k"}]]}], "\[Equal]", "fmax"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "//", "N"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vyr", "[", "i_", "]"}], "=", 
   RowBox[{
    RowBox[{"a0", "*", 
     SuperscriptBox["z", 
      RowBox[{"i", "*", "k"}]]}], "/.", "resk"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fb", "[", "f_", "]"}], "=", 
   RowBox[{"UnitStep", "[", 
    RowBox[{"fbb", "-", "f"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fs", "[", "f_", "]"}], "=", 
   RowBox[{
    RowBox[{"UnitStep", "[", 
     RowBox[{"fs2", "-", "f"}], "]"}], "-", 
    RowBox[{"UnitStep", "[", 
     RowBox[{"fs1", "-", "f"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fv", "[", "f_", "]"}], "=", 
   RowBox[{"UnitStep", "[", 
    RowBox[{"f", "-", "fvv"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"fb", "[", "f", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"f", ",", "0", ",", "fmax"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{3.51416924540625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fitbod", "[", "f_", "]"}], "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prenos", "[", "f", "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "-", 
       RowBox[{"fb", "[", "f", "]"}]}], "]"}], "pow"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prenos", "[", "f", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "-", 
       RowBox[{"fs", "[", "f", "]"}]}], "]"}], "pow"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"prenos", "[", "f", "]"}], "[", 
        RowBox[{"[", "3", "]"}], "]"}], "-", 
       RowBox[{"fv", "[", "f", "]"}]}], "]"}], "pow"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fitnes", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"fitbod", "[", 
      RowBox[{"vyr", "[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"optimal", "=", 
   RowBox[{
    RowBox[{"FindMinimum", "[", 
     RowBox[{"fitnes", ",", 
      RowBox[{"{", 
       RowBox[{"Cs", ",", 
        RowBox[{"50", "nF"}], ",", 
        RowBox[{"100", "nF"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rsC", ",", "200", ",", "800"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"rsL", ",", "500", ",", "1500"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Cb", ",", 
        RowBox[{"100", "nF"}], ",", 
        RowBox[{"400", "nF"}]}], "}"}], ",", 
      RowBox[{"MaxIterations", "\[Rule]", 
       SuperscriptBox["10", "4"]}]}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosopt", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"dos", ",", "optimal"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.514169207015625*^9, 3.514169214609375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"plotstyle", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Thick", ",", "#"}], "}"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LogLogPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Take", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"prenos", "[", "f", "]"}], "/.", "dosopt"}], ",", "3"}], "]"}],
     "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "20", ",", "40000"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "plotstyle"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<f [Hz]\>\"", ",", "\"\<Prenosy\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.514169003078125*^9, 3.5141690250625*^9}, {
  3.514169065421875*^9, 3.51416917928125*^9}}]
},
WindowSize->{1015, 633},
WindowMargins->{{-2, Automatic}, {Automatic, 11}},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 475, 15, 81, "Input"],
Cell[1023, 37, 1876, 59, 240, "Input"],
Cell[2902, 98, 1173, 36, 259, "Input"],
Cell[4078, 136, 814, 25, 102, "Input"],
Cell[4895, 163, 1072, 34, 80, "Input"],
Cell[5970, 199, 923, 26, 107, "Input"],
Cell[6896, 227, 1051, 29, 102, "Input"]
}
]
*)

(* End of internal cache information *)

