(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12851,        400]
NotebookOptionsPosition[     12079,        374]
NotebookOutlinePosition[     12459,        390]
CellTagsIndexPosition[     12416,        387]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "->", "1000."}], ",", 
     RowBox[{"\[Mu]F", "\[Rule]", 
      RowBox[{"1.", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}]}], ",", 
     RowBox[{"mH", "\[Rule]", "0.001"}], ",", 
     RowBox[{"R1", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R2", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R3", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R4", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R5", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R6", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R7", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R8", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"10", "\[Mu]F"}]}], ",", 
     RowBox[{"c2", "\[Rule]", 
      RowBox[{"470", "\[Mu]F"}]}], ",", 
     RowBox[{"L1", "\[Rule]", 
      RowBox[{"500", "mH"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4776685828244*^9, 3.4776687282307997`*^9}, 
   3.4776692190224*^9, {3.4776702506036*^9, 3.4776702519764*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu1", "=", "iz"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu1", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"u1", "[", "t", "]"}], "R1"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R3"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R5"], "+", 
    RowBox[{"c1", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u1", "[", "0", "]"}], "-", 
      RowBox[{"u5", "[", "0", "]"}]}], "\[Equal]", "uc10"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel1", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu1", "==", "vystupujeZUzlu1"}], "}"}], ",", 
    "pocUzel1"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776687493688*^9, 3.4776689447432003`*^9}, {
  3.4776695432528*^9, 3.4776695439547997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vystupujeZUzlu2", "=", 
   FractionBox[
    RowBox[{"u2", "[", "t", "]"}], "R2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vstupujeDoUzlu2", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R3"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u3", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R4"], "+", 
    RowBox[{"iL1", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"iL1", "[", "0", "]"}], "\[Equal]", "iL10"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel2", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vystupujeZUzlu2", "\[Equal]", "vstupujeDoUzlu2"}], "}"}], ",", 
    "pocUzel2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u3", "[", "t", "]"}], "-", 
       RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L1", "*", 
       RowBox[{
        RowBox[{"iL1", "'"}], "[", "t", "]"}]}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776690300908003`*^9, 3.4776692366504*^9}, 
   3.477670489424*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu3", "=", 
   RowBox[{"iuz", "[", "t", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu3", "=", 
   RowBox[{
    RowBox[{"iL1", "[", "t", "]"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u3", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R4"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel3", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu3", "\[Equal]", "vystupujeZUzlu3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u4", "[", "t", "]"}], "-", 
       RowBox[{"u3", "[", "t", "]"}]}], "\[Equal]", "uz"}], "}"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.477669310844*^9, 3.4776693284252*^9}, {
  3.4776694196851997`*^9, 3.4776695589152*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu4", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu4", "=", 
   RowBox[{
    RowBox[{"iuz", "[", "t", "]"}], "+", 
    FractionBox[
     RowBox[{"u4", "[", "t", "]"}], "R6"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u4", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R7"], "+", 
    RowBox[{"c2", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u4", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u4", "[", "0", "]"}], "-", 
      RowBox[{"u5", "[", "0", "]"}]}], "\[Equal]", "uc20"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel4", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu4", "\[Equal]", "vystupujeZUzlu4"}], "}"}], ",", 
    "pocUzel4"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776696730448*^9, 3.4776697049624*^9}, {
  3.4776697865348*^9, 3.4776699279175997`*^9}, {3.47767128791*^9, 
  3.4776712885808*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu5", "=", 
   RowBox[{
    RowBox[{"c1", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R5"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u4", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R7"], "+", 
    RowBox[{"c2", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u4", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu5", "=", 
   RowBox[{"ivyst", "+", 
    FractionBox[
     RowBox[{"u5", "[", "t", "]"}], "R8"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel5", "=", 
  RowBox[{"Union", "[", 
   RowBox[{"{", 
    RowBox[{"vstupujeDoUzlu5", "\[Equal]", "vystupujeZUzlu5"}], "}"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776700018148003`*^9, 3.4776701529476*^9}, {
  3.4776712257908*^9, 3.4776712263992*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rDohr", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
    "rUzel1", ",", "rUzel2", ",", "rUzel3", ",", "rUzel4", ",", "rUzel5"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"rDohr", "//.", "dos"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", "50."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosVstupy", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ivyst", "\[Rule]", "0"}], ",", 
     RowBox[{"iL10", "\[Rule]", "0"}], ",", 
     RowBox[{"uc10", "\[Rule]", "0"}], ",", 
     RowBox[{"uc20", "\[Rule]", "0"}], ",", 
     RowBox[{"uz", "\[Rule]", 
      RowBox[{"0", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"f", "*", "2", "*", "Pi", "*", "t"}], "+", "0.4"}], 
        "]"}]}]}], ",", 
     RowBox[{"iz", "\[Rule]", 
      RowBox[{".0", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"f", "*", "2", "*", "Pi", "*", "t"}], "-", "0.51"}], 
        "]"}]}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox["1", "f"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "T"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4776701670188*^9, 3.477670228046*^9}, {
   3.4776702770456*^9, 3.4776703119116*^9}, {3.4776703651076*^9, 
   3.4776704590508003`*^9}, {3.4776705624788*^9, 3.4776705952855997`*^9}, {
   3.4776709883900003`*^9, 3.4776710093408003`*^9}, 3.4776738156226*^9, 
   3.4776741089337997`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cases", "[", 
   RowBox[{
    RowBox[{"r2", "=", 
     RowBox[{"r1", "/.", "dosVstupy"}]}], ",", "_Symbol", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Infinity"}], "}"}]}], "]"}], "//", "Union"}]], "Input",
 CellChangeTimes->{{3.4776703232216*^9, 3.4776703539379997`*^9}, {
  3.4776704639960003`*^9, 3.477670466804*^9}, {3.4776705433844*^9, 
  3.4776705446168003`*^9}, {3.4776710114779997`*^9, 3.4776710126792*^9}}],

Cell[BoxData[
 RowBox[{"neznameVCasoveOblasti", "=", 
  RowBox[{"Union", "@", 
   RowBox[{"Cases", "[", 
    RowBox[{"r2", ",", 
     RowBox[{"_Symbol", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4776706474832*^9, 3.477670685672*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"res", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"r2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"u5", "[", "0", "]"}], "\[Equal]", "0"}], "}"}]}], "]"}], 
     ",", "neznameVCasoveOblasti", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.477706948546875*^9, 3.477706990234375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ders", "=", 
    RowBox[{"Union", "@", 
     RowBox[{"Cases", "[", 
      RowBox[{"r2", ",", 
       RowBox[{
        RowBox[{"_", "'"}], "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "Infinity"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"pders", "=", 
    RowBox[{"ders", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"x_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
      RowBox[{"x", "[", "t", "]"}]}]}]}], "\[IndentingNewLine]", 
   RowBox[{"bezxers", "=", 
    RowBox[{"Complement", "[", 
     RowBox[{"neznameVCasoveOblasti", ",", "pders"}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.4776710282948*^9, 3.4776710288876*^9}, {
  3.477671411852*^9, 3.4776714345344*^9}, {3.4776715978352003`*^9, 
  3.4776716399708*^9}, {3.4776745196661997`*^9, 3.4776745602262*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nedif", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"rce", "[", 
      RowBox[{"[", "3", "]"}], "]"}], ",", 
     RowBox[{"rce", "[", 
      RowBox[{"[", "4", "]"}], "]"}], ",", 
     RowBox[{"rce", "[", 
      RowBox[{"[", "6", "]"}], "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"resppp", "=", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"nedif", ",", "bezxers"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", "r2"}], "Input",
 CellChangeTimes->{{3.4776742871326*^9, 3.4776743724802*^9}, 
   3.4776744956422*^9, {3.4776745675894003`*^9, 3.477674635543*^9}, {
   3.4776746718754*^9, 3.4776746725618*^9}, {3.4776749628934*^9, 
   3.4776749815822*^9}}],

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{"pocUzel1", ",", "pocUzel2", ",", "pocUzel4"}], "]"}]], "Input"]
},
WindowSize->{1090, 675},
WindowMargins->{{-2, Automatic}, {Automatic, 23}},
Magnification->2.000000238418579,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1178, 34, 138, "Input"],
Cell[1726, 56, 1230, 38, 229, "Input"],
Cell[2959, 96, 1235, 38, 261, "Input"],
Cell[4197, 136, 836, 25, 195, "Input"],
Cell[5036, 163, 1190, 36, 229, "Input"],
Cell[6229, 201, 1178, 36, 261, "Input"],
Cell[7410, 239, 1555, 42, 331, "Input"],
Cell[8968, 283, 455, 10, 57, "Input"],
Cell[9426, 295, 326, 8, 57, "Input"],
Cell[9755, 305, 478, 13, 126, "Input"],
Cell[10236, 320, 916, 24, 194, "Input"],
Cell[11155, 346, 805, 22, 160, "Input"],
Cell[11963, 370, 112, 2, 57, "Input"]
}
]
*)

(* End of internal cache information *)
