(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     23024,        683]
NotebookOptionsPosition[     21963,        650]
NotebookOutlinePosition[     22341,        666]
CellTagsIndexPosition[     22298,        663]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "->", "1000."}], ",", 
     RowBox[{"\[Mu]F", "\[Rule]", 
      RowBox[{"1.", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}]}], ",", 
     RowBox[{"mH", "\[Rule]", "0.001"}], ",", 
     RowBox[{"R1", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R2", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R3", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R4", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R5", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R6", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R7", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"R8", "\[Rule]", 
      RowBox[{"1", "k"}]}], ",", 
     RowBox[{"c1", "\[Rule]", 
      RowBox[{"10", "\[Mu]F"}]}], ",", 
     RowBox[{"c2", "\[Rule]", 
      RowBox[{"47", "\[Mu]F"}]}], ",", 
     RowBox[{"c3", "\[Rule]", 
      RowBox[{"22", "\[Mu]F"}]}], ",", 
     RowBox[{"L1", "\[Rule]", 
      RowBox[{"500", "mH"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4776685828244*^9, 3.4776687282307997`*^9}, 
   3.4776692190224*^9, {3.4776702506036*^9, 3.4776702519764*^9}, {
   3.4778373014386*^9, 3.4778373149793997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu1", "=", "iz"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu1", "=", 
   RowBox[{
    FractionBox[
     RowBox[{"u1", "[", "t", "]"}], "R1"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R3"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R5"], "+", 
    RowBox[{"c1", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u1", "[", "0", "]"}], "-", 
      RowBox[{"u5", "[", "0", "]"}]}], "\[Equal]", "uc10"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel1", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu1", "==", "vystupujeZUzlu1"}], "}"}], ",", 
    "pocUzel1"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776687493688*^9, 3.4776689447432003`*^9}, {
  3.4776695432528*^9, 3.4776695439547997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vystupujeZUzlu2", "=", 
   FractionBox[
    RowBox[{"u2", "[", "t", "]"}], "R2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vstupujeDoUzlu2", "=", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R3"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u3", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R4"], "+", 
    RowBox[{"iL1", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"iL1", "[", "0", "]"}], "\[Equal]", "iL10"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel2", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vystupujeZUzlu2", "\[Equal]", "vstupujeDoUzlu2"}], "}"}], ",", 
    "pocUzel2", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u3", "[", "t", "]"}], "-", 
       RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{"L1", "*", 
       RowBox[{
        RowBox[{"iL1", "'"}], "[", "t", "]"}]}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776690300908003`*^9, 3.4776692366504*^9}, 
   3.477670489424*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu3", "=", 
   RowBox[{"iuz", "[", "t", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu3", "=", 
   RowBox[{
    RowBox[{"iL1", "[", "t", "]"}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u3", "[", "t", "]"}], "-", 
      RowBox[{"u2", "[", "t", "]"}]}], "R4"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel3", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu3", "\[Equal]", "vystupujeZUzlu3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u4", "[", "t", "]"}], "-", 
       RowBox[{"u3", "[", "t", "]"}]}], "\[Equal]", "uz"}], "}"}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.477669310844*^9, 3.4776693284252*^9}, {
  3.4776694196851997`*^9, 3.4776695589152*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu4", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu4", "=", 
   RowBox[{
    RowBox[{"iuz", "[", "t", "]"}], "+", 
    FractionBox[
     RowBox[{"u4", "[", "t", "]"}], "R6"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u4", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R7"], "+", 
    RowBox[{"c2", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u4", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel4", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u4", "[", "0", "]"}], "-", 
      RowBox[{"u5", "[", "0", "]"}]}], "\[Equal]", "uc20"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel4", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu4", "\[Equal]", "vystupujeZUzlu4"}], "}"}], ",", 
    "pocUzel4"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776696730448*^9, 3.4776697049624*^9}, {
  3.4776697865348*^9, 3.4776699279175997`*^9}, {3.47767128791*^9, 
  3.4776712885808*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstupujeDoUzlu5", "=", 
   RowBox[{
    RowBox[{"c1", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u1", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u1", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R5"], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"u4", "[", "t", "]"}], "-", 
      RowBox[{"u5", "[", "t", "]"}]}], "R7"], "+", 
    RowBox[{"c2", "*", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"u4", "[", "t", "]"}], "-", 
        RowBox[{"u5", "[", "t", "]"}]}], ",", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vystupujeZUzlu5", "=", 
   RowBox[{"ivyst", "+", 
    FractionBox[
     RowBox[{"u5", "[", "t", "]"}], "R8"], "+", 
    RowBox[{"c3", "*", 
     RowBox[{
      RowBox[{"u5", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocUzel5", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"u5", "[", "0", "]"}], "\[Equal]", "uc50"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rUzel5", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vstupujeDoUzlu5", "\[Equal]", "vystupujeZUzlu5"}], "}"}], ",", 
    "pocUzel5"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4776700018148003`*^9, 3.4776701529476*^9}, {
  3.4776712257908*^9, 3.4776712263992*^9}, {3.4778376972106*^9, 
  3.4778377196434*^9}, {3.4778377514206*^9, 3.477837759829*^9}, {
  3.4778377935718*^9, 3.4778378078302*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rDohr", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
    "rUzel1", ",", "rUzel2", ",", "rUzel3", ",", "rUzel4", ",", "rUzel5"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"rDohr", "//.", "dos"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f", "=", "50."}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosVstupyVCasoveOblasti", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ivyst", "\[Rule]", 
      RowBox[{"0.1", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"f", "*", "2", "*", "Pi", "*", "t", "*", 
          FractionBox["Pi", "E"]}], "+", "0.4"}], "]"}]}]}], ",", 
     RowBox[{"iL10", "\[Rule]", "0"}], ",", 
     RowBox[{"uc10", "\[Rule]", "0"}], ",", 
     RowBox[{"uc20", "\[Rule]", "0"}], ",", 
     RowBox[{"uc50", "\[Rule]", "0"}], ",", 
     RowBox[{"uz", "\[Rule]", 
      RowBox[{"1", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{
         RowBox[{"f", "*", "2", "*", "Pi", "*", "t"}], "+", "0.4"}], 
        "]"}]}]}], ",", 
     RowBox[{"iz", "\[Rule]", 
      RowBox[{".5", "*", 
       RowBox[{"Tanh", "[", 
        RowBox[{"100", "*", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"f", "*", "2", "*", "Pi", "*", "t"}], "-", "0.51"}], 
          "]"}]}], "]"}]}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", 
   FractionBox["1", "f"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosOmega", "=", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", 
     RowBox[{"2", "*", "Pi", "*", "f"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"10", "T"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4776701670188*^9, 3.477670228046*^9}, {
   3.4776702770456*^9, 3.4776703119116*^9}, {3.4776703651076*^9, 
   3.4776704590508003`*^9}, {3.4776705624788*^9, 3.4776705952855997`*^9}, {
   3.4776709883900003`*^9, 3.4776710093408003`*^9}, 3.4776738156226*^9, 
   3.4776741089337997`*^9, {3.4778371904914*^9, 3.4778371935334*^9}, {
   3.4778378193585997`*^9, 3.4778378286406*^9}, {3.477837890401*^9, 
   3.4778378958922*^9}, {3.4778380813450003`*^9, 3.4778380918282003`*^9}, {
   3.4778384644342003`*^9, 3.4778385759118*^9}, {3.4778447686594*^9, 
   3.4778447959126*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Cases", "[", 
   RowBox[{
    RowBox[{"r2", "=", 
     RowBox[{"r1", "/.", "dosVstupyVCasoveOblasti"}]}], ",", "_Symbol", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "Infinity"}], "}"}]}], "]"}], "//", "Union"}]], "Input",
 CellChangeTimes->{{3.4776703232216*^9, 3.4776703539379997`*^9}, {
  3.4776704639960003`*^9, 3.477670466804*^9}, {3.4776705433844*^9, 
  3.4776705446168003`*^9}, {3.4776710114779997`*^9, 3.4776710126792*^9}, {
  3.4778379234262*^9, 3.4778379246429996`*^9}}],

Cell[BoxData[
 RowBox[{"neznameVCasoveOblasti", "=", 
  RowBox[{"Union", "@", 
   RowBox[{"Cases", "[", 
    RowBox[{"r2", ",", 
     RowBox[{"_Symbol", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4776706474832*^9, 3.477670685672*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"res1", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"r2", ",", "neznameVCasoveOblasti", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"StartingStepSize", "\[Rule]", 
       SuperscriptBox["10", 
        RowBox[{"-", "10"}]]}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.477706948546875*^9, 3.477706990234375*^9}, {
   3.4778378453794003`*^9, 3.4778378680462*^9}, 3.4778380128454*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u5", "[", "t", "]"}], "/.", "res1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t[s]\>\"", ",", "\"\<u5[V]\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4778379978694*^9, 3.4778380624378*^9}}],

Cell[BoxData[
 RowBox[{"pocs", "=", 
  RowBox[{"Union", "[", 
   RowBox[{"pocUzel1", ",", "pocUzel2", ",", "pocUzel4", ",", "pocUzel5"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4778379490257998`*^9, 3.4778379579021997`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dosVstupyStejnosmerne", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"uz", "\[Rule]", "1"}], ",", 
     RowBox[{"iz", "\[Rule]", 
      RowBox[{"-", "0.1"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rceBezPocs", "=", 
  RowBox[{"Complement", "[", 
   RowBox[{"r1", ",", "pocs"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rceSS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rceBezPocs", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"a_", "'"}], "[", "t", "]"}], "\[Rule]", "0"}]}], ")"}], "/.", 
   RowBox[{
    RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}]}]}], "Input",
 CellChangeTimes->{{3.4778381673322*^9, 3.4778382292953997`*^9}, {
   3.4778382896518*^9, 3.4778383908958*^9}, 3.4778386224309998`*^9, 
   3.4778392015966*^9}],

Cell[BoxData[{
 RowBox[{"rceSSNaprazdno", "=", 
  RowBox[{
   RowBox[{"rceSS", "/.", "dosVstupyStejnosmerne"}], "/.", 
   RowBox[{"ivyst", "\[Rule]", "0"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", "rceSSNaprazdno", "]"}]}], "Input",
 CellChangeTimes->{{3.4778390380774*^9, 3.4778390841286*^9}, {
  3.4778391327382*^9, 3.4778391368722*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rceSSNahradniObvodSS", "=", 
   RowBox[{"rceSS", "/.", "dosVstupyStejnosmerne"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"neznameNahradniObvodSS", "=", 
  RowBox[{"neznameVCasoveOblasti", "/.", 
   RowBox[{
    RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", 
    "a"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"resNahradniObvodSS", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"rceSSNahradniObvodSS", ",", "neznameNahradniObvodSS"}], "]"}], 
   "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"UNahradaSS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"u5", "/.", "resNahradniObvodSS"}], ")"}], "/.", 
   RowBox[{"ivyst", "\[Rule]", "0"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"RNahradaSS", "=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"u5", "/.", "resNahradniObvodSS"}], ")"}], ",", "ivyst"}], 
     "]"}]}], "/.", 
   RowBox[{"ivyst", "\[Rule]", "0"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<nahradni  SS obvod ma parametry prvku  U0=\>\"", ",", "UNahradaSS", 
   ",", "\"\<  V,  Rin=\>\"", ",", "RNahradaSS", ",", 
   "\"\<  \[CapitalOmega]\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.4778393374102*^9, 3.4778397423862*^9}, {
  3.4778443048246*^9, 3.4778443071958*^9}, {3.477888215875*^9, 
  3.477888216015625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"vyslovuj", " ", "\"\<t\[EAcute]ven\[EAcute]n\>\""}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nahrRceThevenin", "=", 
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"U0", "-", "u5"}], "Rin"], "\[Equal]", "ivyst"}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"nahrRceThevenin", ",", "u5"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"%", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"U0", "\[Rule]", "UNahradaSS"}], ",", 
      RowBox[{"Rin", "\[Rule]", "RNahradaSS"}]}], "}"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"resNahradniObvodSS", "[", 
    RowBox[{"[", 
     RowBox[{"-", "1"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4778441566714*^9, 3.4778441653918*^9}, {
  3.4778442036429996`*^9, 3.4778443316098003`*^9}, {3.4778446805818*^9, 
  3.4778447037321997`*^9}, {3.477846041557*^9, 3.4778460428206*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"I0", "=", 
   FractionBox["UNahradaSS", "RNahradaSS"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nahrRceNorton", "=", 
   RowBox[{"{", 
    RowBox[{"I0", "\[Equal]", 
     RowBox[{
      FractionBox["u5", "Rin"], "+", "ivyst"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"nahrRceNorton", ",", "u5"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{"{", 
    RowBox[{"Rin", "\[Rule]", "RNahradaSS"}], "}"}]}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"resNahradniObvodSS", "[", 
  RowBox[{"[", 
   RowBox[{"-", "1"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4778443747906*^9, 3.477844528045*^9}}],

Cell[BoxData[{
 RowBox[{"rceHUS", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rceBezPocs", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"a_", "'"}], "[", "t", "]"}], ":>", 
      RowBox[{"I", "*", "\[Omega]", "*", 
       RowBox[{"ToExpression", "[", 
        RowBox[{"StringJoin", "[", 
         RowBox[{
          RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<Faz\>\""}], "]"}], 
        "]"}]}]}]}], ")"}], "/.", 
   RowBox[{
    RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", 
    RowBox[{"ToExpression", "[", 
     RowBox[{"StringJoin", "[", 
      RowBox[{
       RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<Faz\>\""}], "]"}], 
     "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzPrubeh", "=", 
   RowBox[{"10", "*", 
    RowBox[{"Sin", "[", 
     RowBox[{
      RowBox[{"\[Omega]", "*", "t"}], "+", "0.4"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"izPrubeh", "=", 
    RowBox[{"0.01", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{
       RowBox[{"\[Omega]", "*", "t"}], "+", "0.6"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"pozor", ",", " ", 
    RowBox[{
    "takto", " ", "jednoduse", " ", "definovany", " ", "udelejFazor", " ", 
     "funguje", " ", "jen", " ", "pro", " ", "kladna", " ", "fi"}], ",", " ", 
    RowBox[{
    "pro", " ", "zaporna", " ", "fi", " ", "se", " ", "FullForm", " ", "lisi",
      " ", "od", " ", "daneho", " ", "patternu"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"udelejFazor", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a_", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"\[Omega]", "*", "t"}], "+", "fi_"}], "]"}]}], 
     "\[RuleDelayed]", 
     RowBox[{"a", "*", 
      SuperscriptBox["E", 
       RowBox[{"I", "*", "fi"}]]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"dosHUSNaprazdnoKonkretniOmega", "=", 
  RowBox[{"rceHUS", "//.", 
   RowBox[{"Union", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"uz", "->", "uzPrubeh"}], ",", 
         RowBox[{"iz", "->", "izPrubeh"}], ",", 
         RowBox[{"ivyst", "\[Rule]", "0"}]}], "}"}], "/.", "udelejFazor"}], 
      ")"}], ",", "dosOmega"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"neznHus", "=", 
  RowBox[{
   RowBox[{"Cases", "[", 
    RowBox[{"dosHUSNaprazdnoKonkretniOmega", ",", "_Symbol", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", 
   "Union"}]}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", "dosHUSNaprazdnoKonkretniOmega", "]"}]}], "Input",
 CellChangeTimes->{{3.477844809547*^9, 3.4778449148314*^9}, {
   3.4778449845478*^9, 3.4778453991958*^9}, {3.4778454562918*^9, 
   3.4778455029358*^9}, 3.4778455391278*^9, {3.4778455975030003`*^9, 
   3.4778456198422003`*^9}, {3.4778456714782*^9, 3.4778456781862*^9}, {
   3.4778457311638002`*^9, 3.477845887273*^9}, {3.477845937349*^9, 
   3.4778459681278*^9}, {3.4778461464514*^9, 3.4778461961686*^9}, {
   3.4778464219941998`*^9, 3.4778464677334003`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rceNahradaHUSsObecnouOmega", "=", 
   RowBox[{"rceHUS", "//.", 
    RowBox[{"Union", "[", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"uz", "->", "uzPrubeh"}], ",", 
         RowBox[{"iz", "->", "izPrubeh"}]}], "}"}], "/.", "udelejFazor"}], 
      ")"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"u5FazorPom", "=", 
   RowBox[{
    RowBox[{"u5Faz", "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"rceNahradaHUSsObecnouOmega", ",", "neznHus"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}], "]"}], "]"}]}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"moc", "=", "23"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vysu5HUS", "=", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"Expand", "[", 
      RowBox[{
       RowBox[{"Numerator", "[", "u5FazorPom", "]"}], "*", 
       SuperscriptBox["10", "moc"]}], "]"}], "//", "Chop"}], 
    RowBox[{
     RowBox[{"Expand", "[", 
      RowBox[{
       RowBox[{"Denominator", "[", "u5FazorPom", "]"}], "*", 
       SuperscriptBox["10", "moc"]}], "]"}], "//", "Chop"}]], "//", 
   "Chop"}]}], "\[IndentingNewLine]", 
 RowBox[{"U0ObecneOmega", "=", 
  RowBox[{"vysu5HUS", "/.", 
   RowBox[{"ivyst", "\[Rule]", "0"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Z0ObecneOmega", "=", 
  RowBox[{"D", "[", 
   RowBox[{"vysu5HUS", ",", "ivyst"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.477846269863*^9, 3.4778463943666*^9}, {
  3.477846497467*^9, 3.4778466008638*^9}, {3.4778466498478003`*^9, 
  3.4778469029421997`*^9}, {3.4778469364666*^9, 3.477847030441*^9}, {
  3.4778470832002*^9, 3.4778472320397997`*^9}}],

Cell[BoxData[
 RowBox[{"nahradaKonkretniOmega", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"u5Nahrada", "\[Rule]", 
     RowBox[{"U0ObecneOmega", "-", 
      RowBox[{"Z0ObecneOmega", "*", "ivystFazor"}]}]}], "}"}], "/.", 
   "dosOmega"}]}]], "Input",
 CellChangeTimes->{{3.477847250635*^9, 3.4778473312111998`*^9}}]
},
WindowSize->{1130, 668},
WindowMargins->{{3, Automatic}, {Automatic, 9}},
Magnification->2.000000238418579,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1298, 37, 138, "Input"],
Cell[1846, 59, 1230, 38, 229, "Input"],
Cell[3079, 99, 1235, 38, 261, "Input"],
Cell[4317, 139, 836, 25, 195, "Input"],
Cell[5156, 166, 1190, 36, 229, "Input"],
Cell[6349, 204, 1605, 49, 295, "Input"],
Cell[7957, 255, 2336, 60, 486, "Input"],
Cell[10296, 317, 518, 11, 92, "Input"],
Cell[10817, 330, 326, 8, 57, "Input"],
Cell[11146, 340, 552, 13, 137, "Input"],
Cell[11701, 355, 440, 12, 92, "Input"],
Cell[12144, 369, 230, 5, 57, "Input"],
Cell[12377, 376, 805, 22, 126, "Input"],
Cell[13185, 400, 350, 7, 118, "Input"],
Cell[13538, 409, 1394, 37, 322, "Input"],
Cell[14935, 448, 1037, 28, 255, "Input"],
Cell[15975, 478, 815, 24, 287, "Input"],
Cell[16793, 504, 3072, 83, 634, "Input"],
Cell[19868, 589, 1770, 49, 434, "Input"],
Cell[21641, 640, 318, 8, 118, "Input"]
}
]
*)

(* End of internal cache information *)
