(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18096,        541]
NotebookOptionsPosition[     17498,        520]
NotebookOutlinePosition[     17942,        537]
CellTagsIndexPosition[     17899,        534]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "6."}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "4"}]]}], ",", 
     RowBox[{"L", "->", "0.01"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"u", "\[Equal]", 
    RowBox[{
     RowBox[{"R", "*", 
      RowBox[{"i", "[", "t", "]"}]}], "+", 
     RowBox[{"L", "*", 
      RowBox[{
       RowBox[{"i", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"uc", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{"i", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"c", "*", 
     RowBox[{
      RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rr", "=", 
   RowBox[{"{", 
    RowBox[{"r1", ",", "r2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tmin", "=", 
   RowBox[{
    RowBox[{"Min", "[", 
     RowBox[{
      RowBox[{"R", "*", "c"}], ",", 
      FractionBox["L", "R"], ",", 
      SqrtBox[
       RowBox[{"L", "*", "c"}]]}], "]"}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tmax", "=", 
   RowBox[{
    RowBox[{"Max", "[", 
     RowBox[{
      RowBox[{"R", "*", "c"}], ",", 
      FractionBox["L", "R"], ",", 
      SqrtBox[
       RowBox[{"L", "*", "c"}]]}], "]"}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tmean", "=", 
   RowBox[{
    RowBox[{"Mean", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"R", "*", "c"}], ",", 
       FractionBox["L", "R"], ",", 
       SqrtBox[
        RowBox[{"L", "*", "c"}]]}], "}"}], "]"}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"2", "*", "Tmax"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Tmin= \>\"", ",", 
   RowBox[{
    RowBox[{"ms", "=", "0.001"}], ";", 
    FractionBox["Tmin", "ms"]}], ",", "\"\< ms\>\"", ",", "\"\<   Tmax= \>\"",
    ",", 
   FractionBox["Tmax", "ms"], ",", "\"\< ms\>\"", ",", 
   "\"\<    Tstredni= \>\"", ",", 
   FractionBox["Tmean", "ms"], ",", "\"\< ms\>\"", ",", "\"\<    tmax= \>\"", 
   ",", 
   FractionBox["tmax", "ms"], ",", "\"\<  ms\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dosu", "=", 
   RowBox[{"{", 
    RowBox[{"u", "\[Rule]", 
     RowBox[{"0.5", "+", 
      RowBox[{"2.5", 
       RowBox[{"Tanh", "[", 
        RowBox[{"100", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"2", "*", "Pi", "*", 
             FractionBox["t", "Tmean"]}], "]"}], "-", "0.5"}], ")"}]}], 
        "]"}]}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"dos", ",", "dosu"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.465479404684081*^9, 3.465479549637081*^9}, {
   3.465479587397081*^9, 3.465479881187081*^9}, {3.4654800710320807`*^9, 
   3.465480185479081*^9}, {3.4654802550740805`*^9, 3.4654804208530807`*^9}, 
   3.4654818797770805`*^9, {3.4654819286640806`*^9, 3.465481931870081*^9}, 
   3.4654819665580807`*^9, {3.465484858342081*^9, 3.465484859458081*^9}, {
   3.465484937361081*^9, 3.465484937542081*^9}, 3.465484999148081*^9, {
   3.4654857702580805`*^9, 3.4654858254850807`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"derivace", "=", 
     RowBox[{"Cases", "[", 
      RowBox[{"rr", ",", 
       RowBox[{
        RowBox[{"_", "'"}], "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nezname", "=", 
     RowBox[{
      RowBox[{"Cases", "[", 
       RowBox[{"rr", ",", 
        RowBox[{"_Symbol", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "//", "Union"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "[", "derivace", "]"}], "\[Equal]", 
      RowBox[{"Length", "[", "nezname", "]"}]}], ",", 
     RowBox[{"Print", "[", "\"\<je to ok\>\"", "]"}], ",", 
     RowBox[{"Print", "[", "\"\<musis eliminovat neco\>\"", "]"}], ",", 
     RowBox[{"Print", "[", "\"\<neco je v neporadku se zadanim\>\"", "]"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.465480056679081*^9, 3.4654800646160808`*^9}, {
  3.465480502095081*^9, 3.465480703354081*^9}, {3.465480740563081*^9, 
  3.4654807595860806`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"rr", ",", "derivace"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"praveStrany", "=", 
    RowBox[{"derivace", "/.", "%"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"novRR", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{"Equal", "[", 
       RowBox[{"derivace", ",", "praveStrany"}], "]"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.4654807682180805`*^9, {3.465480810908081*^9, 3.4654809166890807`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"pocs", "=", 
     RowBox[{"derivace", "/.", 
      RowBox[{
       RowBox[{
        RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"a", "[", "0", "]"}], "\[Equal]", "0"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rceNDSolve", "=", 
     RowBox[{
      RowBox[{"Union", "[", 
       RowBox[{"novRR", ",", "pocs"}], "]"}], "//.", "d"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"proudNDS", ",", "napetiNDS"}], "}"}], "=", 
     RowBox[{"nezname", "/.", 
      RowBox[{
       RowBox[{"NDSolve", "[", 
        RowBox[{"rceNDSolve", ",", "nezname", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pl", "[", 
     RowBox[{"co_", ",", "hue_"}], "]"}], ":=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", "co", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Thick", ",", 
         RowBox[{"Hue", "[", "hue", "]"}]}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1.05"}], ",", "1.05"}], "}"}]}], "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plNDS", "=", 
     RowBox[{"pl", "[", 
      RowBox[{"napetiNDS", ",", "0"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"plVstup", "=", 
     RowBox[{"pl", "[", 
      RowBox[{
       RowBox[{"u", "/.", "d"}], ",", "0.63"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"plNDS", ",", "plVstup"}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.465480920977081*^9, {3.465481083983081*^9, 3.4654813504780807`*^9}, {
   3.465481390745081*^9, 3.4654818642320805`*^9}, {3.465481991257081*^9, 
   3.465482194410081*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"numPraveStrany", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"praveStrany", "/.", "d"}], ")"}], "/.", 
     RowBox[{
      RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.465482409747081*^9, 3.465482460629081*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"vectDerivaci", "[", 
    RowBox[{"{", 
     RowBox[{"tt_", ",", 
      RowBox[{"{", 
       RowBox[{"ii_", ",", "ucuc_"}], "}"}]}], "}"}], "]"}], ":=", 
   RowBox[{"N", "[", 
    RowBox[{"numPraveStrany", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"t", "->", "tt"}], ",", 
       RowBox[{"i", "\[Rule]", "ii"}], ",", 
       RowBox[{"uc", "->", "ucuc"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.465482211896081*^9, 3.465482229234081*^9}, {
  3.465482290335081*^9, 3.465482385191081*^9}, {3.4654824665910807`*^9, 
  3.465482567778081*^9}, {3.4654828996070805`*^9, 3.4654829292700806`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", 
   RowBox[{
    FractionBox["tmax", "n"], "//", "N"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"EulerStep", "[", 
     RowBox[{"stav", ":", 
      RowBox[{"{", 
       RowBox[{"t_", ",", 
        RowBox[{"s", ":", 
         RowBox[{"{", 
          RowBox[{"i_", ",", "uc_"}], "}"}]}]}], "}"}]}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
      RowBox[{"s", "+", 
       RowBox[{"\[CapitalDelta]t", "*", 
        RowBox[{"vectDerivaci", "[", "stav", "]"}]}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RgSt", "[", 
    RowBox[{"stav", ":", 
     RowBox[{"{", 
      RowBox[{"t_", ",", 
       RowBox[{"s", ":", 
        RowBox[{"{", 
         RowBox[{"i_", ",", "uc_"}], "}"}]}]}], "}"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4"}], "}"}], ",", 
     RowBox[{
      RowBox[{"k1", "=", 
       RowBox[{"vectDerivaci", "[", "stav", "]"}]}], ";", 
      RowBox[{"k2", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t", "+", 
           FractionBox["\[CapitalDelta]t", "2"]}], ",", 
          RowBox[{"s", "+", 
           RowBox[{
            FractionBox["\[CapitalDelta]t", "2"], "*", "k1"}]}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"k3", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t", "+", 
           FractionBox["\[CapitalDelta]t", "2"]}], ",", 
          RowBox[{"s", "+", 
           RowBox[{
            FractionBox["\[CapitalDelta]t", "2"], "*", "k2"}]}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"k4", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
          RowBox[{"s", "+", 
           RowBox[{"\[CapitalDelta]t", "*", "k2"}]}]}], "}"}], "]"}]}], ";", 
      RowBox[{"N", "[", 
       RowBox[{"stav", "+", 
        RowBox[{"{", 
         RowBox[{"\[CapitalDelta]t", ",", 
          RowBox[{
           FractionBox["\[CapitalDelta]t", "6"], "*", 
           RowBox[{"(", 
            RowBox[{"k1", "+", 
             RowBox[{"2", "k2"}], "+", 
             RowBox[{"2", "k3"}], "+", "k4"}], ")"}]}]}], "}"}]}], "]"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RgStReal", "[", 
    RowBox[{"stav", ":", 
     RowBox[{"{", 
      RowBox[{"t_", ",", 
       RowBox[{"s", ":", 
        RowBox[{"{", 
         RowBox[{"i_", ",", "uc_"}], "}"}]}]}], "}"}]}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4"}], "}"}], ",", 
     RowBox[{
      RowBox[{"k1", "=", 
       RowBox[{"vectDerivaci", "[", "stav", "]"}]}], ";", 
      RowBox[{"k2", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"s", "+", 
           RowBox[{
            FractionBox["\[CapitalDelta]t", "2"], "*", "k1"}]}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"k3", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"s", "+", 
           RowBox[{
            FractionBox["\[CapitalDelta]t", "2"], "*", "k2"}]}]}], "}"}], 
        "]"}]}], ";", 
      RowBox[{"k4", "=", 
       RowBox[{"vectDerivaci", "[", 
        RowBox[{"{", 
         RowBox[{"t", ",", 
          RowBox[{"s", "+", 
           RowBox[{"\[CapitalDelta]t", "*", "k2"}]}]}], "}"}], "]"}]}], ";", 
      RowBox[{"N", "[", 
       RowBox[{"stav", "+", 
        RowBox[{"{", 
         RowBox[{"\[CapitalDelta]t", ",", 
          RowBox[{
           FractionBox["\[CapitalDelta]t", "6"], "*", 
           RowBox[{"(", 
            RowBox[{"k1", "+", 
             RowBox[{"2", "k2"}], "+", 
             RowBox[{"2", "k3"}], "+", "k4"}], ")"}]}]}], "}"}]}], "]"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocStav", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resEuler", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"EulerStep", ",", "pocStav", ",", "n"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napetiEuler", "=", 
   RowBox[{"resEuler", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", 
       RowBox[{"{", 
        RowBox[{"b_", ",", "c_"}], "}"}]}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plE", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"napetiEuler", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.05"}], ",", "1.05"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resRG", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"RgSt", ",", "pocStav", ",", "n"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napetiRG", "=", 
   RowBox[{"resRG", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", 
       RowBox[{"{", 
        RowBox[{"b_", ",", "c_"}], "}"}]}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plRG", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"napetiRG", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"GrayLevel", "[", "0", "]"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.05"}], ",", "1.05"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resRGReal", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"RgStReal", ",", "pocStav", ",", "n"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napetiRGReal", "=", 
   RowBox[{"resRGReal", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", 
       RowBox[{"{", 
        RowBox[{"b_", ",", "c_"}], "}"}]}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plRGReal", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"napetiRGReal", ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Blue", "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t[s]\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.05"}], ",", "1.05"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plRG", ",", "plRGReal", ",", "plNDS"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.465482937012081*^9, 3.4654830565710807`*^9}, {
   3.4654830902820807`*^9, 3.465483103957081*^9}, {3.4654831496820807`*^9, 
   3.465483511962081*^9}, {3.465483583979081*^9, 3.465483643009081*^9}, {
   3.465483703224081*^9, 3.465483712767081*^9}, {3.465483759918081*^9, 
   3.465483812854081*^9}, {3.465484115844081*^9, 3.465484135752081*^9}, {
   3.465484178559081*^9, 3.465484265026081*^9}, {3.4654843028170805`*^9, 
   3.465484558172081*^9}, {3.465484589076081*^9, 3.465484751545081*^9}, {
   3.465484798542081*^9, 3.465484804521081*^9}, 3.465484884576081*^9, {
   3.4654849595970807`*^9, 3.465484973986081*^9}, 3.4654850104490805`*^9, {
   3.465485158042081*^9, 3.465485162654081*^9}, {3.465485582474081*^9, 
   3.4654856579280806`*^9}, {3.465485691713081*^9, 3.4654857563030806`*^9}, {
   3.465485852205081*^9, 3.465485896995081*^9}}]
},
WindowSize->{1621, 1001},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 3388, 103, 485, "Input"],
Cell[3936, 125, 1206, 32, 125, "Input"],
Cell[5145, 159, 608, 17, 125, "Input"],
Cell[5756, 178, 2290, 66, 260, "Input"],
Cell[8049, 246, 349, 10, 71, "Input"],
Cell[8401, 258, 667, 17, 43, "Input"],
Cell[9071, 277, 8423, 241, 697, "Input"]
}
]
*)

(* End of internal cache information *)
