(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6998,        215]
NotebookOptionsPosition[      6638,        199]
NotebookOutlinePosition[      7005,        215]
CellTagsIndexPosition[      6962,        212]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmin", "=", 
   RowBox[{"-", "10"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmax", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"delta", "=", "0.1"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fcekhledani", "[", "x_", "]"}], "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"x", "-", "5"}], ")"}], "2"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"plfce", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"fcekhledani", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<f[x]\>\""}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.51416942159375*^9, 3.5141694671875*^9}, {
  3.51416987715625*^9, 3.51416990021875*^9}}],

Cell[BoxData[{
 RowBox[{"SeedRandom", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "50"}], ";", 
  RowBox[{"deltax", "=", "1"}], ";", 
  RowBox[{"T0", "=", "20"}], ";", 
  RowBox[{"pocetiteraci", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"T", "[", "i_", "]"}], "=", 
   FractionBox[
    RowBox[{"T0", "*", "k"}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"i", "+", "k"}], ")"}], "2"]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"T", "[", "i", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "pocetiteraci"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<i\>\"", ",", "\"\<T[i]\>\""}], "}"}]}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", 
    RowBox[{"i_", ",", "deltaW_"}], "]"}], "=", 
   RowBox[{"Exp", "[", 
    FractionBox[
     RowBox[{"-", "deltaW"}], 
     RowBox[{"T", "[", "i", "]"}]], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xdal", "[", "listik_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xtry", ",", "dW", ",", "xminule", ",", "i"}], "}"}], ",", 
     RowBox[{
      RowBox[{"xminule", "=", 
       RowBox[{"listik", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ";", 
      RowBox[{"i", "=", 
       RowBox[{"listik", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ";", 
      RowBox[{"xtry", "=", 
       RowBox[{"Random", "[", 
        RowBox[{"Real", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xminule", "-", "deltax"}], ",", 
           RowBox[{"xminule", "+", "deltax"}]}], "}"}]}], "]"}]}], ";", 
      RowBox[{"dW", "=", 
       RowBox[{
        RowBox[{"fcekhledani", "[", "xtry", "]"}], "-", 
        RowBox[{"fcekhledani", "[", "xminule", "]"}]}]}], ";", 
      RowBox[{"pravd", "=", 
       RowBox[{"p", "[", 
        RowBox[{"i", ",", "dW"}], "]"}]}], ";", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"i", "+", "1"}], ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"dW", "<", "0"}], ",", "xtry", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"pravd", ">", 
             RowBox[{"Random", "[", "]"}]}], ",", "xtry", ",", "xminule"}], 
           "]"}]}], "]"}]}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"start", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "5"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vyslednylist", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"xdal", ",", "start", ",", "pocetiteraci"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"%", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"fcekhledani", "[", "b", "]"}]}], "}"}]}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"vyslednylist", "//", "Last"}], ")"}], "/.", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a_", ",", "b_"}], "}"}], "\[Rule]", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"fcekhledani", "[", "b", "]"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"FindMinimum", "[", 
  RowBox[{
   RowBox[{"fcekhledani", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"xmin", "/", "2"}], ",", 
     RowBox[{"xmax", "/", "2"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.51416957140625*^9, 3.514169799421875*^9}, {
  3.51417009928125*^9, 3.514170105203125*^9}, {3.514170141734375*^9, 
  3.5141701683125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ukpl", "[", "i_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{"plfce", ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
        RowBox[{"Hue", "[", "0", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"vyslednylist", "[", 
           RowBox[{"[", "i", "]"}], "]"}], "/.", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a_", ",", "b_"}], "}"}], "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"b", ",", 
             RowBox[{"fcekhledani", "[", "b", "]"}]}], "}"}]}]}], "]"}]}], 
       "}"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ukpl", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "pocetiteraci", ",", "1"}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.514169858375*^9, 3.514169869640625*^9}, {
  3.51416990528125*^9, 3.51416996165625*^9}, {3.514170006890625*^9, 
  3.514170084890625*^9}, {3.51417019115625*^9, 3.5141702460625*^9}}]
},
WindowSize->{1040, 537},
WindowMargins->{{11, Automatic}, {Automatic, 12}},
Magnification->1.25,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1124, 31, 191, "Input"],
Cell[1672, 53, 3753, 111, 365, "Input"],
Cell[5428, 166, 1206, 31, 124, "Input"]
}
]
*)

(* End of internal cache information *)
