(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     11858,        363]
NotebookOptionsPosition[     10844,        330]
NotebookOutlinePosition[     11284,        348]
CellTagsIndexPosition[     11241,        345]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"LaplaceTransform", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "''"}], "[", "t", "]"}], ",", "t", ",", "p"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.476685596775565*^9, {3.4766856269389377`*^9, 3.4766856405284786`*^9}, 
   3.4766856713427873`*^9, 3.4766857050512576`*^9}],

Cell[BoxData[
 RowBox[{"myLaplaceTransform", "[", "rce", "]"}]], "Input"],

Cell[BoxData["rce"], "Input",
 CellChangeTimes->{{3.4766883864268866`*^9, 3.4766883870778227`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"myLaplaceTransform", "[", "f_", "]"}], ":=", 
   RowBox[{"LaplaceTransform", "[", 
    RowBox[{"f", ",", "t", ",", "p"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"a", "*", 
      RowBox[{
       RowBox[{"y", "''"}], "[", "t", "]"}]}], "-", 
     RowBox[{"b", "*", 
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"c", "*", 
      RowBox[{"y", "[", "t", "]"}]}]}], "\[Equal]", 
    RowBox[{"d", "*", 
     RowBox[{"u", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"LaplaceTransform", "[", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], ",", "t", ",", "p"}], "]"}], "\[Rule]", 
      RowBox[{"Y", "[", "p", "]"}]}], ",", 
     RowBox[{
      RowBox[{"LaplaceTransform", "[", 
       RowBox[{
        RowBox[{"u", "[", "t", "]"}], ",", "t", ",", "p"}], "]"}], "\[Rule]", 
      RowBox[{"U", "[", "p", "]"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"laplasiiRce", "=", 
  RowBox[{
   RowBox[{"myLaplaceTransform", "[", "rce", "]"}], "/.", 
   "dos"}]}], "\[IndentingNewLine]", 
 RowBox[{"resLapl", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"laplasiiRce", ",", 
     RowBox[{"Y", "[", "p", "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.4766362448077335`*^9, 3.4766364156901336`*^9}, {
  3.476636462599334*^9, 3.4766364856561337`*^9}, {3.4766369996917334`*^9, 
  3.476637054151334*^9}}],

Cell[BoxData[
 RowBox[{"vyslLapl", "=", 
  RowBox[{
   RowBox[{"Y", "[", "p", "]"}], "/.", "resLapl"}]}]], "Input",
 CellChangeTimes->{{3.476636502192134*^9, 3.4766365381501336`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"#", "*", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"vyslLapl", ",", "#"}], "]"}]}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], ",", 
    RowBox[{
     RowBox[{"y", "'"}], "[", "0", "]"}], ",", 
    RowBox[{"U", "[", "p", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plus", "@@", "%"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "%", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4766367204829335`*^9, 3.4766368810225334`*^9}, {
  3.4766370927457333`*^9, 3.4766371117309337`*^9}, {3.4766374244173336`*^9, 
  3.4766374292065334`*^9}}],

Cell[BoxData[
 RowBox[{"Apart", "[", 
  FractionBox["1", 
   RowBox[{"6", "-", 
    RowBox[{"5", " ", "p"}], "+", 
    SuperscriptBox["p", "2"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.4766371213561335`*^9, 3.476637126192134*^9}}],

Cell[BoxData[
 RowBox[{"Factor", "[", 
  FractionBox["1", 
   RowBox[{"6", "-", 
    RowBox[{"5", " ", "p"}], "+", 
    SuperscriptBox["p", "2"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.4766371916341333`*^9, 3.4766371938181334`*^9}}],

Cell[BoxData[{
 RowBox[{"udelejFazor", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "i"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}], "->", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"j", "*", "\[Omega]"}], ")"}], "i"], "*", 
       RowBox[{"Y", "[", "\[Omega]", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rce", "/.", 
  RowBox[{"Union", "[", 
   RowBox[{"udelejFazor", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", 
      RowBox[{"U", "[", "\[Omega]", "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"%", ",", 
    RowBox[{"Y", "[", "\[Omega]", "]"}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766375087821336`*^9, 3.4766376923629336`*^9}, {
  3.476637732720134*^9, 3.4766377406761336`*^9}, {3.4766377883965335`*^9, 
  3.4766379239137335`*^9}, {3.4766385654325333`*^9, 3.4766385710641336`*^9}}],

Cell[BoxData["                                                                \
                                                                              \
                                                                              \
                                                                              \
                                                      "], "Input",
 CellChangeTimes->{{3.4766381275561333`*^9, 3.4766381397709336`*^9}}],

Cell[BoxData[{
 RowBox[{"laplStavRce", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "*", 
      RowBox[{"X2", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{"U", "[", "p", "]"}], "-", 
      RowBox[{"5", 
       RowBox[{"X2", "[", "p", "]"}]}], "-", 
      RowBox[{"6", 
       RowBox[{"X1", "[", "p", "]"}]}]}]}], ",", 
    RowBox[{
     RowBox[{"p", "*", 
      RowBox[{"X1", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{"X2", "[", "p", "]"}]}], ",", 
    RowBox[{
     RowBox[{"Y", "[", "p", "]"}], "\[Equal]", 
     RowBox[{"X2", "[", "p", "]"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"laplStavRce", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y", "[", "p", "]"}], ",", 
     RowBox[{"X1", "[", "p", "]"}], ",", 
     RowBox[{"X2", "[", "p", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766382909349337`*^9, 3.4766385086641335`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"resY", "[", "p", "]"}], "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"U", "[", "p", "]"}], "-", 
        RowBox[{
         RowBox[{"R", "[", "p", "]"}], "*", 
         RowBox[{"Y", "[", "p", "]"}]}]}], ")"}], "*", 
      RowBox[{"P", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{"Y", "[", "p", "]"}]}], ",", 
    RowBox[{"Y", "[", "p", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4766387136793337`*^9, 3.4766387737393336`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
    "dale", " ", "systemy", " ", "prvniho", " ", "radu", " ", "a", " ", 
     "Euler", " ", "atd"}], "..."}], ".."}], "*)"}]], "Input",
 CellChangeTimes->{{3.4766387865157337`*^9, 3.4766388014605336`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", "p", "]"}], "-", 
     RowBox[{
      RowBox[{"P2", "[", "p", "]"}], "*", 
      RowBox[{"Y", "[", "p", "]"}]}]}], "\[Equal]", 
    FractionBox[
     RowBox[{"Y", "[", "p", "]"}], 
     RowBox[{"P1", "[", "p", "]"}]]}], ",", 
   RowBox[{"Y", "[", "p", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.476688172088683*^9, 3.4766882015610623`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "*", "x1"}], "\[Equal]", 
      RowBox[{"x2", "-", 
       RowBox[{"2", "x1"}]}]}], ",", 
     RowBox[{
      RowBox[{"p", "*", "x2"}], "\[Equal]", 
      RowBox[{"x1", "-", "x2", "+", "u"}]}], ",", 
     RowBox[{"y", "\[Equal]", 
      RowBox[{"x1", "-", "x2"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"rce", ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "x2", ",", "y"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766894797490063`*^9, 3.4766895572604623`*^9}, {
  3.4766896573644047`*^9, 3.4766896588765793`*^9}}],

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
      RowBox[{"3", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["x", "2"]}], ")"}], "*", 
       RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], "}"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.476689923206667*^9, 3.476689947221198*^9}, {
  3.4766900167712064`*^9, 3.4766900411262274`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"derivace", "[", 
    RowBox[{"t_", ",", "f_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"3", "*", "t"}], "-", 
    SuperscriptBox["f", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EulerStep", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "f_"}], "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
     RowBox[{"f", "+", 
      RowBox[{"\[CapitalDelta]t", "*", 
       RowBox[{"derivace", "[", 
        RowBox[{"t", ",", "f"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocStav", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1."}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4766906150815344`*^9, 3.4766906196380863`*^9}, {
  3.476690673455472*^9, 3.4766907548825583`*^9}, {3.4766908489277887`*^9, 
  3.476690870388648*^9}, {3.476691037028264*^9, 3.4766910421456223`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"EulerStep", ",", "pocStav", ",", "100"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "res", "]"}]}], "Input",
 CellChangeTimes->{{3.476690875075387*^9, 3.4766909091744194`*^9}, {
  3.4766909728559885`*^9, 3.4766910024084835`*^9}}]
},
WindowSize->{1109, 734},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification->2.499999523162842,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 342, 9, 115, "Input"],
Cell[890, 31, 73, 1, 71, "Input"],
Cell[966, 34, 99, 1, 71, "Input"],
Cell[1068, 37, 1883, 54, 502, "Input"],
Cell[2954, 93, 183, 4, 101, "Input"],
Cell[3140, 99, 650, 16, 274, "Input"],
Cell[3793, 117, 232, 6, 150, "Input"],
Cell[4028, 125, 235, 6, 150, "Input"],
Cell[4266, 133, 1334, 38, 285, "Input"],
Cell[5603, 173, 456, 5, 403, "Input"],
Cell[6062, 180, 923, 27, 188, "Input"],
Cell[6988, 209, 545, 16, 145, "Input"],
Cell[7536, 227, 271, 7, 101, "Input"],
Cell[7810, 236, 442, 13, 147, "Input"],
Cell[8255, 251, 673, 19, 188, "Input"],
Cell[8931, 272, 531, 15, 156, "Input"],
Cell[9465, 289, 1026, 29, 276, "Input"],
Cell[10494, 320, 346, 8, 145, "Input"]
}
]
*)

(* End of internal cache information *)
