(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18763,        572]
NotebookOptionsPosition[     17351,        529]
NotebookOutlinePosition[     17751,        546]
CellTagsIndexPosition[     17708,        543]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"LaplaceTransform", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], "[", "t", "]"}], ",", "t", ",", "p"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.476685596775565*^9, {3.4766856269389377`*^9, 3.4766856405284786`*^9}, 
   3.4766856713427873`*^9, 3.4766857050512576`*^9, 3.5069227977005696`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"myLaplaceTransform", "[", "f_", "]"}], ":=", 
   RowBox[{"LaplaceTransform", "[", 
    RowBox[{"f", ",", "t", ",", "p"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"myLaplaceTransform", "[", "rce", "]"}]], "Input"],

Cell[BoxData["rce"], "Input",
 CellChangeTimes->{{3.4766883864268866`*^9, 3.4766883870778227`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b", "=", "5"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", "6"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"d", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"rce", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"a", "*", 
        RowBox[{
         RowBox[{"y", "''"}], "[", "t", "]"}]}], "-", 
       RowBox[{"b", "*", 
        RowBox[{
         RowBox[{"y", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{"c", "*", 
        RowBox[{"y", "[", "t", "]"}]}]}], "\[Equal]", 
      RowBox[{"d", "*", 
       RowBox[{"u", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"LaplaceTransform", "[", 
         RowBox[{
          RowBox[{"y", "[", "t", "]"}], ",", "t", ",", "p"}], "]"}], 
        "\[Rule]", 
        RowBox[{"Y", "[", "p", "]"}]}], ",", 
       RowBox[{
        RowBox[{"LaplaceTransform", "[", 
         RowBox[{
          RowBox[{"u", "[", "t", "]"}], ",", "t", ",", "p"}], "]"}], 
        "\[Rule]", 
        RowBox[{"U", "[", "p", "]"}]}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"laplasiiRce", "=", 
    RowBox[{
     RowBox[{"myLaplaceTransform", "[", "rce", "]"}], "/.", "dos"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"resLapl", "=", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"laplasiiRce", ",", 
       RowBox[{"Y", "[", "p", "]"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.4766362448077335`*^9, 3.4766364156901336`*^9}, {
   3.476636462599334*^9, 3.4766364856561337`*^9}, {3.4766369996917334`*^9, 
   3.476637054151334*^9}, 3.5069228489142113`*^9}],

Cell[BoxData["rce"], "Input",
 CellChangeTimes->{{3.506922910903347*^9, 3.506922911243837*^9}}],

Cell[BoxData[
 RowBox[{"vyslLapl", "=", 
  RowBox[{
   RowBox[{"Y", "[", "p", "]"}], "/.", "resLapl"}]}]], "Input",
 CellChangeTimes->{{3.476636502192134*^9, 3.4766365381501336`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"#", "*", 
    RowBox[{"Coefficient", "[", 
     RowBox[{"vyslLapl", ",", "#"}], "]"}]}], "&"}], "/@", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], ",", 
    RowBox[{
     RowBox[{"y", "'"}], "[", "0", "]"}], ",", 
    RowBox[{"U", "[", "p", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plus", "@@", "%"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", "%", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4766367204829335`*^9, 3.4766368810225334`*^9}, {
  3.4766370927457333`*^9, 3.4766371117309337`*^9}, {3.4766374244173336`*^9, 
  3.4766374292065334`*^9}}],

Cell[BoxData[
 RowBox[{"Apart", "[", 
  FractionBox["1", 
   RowBox[{"6", "-", 
    RowBox[{"5", " ", "p"}], "+", 
    SuperscriptBox["p", "2"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.4766371213561335`*^9, 3.476637126192134*^9}}],

Cell[BoxData[
 RowBox[{"Factor", "[", 
  FractionBox["1", 
   RowBox[{"6", "-", 
    RowBox[{"5", " ", "p"}], "+", 
    SuperscriptBox["p", "2"]}]], "]"}]], "Input",
 CellChangeTimes->{{3.4766371916341333`*^9, 3.4766371938181334`*^9}}],

Cell[BoxData[{
 RowBox[{"udelejFazor", "=", 
  RowBox[{"Thread", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "i"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}], "->", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"j", "*", "\[Omega]"}], ")"}], "i"], "*", 
       RowBox[{"Y", "[", "\[Omega]", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rce", "/.", 
  RowBox[{"Union", "[", 
   RowBox[{"udelejFazor", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "\[Rule]", 
      RowBox[{"U", "[", "\[Omega]", "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{"%", ",", 
    RowBox[{"Y", "[", "\[Omega]", "]"}]}], "]"}], "[", 
  RowBox[{"[", "1", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766375087821336`*^9, 3.4766376923629336`*^9}, {
  3.476637732720134*^9, 3.4766377406761336`*^9}, {3.4766377883965335`*^9, 
  3.4766379239137335`*^9}, {3.4766385654325333`*^9, 3.4766385710641336`*^9}}],

Cell[BoxData["                                                                \
                                                                              \
                                                                              \
                                                                              \
                                                      "], "Input",
 CellChangeTimes->{{3.4766381275561333`*^9, 3.4766381397709336`*^9}}],

Cell[BoxData[{
 RowBox[{"laplStavRce", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p", "*", 
      RowBox[{"X2", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{
      RowBox[{"U", "[", "p", "]"}], "-", 
      RowBox[{"5", 
       RowBox[{"X2", "[", "p", "]"}]}], "-", 
      RowBox[{"6", 
       RowBox[{"X1", "[", "p", "]"}]}]}]}], ",", 
    RowBox[{
     RowBox[{"p", "*", 
      RowBox[{"X1", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{"X2", "[", "p", "]"}]}], ",", 
    RowBox[{
     RowBox[{"Y", "[", "p", "]"}], "\[Equal]", 
     RowBox[{"X2", "[", "p", "]"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"laplStavRce", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Y", "[", "p", "]"}], ",", 
     RowBox[{"X1", "[", "p", "]"}], ",", 
     RowBox[{"X2", "[", "p", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766382909349337`*^9, 3.4766385086641335`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"resY", "[", "p", "]"}], "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"U", "[", "p", "]"}], "-", 
        RowBox[{
         RowBox[{"R", "[", "p", "]"}], "*", 
         RowBox[{"Y", "[", "p", "]"}]}]}], ")"}], "*", 
      RowBox[{"P", "[", "p", "]"}]}], "\[Equal]", 
     RowBox[{"Y", "[", "p", "]"}]}], ",", 
    RowBox[{"Y", "[", "p", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4766387136793337`*^9, 3.4766387737393336`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
    "dale", " ", "systemy", " ", "prvniho", " ", "radu", " ", "a", " ", 
     "Euler", " ", "atd"}], "..."}], ".."}], "*)"}]], "Input",
 CellChangeTimes->{{3.4766387865157337`*^9, 3.4766388014605336`*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"U", "[", "p", "]"}], "-", 
     RowBox[{
      RowBox[{"P2", "[", "p", "]"}], "*", 
      RowBox[{"Y", "[", "p", "]"}]}]}], "\[Equal]", 
    FractionBox[
     RowBox[{"Y", "[", "p", "]"}], 
     RowBox[{"P1", "[", "p", "]"}]]}], ",", 
   RowBox[{"Y", "[", "p", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.476688172088683*^9, 3.4766882015610623`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "*", "x1"}], "\[Equal]", 
      RowBox[{"x2", "-", 
       RowBox[{"2", "x1"}]}]}], ",", 
     RowBox[{
      RowBox[{"p", "*", "x2"}], "\[Equal]", 
      RowBox[{"x1", "-", "x2", "+", "u"}]}], ",", 
     RowBox[{"y", "\[Equal]", 
      RowBox[{"x1", "-", "x2"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{"rce", ",", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "x2", ",", "y"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4766894797490063`*^9, 3.4766895572604623`*^9}, {
  3.4766896573644047`*^9, 3.4766896588765793`*^9}}],

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
      RowBox[{"3", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["x", "2"]}], ")"}], "*", 
       RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], "}"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.476689923206667*^9, 3.476689947221198*^9}, {
  3.4766900167712064`*^9, 3.4766900411262274`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"derivace", "[", 
    RowBox[{"t_", ",", "f_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"3", "*", "t"}], "-", 
    SuperscriptBox["f", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EulerStep", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "f_"}], "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
     RowBox[{"f", "+", 
      RowBox[{"\[CapitalDelta]t", "*", 
       RowBox[{"derivace", "[", 
        RowBox[{"t", ",", "f"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocStav", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1."}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4766906150815344`*^9, 3.4766906196380863`*^9}, {
  3.476690673455472*^9, 3.4766907548825583`*^9}, {3.4766908489277887`*^9, 
  3.476690870388648*^9}, {3.476691037028264*^9, 3.4766910421456223`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"EulerStep", ",", "pocStav", ",", "100"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "res", "]"}]}], "Input",
 CellChangeTimes->{{3.476690875075387*^9, 3.4766909091744194`*^9}, {
  3.4766909728559885`*^9, 3.4766910024084835`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "5"], "+", 
    RowBox[{"e", "*", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"d", "*", 
     SuperscriptBox["x", "3"]}], "+", 
    RowBox[{"c", "*", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"a", "*", "x"}], "+", "b"}], "\[Equal]", "0"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0.5"}], ",", 
    RowBox[{"b", "\[Rule]", "0.4"}], ",", 
    RowBox[{"c", "\[Rule]", "0.8"}], ",", 
    RowBox[{"d", "\[Rule]", "4"}], ",", 
    RowBox[{"e", "\[Rule]", "8"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5069243920130787`*^9, 3.506924401096139*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "5"], "+", 
     RowBox[{"e", "*", 
      SuperscriptBox["x", "4"]}], "+", 
     RowBox[{"d", "*", 
      SuperscriptBox["x", "3"]}], "+", 
     RowBox[{"c", "*", 
      SuperscriptBox["x", "2"]}], "+", 
     RowBox[{"a", "*", "x"}], "+", "b"}], "\[Equal]", "0"}], ",", "x"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "0.5"}], ",", 
    RowBox[{"b", "\[Rule]", "0.4"}], ",", 
    RowBox[{"c", "\[Rule]", "0.8"}], ",", 
    RowBox[{"d", "\[Rule]", "4"}], ",", 
    RowBox[{"e", "\[Rule]", "8"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.506922988715235*^9, 3.5069230223736334`*^9}, {
  3.5069230599076047`*^9, 3.5069230652152367`*^9}, {3.5069231961334877`*^9, 
  3.506923200820227*^9}, {3.506923245494466*^9, 3.5069232510424433`*^9}, {
  3.5069233579561777`*^9, 3.5069233774341855`*^9}, {3.506924045084219*^9, 
  3.5069240460355873`*^9}}],

Cell[BoxData[
 RowBox[{"Sin", "[", "5", "]"}]], "Input",
 CellChangeTimes->{{3.506923805780117*^9, 3.506923810647115*^9}}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   SqrtBox["2"], ",", "100"}], "]"}]], "Input",
 CellChangeTimes->{{3.506923852226904*^9, 3.5069238601282654`*^9}}],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Sin", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "15"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5069239014677086`*^9, 3.5069239104205823`*^9}}],

Cell[BoxData[
 RowBox[{"DSolve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"y", "''"}], "[", "x", "]"}], "+", 
      RowBox[{"3", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SuperscriptBox["x", "2"]}], ")"}], "*", 
       RowBox[{"y", "[", "x", "]"}]}]}], "\[Equal]", "0"}], "}"}], ",", 
   RowBox[{"y", "[", "x", "]"}], ",", "x"}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"derivace", "[", 
    RowBox[{"t_", ",", "x_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"3", "*", "t"}], "-", 
    SuperscriptBox["x", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], "==", 
      RowBox[{"derivace", "[", 
       RowBox[{"t", ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"x", "[", "t0", "]"}], "\[Equal]", "x0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reseniEx", "=", 
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"rce", ",", 
      RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.506929750177741*^9, 3.506929859284629*^9}, {
  3.506929908915995*^9, 3.5069299160061903`*^9}, {3.5069300536841617`*^9, 
  3.506930054555414*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", "0.02"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{"Round", "[", 
    FractionBox["tmax", "\[CapitalDelta]t"], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"EulerStep", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", "x_"}], "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
     RowBox[{"x", "+", 
      RowBox[{"\[CapitalDelta]t", "*", 
       RowBox[{"derivace", "[", 
        RowBox[{"t", ",", "x"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocStav", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t0", "=", "0"}], ",", 
     RowBox[{"x0", "=", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reseni", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"EulerStep", ",", "pocStav", ",", "n"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"reseni", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", "\"\<x [t]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "0", "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"vys", "=", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "reseniEx"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"vys", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", "\"\<x [t]\>\""}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl1", ",", "pl2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5069285928535905`*^9, 3.5069285964988317`*^9}, {
   3.5069286779259186`*^9, 3.506928699737282*^9}, {3.506928902488824*^9, 
   3.5069289434076624`*^9}, {3.5069291539604225`*^9, 
   3.5069292359683437`*^9}, {3.506929489803341*^9, 3.506929604828739*^9}, 
   3.506929734705493*^9, {3.5069297870607758`*^9, 3.506929796053707*^9}, {
   3.50693001974536*^9, 3.506930079751645*^9}, {3.5069301331183825`*^9, 
   3.5069301593060384`*^9}}],

Cell[BoxData["reseniEx"], "Input",
 CellChangeTimes->{{3.506930198272069*^9, 3.50693020000456*^9}}]
},
WindowSize->{912, 734},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->2.1999998092651367`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 365, 9, 101, "Input"],
Cell[913, 31, 194, 5, 101, "Input"],
Cell[1110, 38, 73, 1, 62, "Input"],
Cell[1186, 41, 99, 1, 62, "Input"],
Cell[1288, 44, 1872, 54, 433, "Input"],
Cell[3163, 100, 95, 1, 63, "Input"],
Cell[3261, 103, 183, 4, 63, "Input"],
Cell[3447, 109, 650, 16, 182, "Input"],
Cell[4100, 127, 232, 6, 103, "Input"],
Cell[4335, 135, 235, 6, 103, "Input"],
Cell[4573, 143, 1334, 38, 228, "Input"],
Cell[5910, 183, 456, 5, 299, "Input"],
Cell[6369, 190, 923, 27, 142, "Input"],
Cell[7295, 219, 545, 16, 63, "Input"],
Cell[7843, 237, 271, 7, 63, "Input"],
Cell[8117, 246, 442, 13, 102, "Input"],
Cell[8562, 261, 673, 19, 103, "Input"],
Cell[9238, 282, 531, 15, 111, "Input"],
Cell[9772, 299, 1026, 29, 217, "Input"],
Cell[10801, 330, 346, 8, 101, "Input"],
Cell[11150, 340, 657, 19, 132, "Input"],
Cell[11810, 361, 1147, 30, 174, "Input"],
Cell[12960, 393, 122, 2, 90, "Input"],
Cell[13085, 397, 160, 4, 101, "Input"],
Cell[13248, 403, 243, 6, 90, "Input"],
Cell[13494, 411, 412, 13, 139, "Input"],
Cell[13909, 426, 982, 30, 180, "Input"],
Cell[14894, 458, 2351, 66, 619, "Input"],
Cell[17248, 526, 99, 1, 90, "Input"]
}
]
*)

(* End of internal cache information *)
