(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5525,        178]
NotebookOptionsPosition[      4983,        157]
NotebookOutlinePosition[      5424,        175]
CellTagsIndexPosition[      5381,        172]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.511161247546875*^9, 3.511161260578125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"<<", "\"\<aa\>\""}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5111611068125*^9, 3.5111611073125*^9}, {
  3.511161208625*^9, 3.51116120875*^9}, {3.51116124296875*^9, 
  3.511161244*^9}, {3.51116135603125*^9, 3.51116136171875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plDat", "=", 
   RowBox[{"ListPlot", "[", "a", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.51116174003125*^9, 3.511161742640625*^9}, {
  3.511161830203125*^9, 3.5111618376875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"v", "[", "i_", "]"}], ":=", 
   SubscriptBox["\[Alpha]", "i"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"params", "[", "model_", "]"}], ":=", 
  RowBox[{"Union", "[", 
   RowBox[{"Cases", "[", 
    RowBox[{"model", ",", 
     SubscriptBox["\[Alpha]", "_"], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{
    RowBox[{"v", "[", "1", "]"}], "+", 
    RowBox[{
     RowBox[{"v", "[", "2", "]"}], "*", "x"}], "+", 
    RowBox[{
     RowBox[{"v", "[", "3", "]"}], "*", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{
     RowBox[{"v", "[", "4", "]"}], "*", 
     SuperscriptBox["x", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resalfa", "=", 
   RowBox[{"FindFit", "[", 
    RowBox[{"a", ",", "model", ",", 
     RowBox[{"params", "[", "model", "]"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plFit", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"model", "/.", "resalfa"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "25"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plFit", ",", "plDat"}], "]"}]}], "Input",
 CellChangeTimes->{{3.511161534875*^9, 3.511161539984375*^9}, {
  3.511161606109375*^9, 3.511161726875*^9}, {3.511161757921875*^9, 
  3.5111619324375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"model", "=", 
   SqrtBox[
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"v", "[", "1", "]"}], "+", 
      RowBox[{
       RowBox[{"v", "[", "2", "]"}], "*", "x"}]}], "]"}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resalfa", "=", 
   RowBox[{"FindFit", "[", 
    RowBox[{"a", ",", "model", ",", 
     RowBox[{"params", "[", "model", "]"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plFit", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"model", "/.", "resalfa"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "25"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plFit", ",", "plDat"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5111619471875*^9, 3.5111620291875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"model", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"Abs", "[", 
      RowBox[{"1", "+", 
       RowBox[{"v", "[", "1", "]"}], "+", 
       RowBox[{
        RowBox[{"v", "[", "2", "]"}], "*", "x"}]}], "]"}], ")"}], 
    RowBox[{"1", "+", 
     RowBox[{"v", "[", "3", "]"}]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resalfa", "=", 
   RowBox[{"FindFit", "[", 
    RowBox[{"a", ",", "model", ",", 
     RowBox[{"params", "[", "model", "]"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plFit", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"model", "/.", "resalfa"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "25"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Black"}], "}"}]}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"plFit", ",", "plDat"}], "]"}]}], "Input",
 CellChangeTimes->{{3.511162050015625*^9, 3.51116205340625*^9}, {
  3.511162091140625*^9, 3.51116210521875*^9}}]
},
WindowSize->{831, 652},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification->1.6000001430511475`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 170, 3, 46, "Input"],
Cell[718, 25, 286, 6, 46, "Input"],
Cell[1007, 33, 219, 5, 46, "Input"],
Cell[1229, 40, 1626, 48, 218, "Input"],
Cell[2858, 90, 981, 30, 167, "Input"],
Cell[3842, 122, 1137, 33, 162, "Input"]
}
]
*)

(* End of internal cache information *)
