(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7001,        232]
NotebookOptionsPosition[      6591,        215]
NotebookOutlinePosition[      6970,        231]
CellTagsIndexPosition[      6927,        228]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Z1", "=", 
   RowBox[{"1", "+", 
    RowBox[{"5", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Z2", "=", 
   RowBox[{"2", "+", 
    RowBox[{"3", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U", "=", "230"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S1", "=", 
   RowBox[{"100", "+", 
    RowBox[{"50", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S2", "=", 
   RowBox[{"80", "-", 
    RowBox[{"30", "I"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"U", "-", "u1"}], "Z1"], "\[Equal]", 
      RowBox[{"i1", "+", "i2"}]}], ",", 
     RowBox[{"i2", "\[Equal]", 
      FractionBox[
       RowBox[{"u1", "-", "u2"}], "Z2"]}], ",", 
     RowBox[{
      RowBox[{"u1", "*", 
       RowBox[{"Conjugate", "[", "i1", "]"}]}], "\[Equal]", "S1"}], ",", 
     RowBox[{
      RowBox[{"u2", "*", 
       RowBox[{"Conjugate", "[", "i2", "]"}]}], "\[Equal]", "S2"}]}], "}"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"res", "=", 
  RowBox[{"FindRoot", "[", 
   RowBox[{"rce", ",", 
    RowBox[{"{", 
     RowBox[{"u1", ",", 
      RowBox[{"200", "+", "I"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"u2", ",", 
      RowBox[{"180", "+", "I"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i1", ",", 
      RowBox[{"0.5", "-", 
       RowBox[{"0.1", "I"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i2", ",", 
      RowBox[{"0.3", "-", 
       RowBox[{"0.1", "I"}]}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"rce", "/.", 
    RowBox[{
     RowBox[{"a_", "\[Equal]", "b_"}], "\[RuleDelayed]", 
     RowBox[{"Norm", "[", 
      RowBox[{"a", "-", "b"}], "]"}]}]}], ")"}], "/.", 
  "res"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.512960209609375*^9, 3.512960237390625*^9}, {
   3.512960327203125*^9, 3.512960369921875*^9}, {3.512960400109375*^9, 
   3.5129607305625*^9}, 3.51296325103125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rcelin", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{"U", "-", "u1"}], "Z1"], "\[Equal]", 
      RowBox[{"i1", "+", "i2"}]}], ",", 
     RowBox[{"i2", "\[Equal]", 
      FractionBox[
       RowBox[{"u1", "-", "u2"}], "Z2"]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcenelin", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"u1", "*", 
       RowBox[{"Conjugate", "[", "i1", "]"}]}], "\[Equal]", "S1"}], ",", 
     RowBox[{
      RowBox[{"u2", "*", 
       RowBox[{"Conjugate", "[", "i2", "]"}]}], "\[Equal]", "S2"}]}], "}"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"rcevys", "=", 
  RowBox[{"rcenelin", "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"rcelin", ",", 
      RowBox[{"{", 
       RowBox[{"u1", ",", "u2"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"FindRoot", "[", 
  RowBox[{"rcevys", ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", 
     RowBox[{"1", "-", 
      RowBox[{"0.1", "I"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", 
     RowBox[{"0.3", "-", 
      RowBox[{"0.5", "I"}]}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.512963229234375*^9, 3.5129633658125*^9}, 
   3.512963411578125*^9}],

Cell[BoxData[{
 RowBox[{"promin", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"Plus", "@@", 
     RowBox[{"(", 
      RowBox[{"rcevys", "/.", 
       RowBox[{
        RowBox[{"a_", "\[Equal]", "b_"}], "\[RuleDelayed]", 
        RowBox[{"Norm", "[", 
         RowBox[{"a", "-", "b"}], "]"}]}]}], ")"}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"i1", "\[Rule]", 
      RowBox[{"a1", "+", 
       RowBox[{"I", "*", "b1"}]}]}], ",", 
     RowBox[{"i2", "\[Rule]", 
      RowBox[{"a2", "+", 
       RowBox[{"I", "*", "b2"}]}]}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"resmin", "=", 
  RowBox[{"FindMinimum", "[", 
   RowBox[{"promin", ",", 
    RowBox[{"{", 
     RowBox[{"a1", ",", "0.7"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a2", ",", "0.5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b1", ",", 
      RowBox[{"-", "0.2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b2", ",", 
      RowBox[{"-", "0.3"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"rcevys", "/.", 
      RowBox[{
       RowBox[{"a_", "\[Equal]", "b_"}], "\[RuleDelayed]", 
       RowBox[{"Norm", "[", 
        RowBox[{"a", "-", "b"}], "]"}]}]}], ")"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"i1", "\[Rule]", 
       RowBox[{"a1", "+", 
        RowBox[{"I", "*", "b1"}]}]}], ",", 
      RowBox[{"i2", "\[Rule]", 
       RowBox[{"a2", "+", 
        RowBox[{"I", "*", "b2"}]}]}]}], "}"}]}], ")"}], "/.", 
  RowBox[{"resmin", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.512963427625*^9, 3.51296349215625*^9}, {
  3.5129635463125*^9, 3.51296362446875*^9}, {3.512963663015625*^9, 
  3.51296366428125*^9}, {3.512963759078125*^9, 3.51296376434375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"rce", "/.", 
       RowBox[{
        RowBox[{"a_", "\[Equal]", "b_"}], "\[RuleDelayed]", 
        RowBox[{"Norm", "[", 
         RowBox[{"a", "-", "b"}], "]"}]}]}], ")"}], "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"rcelin", ",", 
        RowBox[{"{", 
         RowBox[{"u1", ",", "u2"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"i1", "\[Rule]", 
      RowBox[{"a1", "+", 
       RowBox[{"I", "*", "b1"}]}]}], ",", 
     RowBox[{"i2", "\[Rule]", 
      RowBox[{"a2", "+", 
       RowBox[{"I", "*", "b2"}]}]}]}], "}"}]}], "/.", 
  RowBox[{"resmin", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.512963796890625*^9, 3.512963868234375*^9}}]
},
WindowSize->{881, 537},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->1.5500000715255737`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2050, 64, 368, "Input"],
Cell[2598, 86, 1322, 43, 159, "Input"],
Cell[3923, 131, 1795, 53, 214, "Input"],
Cell[5721, 186, 866, 27, 74, "Input"]
}
]
*)

(* End of internal cache information *)
